GNU bug report logs - #55836
29.0.50; (iconify-frame) freezes buffer view under Wayland.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: "koaaa.outlook" <whainte@HIDDEN>; Keywords: patch; merged with #56833, #58424; Done: Po Lu <luangruo@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 55836-done <at> debbugs.gnu.org:


Received: (at 55836-done) by debbugs.gnu.org; 10 Nov 2022 11:51:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 10 06:51:04 2022
Received: from localhost ([127.0.0.1]:42158 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ot65I-0003vq-Jp
	for submit <at> debbugs.gnu.org; Thu, 10 Nov 2022 06:51:04 -0500
Received: from sonic306-20.consmr.mail.ne1.yahoo.com ([66.163.189.82]:42693)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1ot65F-0003vJ-Ku
 for 55836-done <at> debbugs.gnu.org; Thu, 10 Nov 2022 06:51:03 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1668081054; bh=NpeoC9DXdQpybK709roIlHDieOiUX9r94QceclneIG8=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From:Subject:Reply-To;
 b=IEsHBv3wBAPFiyMe28N2/9bBC56dPVcUs1zQAO5wQDyPwvjYGs+I0uV05I0AwF7KtHXare53SafTdkS9tgqb0R2sqNXu8BlWOh+p00CF9rVZS1zSbjUyAu8pzL7RhD4qEIwelyiAqGiBVa899HnEJyume+wqVgOZX9WCn08fji0m4RLUF1vrZCJDhtEdYgxlBB9kDDoaz6HIbSx7v85ObEFrmmjso5+TaYSpWHc0YXm62Ld3ryt2MeB/Gv62i/5CHlNRpv7poY9m3cZSO+axSpH8VxP2yIvkBBoIqPDInap62VAx6OrxXMkh6hg0fxXAqWPGS9ujCMruqzvnMaw6tA==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1668081054; bh=ZGQevqES23wv6RuYEHOkriFJd9TGlYPgVdjFJzanVcz=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=KujaMn6qyto8Ji4uGYrufY7biQd+bkwqBZu9XWjSx6+seVsHtP4PIPUnM2T6RE9R5iI3bGD8QuGUNRFPNhSLfK3FszV1ZGkkNsYq89T7Q5AwvL5tcHfiwNds+Xu9YWsL5sSDb7CZKXqQUOf5ckYXWi4mz/Qk9SodLSnBx+6AEJClbOqHkaQ77VPTJ6f3C6ZIKknKsANFTjow0BTuH7XLrJ7vJXdSr6QzYRp2VRfPIzBh1fKWdknK9vu6IdwTqNFNHxovnvWU+3QQ5eL31HbHmdWb1D8KFbm/ygvRJTPvkFUi0b3/InhTXlf3qaGs9ibLIArJHGIOsukpw0V1CiiB6w==
X-YMail-OSG: Uifr0G8VM1mCYkjStjsBDCxa452W.eIIcsXxnQSW15MWldFoy39jaYha_MWfmcT
 lvzJIHq3oBPPB3BZHKXDhok2N6cXblz4es0CQyzkpxDeqyyLZnTkhcgsIFKA3W1rdoAacWdBmUH3
 xmuU.JoXkRMbzzZ6Qw.i5lq9KySbQemHuj7qfmUjjNLIeAlXoY.UZZhcBIsjvWmbtyWKEq_r.dNd
 3KIGs3PWQf8u58gCmdA5mEWZfwx4zmgghWoIs06_cSM4nWiJ8I2NDA.HqgNU.ouOqtLRKi4Bd65L
 g44rTlmvQQqnYscVyNcxvaenYuNF7OzrYLVsD8lm61WJNjOFfSbTx9qcqbOQamYqn7F1MPGZ3QCe
 OeKK.370vKQQPWG8YqOZo5mk9bRiHTpGt9_cSKDYKslTISs9eqZB9j3R48PSuNx5EIYX5a.h57cj
 x5hrfZTWqaLn0RiIEqFQi1zD6YM.Vqt3Fq0lyeFY4J8Vyo5GlLTiTQLL_hkwmYJS53R4.oSpXz0k
 0knJmzUEhX201qza3QYwCoYvmO3O9PzjPKbPc3S3lVLMoflibZg1_UCYiffj2jXgJMSEfAAmf_1A
 sfLQ17_lc5IltRfYHv5xU407L6Hn310FMkH_AHCa_aZXtWtHFhB.CSaqXJ4H5tFZBOjn_.I8MsMc
 ajcc.vFBSMNQeiaqU0t_giJQMXN2IMtMXhxz5c3uwxx2uNictDhzHqLuLsE.zZ.nS6dN6m.5wUuU
 RImb06hZtmXW7PWGKRISvHmEpBh8u04hbfm8EuqANALBt0AwYUJ7gELTcyJLB5JZnm3cRWqZwRTm
 BrHDgnhzvMRcshwQefYcY4__CrII2YjlxMQNfwUDee2UCbxe.37lnRyY3LHulLtEkhGuGNQC5sjp
 YB3MntPr.WvjbGxC5h4rYMDLaEy.awIgEZPfLenWIu1N6f5ZNNPlrfRuyb0K1wmM2G.DJsnRL9po
 vbSzTrBJLobmVzI83vvXes6O4LlVgWkpY6hXBgzRH0WuqmVshlRqUVmrdZahAdEmiLq5WLHPf2SQ
 7AVRqiFAAIaNHCezZ319UPLr2HlWX2AMmKPNplc_VYpik5HIFuQ6toxsW1TOs3wtdTGs1LO4Lo47
 sbyALKVU9EGSwrR4tNrrRAYH38eoojl9Xt8N.bdc.j34ue_Tv4EweSSqjnPTP4PKV8AaUVkDy5fT
 Doylj9Nh2vAcw4ydKZ8PyMP.ESJRNZHIEp3gP5RXixCN2Ddz9dgPP0f9V2kxDGUAXXtFCYyiEXsr
 1q592T0QzRPkYL6YvqqGq3N12NBxG_hZYpq_I26VHtsW7tl2zTbm337T8ilKWl05fbIyg33mEsVe
 Sw2XS28jUF70CBl5t3ZKsYOlnki_cvRo5zD9PHMCBB8Ct_ByfT40zb1shdizOvAYB6FpFrD7.Ome
 8HYoXtGTxboueWhqET87gUZh6l6qE804sCPhFYXhKTXgvUrxpo8U5LTxxkm7OGBmC1xcAiZtWRr6
 nmnUWtTFf8zor3XKjbbCe3cJ4uzk9DKblX8Ws3dUajMiQAwXazy9wpj64akIo1qZAvudlwDodsX9
 QoeVvHU4TwTx23OhlpVUS7MEkGJYUN9E1fJrizCWPxgEpJ15UtmvjN74UJ_FEXhawC5th0Pu4FdB
 1PtSI2z8U6QppvueyMPIG4gDJXbuVomoO2No6FlsxbGUd6mLXgcQZv4QJMp73a6qPLsCSZglnGEX
 EHyWRZ3cOuaGWyhZgD.VDJLVIpJmimXL.jzrK5DZeHC2BsZfHMaUEs0qpKaV0v8RlElGG_JBjP6l
 RmqHXxXg1O5XEo9eD9_Nr9x4ap8mV1kzeQfsWybakutCnpZGzRb82SXUJG3xdwwUFktVhVEkRrCS
 PicXG9AHnzS0cdYQjYMEMCZEPdw8lCdw0wG5RJCPW5nK00HSKpPo5bDwl9jd.ZcuTSBINmOjUbOS
 GEZJofwYoe6o0UXTd4jcofNLnBfnfPiGe3yu7WJjT7zRjPecbVo0BgVtzm5JtB1ZFlvu6LYhv8DW
 lG0qVhgZORcHtK8IwVSt9ybVaO9sW5qLQMEncS.8dYZzde0BrumN4J8GQKHHKbpCXhD9UlzghqNc
 BV7OXLMa33.Lk6Ej7XLe4PCD89EAr10c9y48kGgVWXkRMVU4oQ.qA5mpREgARiI3vDOiHbLMTSL4
 .VQhAnEa9yqwzZX63RiVHA31GBuvR.EI.o9xbIWNxyerGrewshbx8ovqsEeAuOwOGYz7svCML43f
 04vqF.cE.XmD6_.vyAMI2o_J4vprROcI8pH4DnSi5T9R9ifbD9NHWgObgiKn8qgklxcV1NQ--
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic306.consmr.mail.ne1.yahoo.com with HTTP; Thu, 10 Nov 2022 11:50:54 +0000
Received: by hermes--production-sg3-6c8895b545-mvhb5 (Yahoo Inc. Hermes SMTP
 Server) with ESMTPA ID a1a49c4c0566d8310c71626e1adba8c9; 
 Thu, 10 Nov 2022 11:50:50 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Tino Calancha <tino.calancha@HIDDEN>
Subject: Re: bug#55836: 29.0.50; (iconify-frame) freezes buffer view under
 Wayland.
In-Reply-To: <2bd94139-b74a-ce57-26bc-ade4e77b8c3@HIDDEN> (Tino Calancha's
 message of "Thu, 10 Nov 2022 11:59:56 +0100 (CET)")
References: <c49677c5-8fe8-6038-7776-f42b5fba91e4@HIDDEN>
 <871qrzbqv3.fsf@HIDDEN>
 <b5a17ec6-345-9df5-f5d3-1f1c803d6e8c@HIDDEN>
 <87wn9rab1g.fsf@HIDDEN>
 <d3757b8e-8699-fe39-3534-f01789bedaf@HIDDEN>
 <87sfkf9ej5.fsf@HIDDEN>
 <c128677a-64b0-ba6f-4a6-df9a3e02b61@HIDDEN>
 <87a66lacjv.fsf@HIDDEN>
 <f3a593e6-9b9b-cb5e-fcde-866db26b5e89@HIDDEN>
 <874jwr6ndk.fsf@HIDDEN>
 <cbbf0dd-d4fa-8795-10d9-badfa9c33e1@HIDDEN>
 <87bkqx57do.fsf@HIDDEN>
 <c31acde9-7f81-98f4-121-2ce3b78a5453@HIDDEN>
 <87k0445n1y.fsf@HIDDEN>
 <2bd94139-b74a-ce57-26bc-ade4e77b8c3@HIDDEN>
Date: Thu, 10 Nov 2022 19:50:45 +0800
Message-ID: <87y1sj3u5m.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.20826
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 441
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 55836-done
Cc: 55836-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Tino Calancha <tino.calancha@HIDDEN> writes:

> On Wed, 9 Nov 2022, Po Lu wrote:
>
>> However, with something similar the second change, it seems to work for
>> at least half of our users, which is better than having iconification
>> work for nobody at all.  So would you be so kind as to check if the bug
>> is now fixed on master?
>
> Your patch fixes the issue in my test machine [1].
> Thank you!

Thanks.  I'm closing this bug then.




Notification sent to समीर सिंह Sameer Singh <lumarzeli30@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Po Lu <luangruo@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 55836-done <at> debbugs.gnu.org:


Received: (at 55836-done) by debbugs.gnu.org; 10 Nov 2022 11:51:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 10 06:51:04 2022
Received: from localhost ([127.0.0.1]:42158 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ot65I-0003vq-Jp
	for submit <at> debbugs.gnu.org; Thu, 10 Nov 2022 06:51:04 -0500
Received: from sonic306-20.consmr.mail.ne1.yahoo.com ([66.163.189.82]:42693)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1ot65F-0003vJ-Ku
 for 55836-done <at> debbugs.gnu.org; Thu, 10 Nov 2022 06:51:03 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1668081054; bh=NpeoC9DXdQpybK709roIlHDieOiUX9r94QceclneIG8=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From:Subject:Reply-To;
 b=IEsHBv3wBAPFiyMe28N2/9bBC56dPVcUs1zQAO5wQDyPwvjYGs+I0uV05I0AwF7KtHXare53SafTdkS9tgqb0R2sqNXu8BlWOh+p00CF9rVZS1zSbjUyAu8pzL7RhD4qEIwelyiAqGiBVa899HnEJyume+wqVgOZX9WCn08fji0m4RLUF1vrZCJDhtEdYgxlBB9kDDoaz6HIbSx7v85ObEFrmmjso5+TaYSpWHc0YXm62Ld3ryt2MeB/Gv62i/5CHlNRpv7poY9m3cZSO+axSpH8VxP2yIvkBBoIqPDInap62VAx6OrxXMkh6hg0fxXAqWPGS9ujCMruqzvnMaw6tA==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1668081054; bh=ZGQevqES23wv6RuYEHOkriFJd9TGlYPgVdjFJzanVcz=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=KujaMn6qyto8Ji4uGYrufY7biQd+bkwqBZu9XWjSx6+seVsHtP4PIPUnM2T6RE9R5iI3bGD8QuGUNRFPNhSLfK3FszV1ZGkkNsYq89T7Q5AwvL5tcHfiwNds+Xu9YWsL5sSDb7CZKXqQUOf5ckYXWi4mz/Qk9SodLSnBx+6AEJClbOqHkaQ77VPTJ6f3C6ZIKknKsANFTjow0BTuH7XLrJ7vJXdSr6QzYRp2VRfPIzBh1fKWdknK9vu6IdwTqNFNHxovnvWU+3QQ5eL31HbHmdWb1D8KFbm/ygvRJTPvkFUi0b3/InhTXlf3qaGs9ibLIArJHGIOsukpw0V1CiiB6w==
X-YMail-OSG: Uifr0G8VM1mCYkjStjsBDCxa452W.eIIcsXxnQSW15MWldFoy39jaYha_MWfmcT
 lvzJIHq3oBPPB3BZHKXDhok2N6cXblz4es0CQyzkpxDeqyyLZnTkhcgsIFKA3W1rdoAacWdBmUH3
 xmuU.JoXkRMbzzZ6Qw.i5lq9KySbQemHuj7qfmUjjNLIeAlXoY.UZZhcBIsjvWmbtyWKEq_r.dNd
 3KIGs3PWQf8u58gCmdA5mEWZfwx4zmgghWoIs06_cSM4nWiJ8I2NDA.HqgNU.ouOqtLRKi4Bd65L
 g44rTlmvQQqnYscVyNcxvaenYuNF7OzrYLVsD8lm61WJNjOFfSbTx9qcqbOQamYqn7F1MPGZ3QCe
 OeKK.370vKQQPWG8YqOZo5mk9bRiHTpGt9_cSKDYKslTISs9eqZB9j3R48PSuNx5EIYX5a.h57cj
 x5hrfZTWqaLn0RiIEqFQi1zD6YM.Vqt3Fq0lyeFY4J8Vyo5GlLTiTQLL_hkwmYJS53R4.oSpXz0k
 0knJmzUEhX201qza3QYwCoYvmO3O9PzjPKbPc3S3lVLMoflibZg1_UCYiffj2jXgJMSEfAAmf_1A
 sfLQ17_lc5IltRfYHv5xU407L6Hn310FMkH_AHCa_aZXtWtHFhB.CSaqXJ4H5tFZBOjn_.I8MsMc
 ajcc.vFBSMNQeiaqU0t_giJQMXN2IMtMXhxz5c3uwxx2uNictDhzHqLuLsE.zZ.nS6dN6m.5wUuU
 RImb06hZtmXW7PWGKRISvHmEpBh8u04hbfm8EuqANALBt0AwYUJ7gELTcyJLB5JZnm3cRWqZwRTm
 BrHDgnhzvMRcshwQefYcY4__CrII2YjlxMQNfwUDee2UCbxe.37lnRyY3LHulLtEkhGuGNQC5sjp
 YB3MntPr.WvjbGxC5h4rYMDLaEy.awIgEZPfLenWIu1N6f5ZNNPlrfRuyb0K1wmM2G.DJsnRL9po
 vbSzTrBJLobmVzI83vvXes6O4LlVgWkpY6hXBgzRH0WuqmVshlRqUVmrdZahAdEmiLq5WLHPf2SQ
 7AVRqiFAAIaNHCezZ319UPLr2HlWX2AMmKPNplc_VYpik5HIFuQ6toxsW1TOs3wtdTGs1LO4Lo47
 sbyALKVU9EGSwrR4tNrrRAYH38eoojl9Xt8N.bdc.j34ue_Tv4EweSSqjnPTP4PKV8AaUVkDy5fT
 Doylj9Nh2vAcw4ydKZ8PyMP.ESJRNZHIEp3gP5RXixCN2Ddz9dgPP0f9V2kxDGUAXXtFCYyiEXsr
 1q592T0QzRPkYL6YvqqGq3N12NBxG_hZYpq_I26VHtsW7tl2zTbm337T8ilKWl05fbIyg33mEsVe
 Sw2XS28jUF70CBl5t3ZKsYOlnki_cvRo5zD9PHMCBB8Ct_ByfT40zb1shdizOvAYB6FpFrD7.Ome
 8HYoXtGTxboueWhqET87gUZh6l6qE804sCPhFYXhKTXgvUrxpo8U5LTxxkm7OGBmC1xcAiZtWRr6
 nmnUWtTFf8zor3XKjbbCe3cJ4uzk9DKblX8Ws3dUajMiQAwXazy9wpj64akIo1qZAvudlwDodsX9
 QoeVvHU4TwTx23OhlpVUS7MEkGJYUN9E1fJrizCWPxgEpJ15UtmvjN74UJ_FEXhawC5th0Pu4FdB
 1PtSI2z8U6QppvueyMPIG4gDJXbuVomoO2No6FlsxbGUd6mLXgcQZv4QJMp73a6qPLsCSZglnGEX
 EHyWRZ3cOuaGWyhZgD.VDJLVIpJmimXL.jzrK5DZeHC2BsZfHMaUEs0qpKaV0v8RlElGG_JBjP6l
 RmqHXxXg1O5XEo9eD9_Nr9x4ap8mV1kzeQfsWybakutCnpZGzRb82SXUJG3xdwwUFktVhVEkRrCS
 PicXG9AHnzS0cdYQjYMEMCZEPdw8lCdw0wG5RJCPW5nK00HSKpPo5bDwl9jd.ZcuTSBINmOjUbOS
 GEZJofwYoe6o0UXTd4jcofNLnBfnfPiGe3yu7WJjT7zRjPecbVo0BgVtzm5JtB1ZFlvu6LYhv8DW
 lG0qVhgZORcHtK8IwVSt9ybVaO9sW5qLQMEncS.8dYZzde0BrumN4J8GQKHHKbpCXhD9UlzghqNc
 BV7OXLMa33.Lk6Ej7XLe4PCD89EAr10c9y48kGgVWXkRMVU4oQ.qA5mpREgARiI3vDOiHbLMTSL4
 .VQhAnEa9yqwzZX63RiVHA31GBuvR.EI.o9xbIWNxyerGrewshbx8ovqsEeAuOwOGYz7svCML43f
 04vqF.cE.XmD6_.vyAMI2o_J4vprROcI8pH4DnSi5T9R9ifbD9NHWgObgiKn8qgklxcV1NQ--
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic306.consmr.mail.ne1.yahoo.com with HTTP; Thu, 10 Nov 2022 11:50:54 +0000
Received: by hermes--production-sg3-6c8895b545-mvhb5 (Yahoo Inc. Hermes SMTP
 Server) with ESMTPA ID a1a49c4c0566d8310c71626e1adba8c9; 
 Thu, 10 Nov 2022 11:50:50 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Tino Calancha <tino.calancha@HIDDEN>
Subject: Re: bug#55836: 29.0.50; (iconify-frame) freezes buffer view under
 Wayland.
In-Reply-To: <2bd94139-b74a-ce57-26bc-ade4e77b8c3@HIDDEN> (Tino Calancha's
 message of "Thu, 10 Nov 2022 11:59:56 +0100 (CET)")
References: <c49677c5-8fe8-6038-7776-f42b5fba91e4@HIDDEN>
 <871qrzbqv3.fsf@HIDDEN>
 <b5a17ec6-345-9df5-f5d3-1f1c803d6e8c@HIDDEN>
 <87wn9rab1g.fsf@HIDDEN>
 <d3757b8e-8699-fe39-3534-f01789bedaf@HIDDEN>
 <87sfkf9ej5.fsf@HIDDEN>
 <c128677a-64b0-ba6f-4a6-df9a3e02b61@HIDDEN>
 <87a66lacjv.fsf@HIDDEN>
 <f3a593e6-9b9b-cb5e-fcde-866db26b5e89@HIDDEN>
 <874jwr6ndk.fsf@HIDDEN>
 <cbbf0dd-d4fa-8795-10d9-badfa9c33e1@HIDDEN>
 <87bkqx57do.fsf@HIDDEN>
 <c31acde9-7f81-98f4-121-2ce3b78a5453@HIDDEN>
 <87k0445n1y.fsf@HIDDEN>
 <2bd94139-b74a-ce57-26bc-ade4e77b8c3@HIDDEN>
Date: Thu, 10 Nov 2022 19:50:45 +0800
Message-ID: <87y1sj3u5m.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.20826
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 441
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 55836-done
Cc: 55836-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Tino Calancha <tino.calancha@HIDDEN> writes:

> On Wed, 9 Nov 2022, Po Lu wrote:
>
>> However, with something similar the second change, it seems to work for
>> at least half of our users, which is better than having iconification
>> work for nobody at all.  So would you be so kind as to check if the bug
>> is now fixed on master?
>
> Your patch fixes the issue in my test machine [1].
> Thank you!

Thanks.  I'm closing this bug then.




Notification sent to Olivier Crête <olivier.crete@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Po Lu <luangruo@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 55836-done <at> debbugs.gnu.org:


Received: (at 55836-done) by debbugs.gnu.org; 10 Nov 2022 11:51:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 10 06:51:04 2022
Received: from localhost ([127.0.0.1]:42158 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ot65I-0003vq-Jp
	for submit <at> debbugs.gnu.org; Thu, 10 Nov 2022 06:51:04 -0500
Received: from sonic306-20.consmr.mail.ne1.yahoo.com ([66.163.189.82]:42693)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1ot65F-0003vJ-Ku
 for 55836-done <at> debbugs.gnu.org; Thu, 10 Nov 2022 06:51:03 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1668081054; bh=NpeoC9DXdQpybK709roIlHDieOiUX9r94QceclneIG8=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From:Subject:Reply-To;
 b=IEsHBv3wBAPFiyMe28N2/9bBC56dPVcUs1zQAO5wQDyPwvjYGs+I0uV05I0AwF7KtHXare53SafTdkS9tgqb0R2sqNXu8BlWOh+p00CF9rVZS1zSbjUyAu8pzL7RhD4qEIwelyiAqGiBVa899HnEJyume+wqVgOZX9WCn08fji0m4RLUF1vrZCJDhtEdYgxlBB9kDDoaz6HIbSx7v85ObEFrmmjso5+TaYSpWHc0YXm62Ld3ryt2MeB/Gv62i/5CHlNRpv7poY9m3cZSO+axSpH8VxP2yIvkBBoIqPDInap62VAx6OrxXMkh6hg0fxXAqWPGS9ujCMruqzvnMaw6tA==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1668081054; bh=ZGQevqES23wv6RuYEHOkriFJd9TGlYPgVdjFJzanVcz=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=KujaMn6qyto8Ji4uGYrufY7biQd+bkwqBZu9XWjSx6+seVsHtP4PIPUnM2T6RE9R5iI3bGD8QuGUNRFPNhSLfK3FszV1ZGkkNsYq89T7Q5AwvL5tcHfiwNds+Xu9YWsL5sSDb7CZKXqQUOf5ckYXWi4mz/Qk9SodLSnBx+6AEJClbOqHkaQ77VPTJ6f3C6ZIKknKsANFTjow0BTuH7XLrJ7vJXdSr6QzYRp2VRfPIzBh1fKWdknK9vu6IdwTqNFNHxovnvWU+3QQ5eL31HbHmdWb1D8KFbm/ygvRJTPvkFUi0b3/InhTXlf3qaGs9ibLIArJHGIOsukpw0V1CiiB6w==
X-YMail-OSG: Uifr0G8VM1mCYkjStjsBDCxa452W.eIIcsXxnQSW15MWldFoy39jaYha_MWfmcT
 lvzJIHq3oBPPB3BZHKXDhok2N6cXblz4es0CQyzkpxDeqyyLZnTkhcgsIFKA3W1rdoAacWdBmUH3
 xmuU.JoXkRMbzzZ6Qw.i5lq9KySbQemHuj7qfmUjjNLIeAlXoY.UZZhcBIsjvWmbtyWKEq_r.dNd
 3KIGs3PWQf8u58gCmdA5mEWZfwx4zmgghWoIs06_cSM4nWiJ8I2NDA.HqgNU.ouOqtLRKi4Bd65L
 g44rTlmvQQqnYscVyNcxvaenYuNF7OzrYLVsD8lm61WJNjOFfSbTx9qcqbOQamYqn7F1MPGZ3QCe
 OeKK.370vKQQPWG8YqOZo5mk9bRiHTpGt9_cSKDYKslTISs9eqZB9j3R48PSuNx5EIYX5a.h57cj
 x5hrfZTWqaLn0RiIEqFQi1zD6YM.Vqt3Fq0lyeFY4J8Vyo5GlLTiTQLL_hkwmYJS53R4.oSpXz0k
 0knJmzUEhX201qza3QYwCoYvmO3O9PzjPKbPc3S3lVLMoflibZg1_UCYiffj2jXgJMSEfAAmf_1A
 sfLQ17_lc5IltRfYHv5xU407L6Hn310FMkH_AHCa_aZXtWtHFhB.CSaqXJ4H5tFZBOjn_.I8MsMc
 ajcc.vFBSMNQeiaqU0t_giJQMXN2IMtMXhxz5c3uwxx2uNictDhzHqLuLsE.zZ.nS6dN6m.5wUuU
 RImb06hZtmXW7PWGKRISvHmEpBh8u04hbfm8EuqANALBt0AwYUJ7gELTcyJLB5JZnm3cRWqZwRTm
 BrHDgnhzvMRcshwQefYcY4__CrII2YjlxMQNfwUDee2UCbxe.37lnRyY3LHulLtEkhGuGNQC5sjp
 YB3MntPr.WvjbGxC5h4rYMDLaEy.awIgEZPfLenWIu1N6f5ZNNPlrfRuyb0K1wmM2G.DJsnRL9po
 vbSzTrBJLobmVzI83vvXes6O4LlVgWkpY6hXBgzRH0WuqmVshlRqUVmrdZahAdEmiLq5WLHPf2SQ
 7AVRqiFAAIaNHCezZ319UPLr2HlWX2AMmKPNplc_VYpik5HIFuQ6toxsW1TOs3wtdTGs1LO4Lo47
 sbyALKVU9EGSwrR4tNrrRAYH38eoojl9Xt8N.bdc.j34ue_Tv4EweSSqjnPTP4PKV8AaUVkDy5fT
 Doylj9Nh2vAcw4ydKZ8PyMP.ESJRNZHIEp3gP5RXixCN2Ddz9dgPP0f9V2kxDGUAXXtFCYyiEXsr
 1q592T0QzRPkYL6YvqqGq3N12NBxG_hZYpq_I26VHtsW7tl2zTbm337T8ilKWl05fbIyg33mEsVe
 Sw2XS28jUF70CBl5t3ZKsYOlnki_cvRo5zD9PHMCBB8Ct_ByfT40zb1shdizOvAYB6FpFrD7.Ome
 8HYoXtGTxboueWhqET87gUZh6l6qE804sCPhFYXhKTXgvUrxpo8U5LTxxkm7OGBmC1xcAiZtWRr6
 nmnUWtTFf8zor3XKjbbCe3cJ4uzk9DKblX8Ws3dUajMiQAwXazy9wpj64akIo1qZAvudlwDodsX9
 QoeVvHU4TwTx23OhlpVUS7MEkGJYUN9E1fJrizCWPxgEpJ15UtmvjN74UJ_FEXhawC5th0Pu4FdB
 1PtSI2z8U6QppvueyMPIG4gDJXbuVomoO2No6FlsxbGUd6mLXgcQZv4QJMp73a6qPLsCSZglnGEX
 EHyWRZ3cOuaGWyhZgD.VDJLVIpJmimXL.jzrK5DZeHC2BsZfHMaUEs0qpKaV0v8RlElGG_JBjP6l
 RmqHXxXg1O5XEo9eD9_Nr9x4ap8mV1kzeQfsWybakutCnpZGzRb82SXUJG3xdwwUFktVhVEkRrCS
 PicXG9AHnzS0cdYQjYMEMCZEPdw8lCdw0wG5RJCPW5nK00HSKpPo5bDwl9jd.ZcuTSBINmOjUbOS
 GEZJofwYoe6o0UXTd4jcofNLnBfnfPiGe3yu7WJjT7zRjPecbVo0BgVtzm5JtB1ZFlvu6LYhv8DW
 lG0qVhgZORcHtK8IwVSt9ybVaO9sW5qLQMEncS.8dYZzde0BrumN4J8GQKHHKbpCXhD9UlzghqNc
 BV7OXLMa33.Lk6Ej7XLe4PCD89EAr10c9y48kGgVWXkRMVU4oQ.qA5mpREgARiI3vDOiHbLMTSL4
 .VQhAnEa9yqwzZX63RiVHA31GBuvR.EI.o9xbIWNxyerGrewshbx8ovqsEeAuOwOGYz7svCML43f
 04vqF.cE.XmD6_.vyAMI2o_J4vprROcI8pH4DnSi5T9R9ifbD9NHWgObgiKn8qgklxcV1NQ--
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic306.consmr.mail.ne1.yahoo.com with HTTP; Thu, 10 Nov 2022 11:50:54 +0000
Received: by hermes--production-sg3-6c8895b545-mvhb5 (Yahoo Inc. Hermes SMTP
 Server) with ESMTPA ID a1a49c4c0566d8310c71626e1adba8c9; 
 Thu, 10 Nov 2022 11:50:50 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Tino Calancha <tino.calancha@HIDDEN>
Subject: Re: bug#55836: 29.0.50; (iconify-frame) freezes buffer view under
 Wayland.
In-Reply-To: <2bd94139-b74a-ce57-26bc-ade4e77b8c3@HIDDEN> (Tino Calancha's
 message of "Thu, 10 Nov 2022 11:59:56 +0100 (CET)")
References: <c49677c5-8fe8-6038-7776-f42b5fba91e4@HIDDEN>
 <871qrzbqv3.fsf@HIDDEN>
 <b5a17ec6-345-9df5-f5d3-1f1c803d6e8c@HIDDEN>
 <87wn9rab1g.fsf@HIDDEN>
 <d3757b8e-8699-fe39-3534-f01789bedaf@HIDDEN>
 <87sfkf9ej5.fsf@HIDDEN>
 <c128677a-64b0-ba6f-4a6-df9a3e02b61@HIDDEN>
 <87a66lacjv.fsf@HIDDEN>
 <f3a593e6-9b9b-cb5e-fcde-866db26b5e89@HIDDEN>
 <874jwr6ndk.fsf@HIDDEN>
 <cbbf0dd-d4fa-8795-10d9-badfa9c33e1@HIDDEN>
 <87bkqx57do.fsf@HIDDEN>
 <c31acde9-7f81-98f4-121-2ce3b78a5453@HIDDEN>
 <87k0445n1y.fsf@HIDDEN>
 <2bd94139-b74a-ce57-26bc-ade4e77b8c3@HIDDEN>
Date: Thu, 10 Nov 2022 19:50:45 +0800
Message-ID: <87y1sj3u5m.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.20826
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 441
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 55836-done
Cc: 55836-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Tino Calancha <tino.calancha@HIDDEN> writes:

> On Wed, 9 Nov 2022, Po Lu wrote:
>
>> However, with something similar the second change, it seems to work for
>> at least half of our users, which is better than having iconification
>> work for nobody at all.  So would you be so kind as to check if the bug
>> is now fixed on master?
>
> Your patch fixes the issue in my test machine [1].
> Thank you!

Thanks.  I'm closing this bug then.




Notification sent to "koaaa.outlook" <whainte@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Po Lu <luangruo@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 55836 <at> debbugs.gnu.org:


Received: (at 55836) by debbugs.gnu.org; 10 Nov 2022 11:00:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 10 06:00:20 2022
Received: from localhost ([127.0.0.1]:42109 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ot5IB-0001Fb-Sd
	for submit <at> debbugs.gnu.org; Thu, 10 Nov 2022 06:00:20 -0500
Received: from mail-pj1-f47.google.com ([209.85.216.47]:51838)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tino.calancha@HIDDEN>) id 1ot5I8-0000nW-Ku
 for 55836 <at> debbugs.gnu.org; Thu, 10 Nov 2022 06:00:17 -0500
Received: by mail-pj1-f47.google.com with SMTP id o7so1276899pjj.1
 for <55836 <at> debbugs.gnu.org>; Thu, 10 Nov 2022 03:00:16 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:references:message-id:in-reply-to:subject:cc:to:date
 :from:from:to:cc:subject:date:message-id:reply-to;
 bh=srJmwiZQ+dYnSgqfBEaOjnu05StEdNFDXITggefL+1E=;
 b=faOfIrawVMX7jTuizdt5ekcOXlRRyTXP9yEwwiGq7zJfm2LkKf/OUm3Q3q40sg2eiG
 txoDtb1rOlZYcCyRTjkoZet7QmdsE4BLmHTMcijPHe0MFkDJzdAQpMfA0jVUO7qhwFhI
 qtWGekAH6RmIsx6mhvO+stgogSjYnxwuYkmoRqMxvaWdzhiacWy+Wwmaeos4UV2gNmI3
 AjtFSVbd6G4vjCzoemJ92CNw+BeMBIO/cg0ejUlJ7yqVcrmZzUmEo+A3MqYqtRxO8WST
 dWqUJ0LLvLwumt6nTa/0ogSVSYSg6shxTUEUY9REcZ1/Mk83gXAe5xK4Vr2Y9JUJ53xL
 BwLQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=mime-version:references:message-id:in-reply-to:subject:cc:to:date
 :from:x-gm-message-state:from:to:cc:subject:date:message-id:reply-to;
 bh=srJmwiZQ+dYnSgqfBEaOjnu05StEdNFDXITggefL+1E=;
 b=yLKhTIsXxE9WkVZo+DK1ULCE2YTgx7h7t2VvPXsr6TLWU8Y8nmNh61ZKllZ6DAuSHW
 +leUUleLsPTEgSX6vE4fjfwN8W4HNbGS/d2/6KNQ0LEa9f8ZGgL7ajc4j0sai2/hXdRi
 pE9t8SLc5bBfHLz8zianvz8oAKkpWbMMIDf1asnsCmj/ox+54xXddCynwSft1YB3eWNM
 tV26UHTEKWHeh11IqbGfSyWgbS6cfo7KzoeExztQRalUYXiloX6nb9aP0xu611ji2Qv4
 X0Va1AjucLXgspP/fc1kIDUsVmOP+kLHk9rKT71UtnlJowj1Y1Q/bLRIMYGpIhRW16jL
 ftbg==
X-Gm-Message-State: ACrzQf1oDJxJghGw5WabqLYWj+UPnsIfb7M3FMr1+nqga8zScZ582MvJ
 1Bg9nuyuovzGukjgOo+MKw0=
X-Google-Smtp-Source: AMsMyM5HR9xnc0wbdy1j7nsZXcGPXLQe6440tGJ29ZfXFP5l+E3cfnzXXa7lf1VdpMMTLCmnQroA8A==
X-Received: by 2002:a17:902:e9c5:b0:175:5129:f3b0 with SMTP id
 5-20020a170902e9c500b001755129f3b0mr1336287plk.1.1668078010746; 
 Thu, 10 Nov 2022 03:00:10 -0800 (PST)
Received: from tcalanch.remote.csb ([171.225.251.115])
 by smtp.gmail.com with ESMTPSA id
 c2-20020a170902d90200b00176e6f553efsm10992296plz.84.2022.11.10.03.00.08
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 10 Nov 2022 03:00:10 -0800 (PST)
From: Tino Calancha <tino.calancha@HIDDEN>
X-Google-Original-From: Tino Calancha <tcalanch@HIDDEN>
Date: Thu, 10 Nov 2022 11:59:56 +0100 (CET)
To: Po Lu <luangruo@HIDDEN>
Subject: Re: bug#55836: 29.0.50; (iconify-frame) freezes buffer view under
 Wayland.
In-Reply-To: <87k0445n1y.fsf@HIDDEN>
Message-ID: <2bd94139-b74a-ce57-26bc-ade4e77b8c3@HIDDEN>
References: <c49677c5-8fe8-6038-7776-f42b5fba91e4@HIDDEN>
 <871qrzbqv3.fsf@HIDDEN> <b5a17ec6-345-9df5-f5d3-1f1c803d6e8c@HIDDEN>
 <87wn9rab1g.fsf@HIDDEN> <d3757b8e-8699-fe39-3534-f01789bedaf@HIDDEN>
 <87sfkf9ej5.fsf@HIDDEN>
 <c128677a-64b0-ba6f-4a6-df9a3e02b61@HIDDEN> <87a66lacjv.fsf@HIDDEN>
 <f3a593e6-9b9b-cb5e-fcde-866db26b5e89@HIDDEN> <874jwr6ndk.fsf@HIDDEN>
 <cbbf0dd-d4fa-8795-10d9-badfa9c33e1@HIDDEN> <87bkqx57do.fsf@HIDDEN>
 <c31acde9-7f81-98f4-121-2ce3b78a5453@HIDDEN>
 <87k0445n1y.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset=US-ASCII
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 55836
Cc: 55836 <at> debbugs.gnu.org, Tino Calancha <tino.calancha@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)



On Wed, 9 Nov 2022, Po Lu wrote:

> However, with something similar the second change, it seems to work for
> at least half of our users, which is better than having iconification
> work for nobody at all.  So would you be so kind as to check if the bug
> is now fixed on master?

Your patch fixes the issue in my test machine [1].
Thank you!


[1]

In GNU Emacs 29.0.50 (build 6, x86_64-pc-linux-gnu, GTK+ Version
  3.24.34, cairo version 1.17.6) of 2022-11-10 built on
  localhost.localdomain
Repository revision: f8df45f853752bb842af453dd05ccb64d990b767
Repository branch: master
System Description: openSUSE Tumbleweed

Configured using:
  'configure --with-pgtk --enable-checking=yes,glyphs
  --enable-check-lisp-object-type 'CFLAGS=-O0 -g3'
  --with-gnutls=ifavailable'

Configured features:
CAIRO DBUS FREETYPE GLIB GMP GSETTINGS HARFBUZZ JPEG LIBSELINUX MODULES
NOTIFY INOTIFY PDUMPER PGTK PNG SECCOMP SOUND THREADS TIFF
TOOLKIT_SCROLL_BARS XIM GTK3 ZLIB





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55836; Package emacs. Full text available.

Message received at 55836 <at> debbugs.gnu.org:


Received: (at 55836) by debbugs.gnu.org; 9 Nov 2022 12:29:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 09 07:29:18 2022
Received: from localhost ([127.0.0.1]:39211 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oskCk-0005UQ-7C
	for submit <at> debbugs.gnu.org; Wed, 09 Nov 2022 07:29:18 -0500
Received: from sonic310-23.consmr.mail.ne1.yahoo.com ([66.163.186.204]:46868)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1oskCh-0005UC-4K
 for 55836 <at> debbugs.gnu.org; Wed, 09 Nov 2022 07:29:16 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1667996949; bh=PQLb/paeOmojFJSC3jHd5e2BdOZ1MlV33yNL9GvP/8o=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From:Subject:Reply-To;
 b=Ue/3xeiPPAsJIY7EmM6BYH+m06LCNyuP+szTCvXIX3b6BAeLLddlXxWC32mk2iKHRiAYKLDmOvryqqGAb1DuzK/f/Gl2YhZZLO8RHnPbYC9WOy6r9MI/xGc69D2w3BlgmQyHdCA2Fk8JymC6tYCQYymM815imgX+oOdmxiDIomY36St5odlkv/Cyz3/z0ZhopcxgYelFdsacgBa8URR5zWDz2mu7+9Mo6GOqCp8ECXbFPG9ccv+iaglG7VZhy/k0KUfKvmev7gSBUOdZYYXQ34fPO0XPP9M4o+wQU0LRzFJhtymSUNezXrUGtfxT+uT7TfEyl/kCYvEnnbCl3J7LZw==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1667996949; bh=OhpngNJg1tmyzPpmOSO6RIzf6GP0Pn8BZNpGHsoPwfQ=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=JGrrsXrDuRTO2hwMVp4kivl5CNmGnxnTxPxkNyTVBfkPsD4F6ewkwfVKFdCNDlJsJu+4BVtnVZLHc70a0TAuxdPDiWaO8a/mWTJvITM8POTB9rCOaAjvMOL3FMjZ6W+WLuSzU0uau83IkFxXJx57/fkyYH9TDhaA13tQ6o+MAjj5kFHrRiZAnxKLl1FQx271xGQJ1UffdCdsodrf/e5D3QveFM96yjMLGh69/yhBYXX9Kh/dorCLCiu9SrwV097E0tQHeoDUdeKbuLefCM4Ie6olKzuun7Xt26HurhEjZkI//oBZTqtmwhrNmSXFfFLBsj929BVTr5qTodkosF20Jw==
X-YMail-OSG: t3z.yKsVM1kjtzCWwCkFKrZmdnyPUD9FHVcG8lOBNNY1GAjXZuNPEFLUtyW0lgm
 vn36uv0RBUrX3peaYSnVzfa8XF03nsUr7nDVfeCW6Ueu0qAgmRV4VJlpd_wm.kvEO6ETzFLgWIxX
 aiwe.NX76Zr5MdeshR_jz_UvSaum65adik7N0u9OGLUTTj95G1nWMEiHJKcI5Ef.b7zmQVhslA9o
 adNyoEHd0dBzS.J5p.MJNZomyHLlnpIz7GlH7evfDtFBIRxaVL06rOJEGZzYYAkLXF0X7kH4Wm6e
 7NFQzKVJbVWf3P2mO7nUjJVPbdeKD5U1MGM_6aU.ZpWHLWDYXZIT0RgoeR2UREW5E_5FfisIMENZ
 3c_CThHs6Qsc9BMM4_BmRwA0O9W0cnUeHKlx6dqRhrm5bAt8FKbbDlhZGQJgsJSU.AjUJBP_0Pl2
 KEej5X.aWM6B3nxHmne26C9H34v1yYP1kw8tMuW8mrVBBNRM5S5H_C.CPL4riy_Xx18LrkHuYE6E
 GWz8d1ia8rAzWS7OUMgTRKVoH1An9o7_quZEINXnzcWfxO7Qip7FCHLXw9itL.VsW3xrk_3L9ejj
 uOzfsNCod_NOJ1BaqjbBWW8nl_M4WCVKSFgQJ79eYsHmcMuMPS_GtTW7wKTdh.Z4Jx7COdGsb4wY
 F88NKPfZHBXYOnDpbjhLRZ85ocIL8zHvCWzJxEFIcvIhUgqdsHPB.zsthjYpADhLlTUS_fDW7Ka8
 bPVmG0S.1Zf9mivS3M78r7jLvxO5Kp1_DyzEZ58IA0W9UpXsTp0dXkwFGHnj_xLMJCPh.z6prg_T
 d8BOXUd6yEzZ6pN7Xv.W6PhvV.T9bpBUefGigrR1SVp9GWKvb7TGmQ512S4m4vN_pZ8PuVM8suU3
 78FSJeyLy6YGqztLu767g_Nm0SHztknLA6PGdOvRuGXcQ81hcXYmrtXYhSY1DLkzhLhdy0Wxcmeo
 eFj76AdsZ3vpgCgx0zgx00XGDNAwKvBBnIx2EWAADjUmK9y7PVuUT750A6EoXOyNGNez7WbhyzY9
 9RIF21I9uiucfZAeTwKC8dYE4kin9KPrEu5g6BV9ASrNF4eTE7YBzblX98ScDWq_GAWIbKkzlNiF
 qb4CePwfiycmn9BkhjDe0jFib0Pmm5fabBTSCtchr4_wjLc9w5dWtmU.C97SH45B_R7elRqpzP4q
 fmbp3jCJxCuP_HKhHpI2NKSc9eAdgPOqGzpQ6mmp7AuztahTXlE3MhSAvwilqnLyIqxl0EBc5MyG
 qnsSDu4HQVaCMHD9n5kQ1_bcQnMIrmVMICS85G4hLiojB.3X7KiJXkfHJu4uEDCMMeR8WLcFpaEx
 gHzD63WlGPE_YhFtBbDf7XXvoz8Kl0R5hCG_QM4h2fT5nMvoZad.4yp2NDLD9PK86OTT6T7YTf7e
 688f1k3qdQW6DiBgBi20Y06oBNxFoxA6iv4aIZBFJm2hncknHvf5CvgjhfpxwUmJSiLhE2zj_kD8
 gUHck12gj.zoSuuGS2IOBqtqoeYnDnJuP43gdmqwfsZe7T.90RuMptTv4jHRFhsSBbsgH8XSR8uV
 Sxkn2khUl7xZOdvh5ftvBYDFdom8hYsnFyJ0_yY1eaJWJbg8ZZmAxgnQKxur2ccQwm6193gy2kMV
 j3j0CDdAyh91BPjBKK_2D0PckvRGMV98yC2PfrmRjek1aDk.58B600UT1cxRh8tech7Q19jG.f87
 f9TAozK5qGedwsyyW.HH2pT7pOlOmm2OHDECkPFjgUAjQ.x8OohAqMk2L67.oJiNhxg5v9Hud_8Z
 0Z.iRZwQxTpydUd9sQuathyO1dfMRomQa1loHsXmy4tCMfkanBKk2id7kADeQAofTQM47FI5lp2H
 cFfg4SUFx4vQJh3YgDJtgNPAAJXuYc.WjzYkgiV8db2DivGrEv7L655F89Sai39R35GNHs0Toju.
 dIYhqOSvYovusAeyDPbyPGshy5XOTpVWwIv1rsaueeUzBLKz.TB_JPh4ke7WGAU73_c5A1ajkJrx
 r5Pblrdro4XFPn0LWGXZNpR8uqNIlWIMAsBn1_4VPpbsL33pdtzC4DUgdncivwcsThD5HP4W61wS
 04Cyude9v5m9olyIgzHDu56Qw.1oY1zlaKBJUztD5px4JAbvk0CINiJWpwUxPPxjHSEAQaL9YiJL
 iCMbEMT6Fu3C_HEomVYVgKn9r8LQpeSxyS3EyFxAGMZftp7RUEiZ7fFzitxJm4Gm7QoXRfHxAjwr
 RO3YkVuybxTx91IsQI2Z1r2cW_dr4H8DY_BxTDNgDXvkPFQpMjucnT3FXgBlK2_9SV9fT
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic310.consmr.mail.ne1.yahoo.com with HTTP; Wed, 9 Nov 2022 12:29:09 +0000
Received: by hermes--production-sg3-6c8895b545-mnqst (Yahoo Inc. Hermes SMTP
 Server) with ESMTPA ID b45e6e0be56731487ee28976a6680ba4; 
 Wed, 09 Nov 2022 12:29:05 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Tino Calancha <tino.calancha@HIDDEN>
Subject: Re: bug#55836: 29.0.50; (iconify-frame) freezes buffer view under
 Wayland.
In-Reply-To: <c31acde9-7f81-98f4-121-2ce3b78a5453@HIDDEN> (Tino Calancha's
 message of "Mon, 3 Oct 2022 14:28:11 +0200 (CEST)")
References: <c49677c5-8fe8-6038-7776-f42b5fba91e4@HIDDEN>
 <871qrzbqv3.fsf@HIDDEN>
 <b5a17ec6-345-9df5-f5d3-1f1c803d6e8c@HIDDEN>
 <87wn9rab1g.fsf@HIDDEN>
 <d3757b8e-8699-fe39-3534-f01789bedaf@HIDDEN>
 <87sfkf9ej5.fsf@HIDDEN>
 <c128677a-64b0-ba6f-4a6-df9a3e02b61@HIDDEN>
 <87a66lacjv.fsf@HIDDEN>
 <f3a593e6-9b9b-cb5e-fcde-866db26b5e89@HIDDEN>
 <874jwr6ndk.fsf@HIDDEN>
 <cbbf0dd-d4fa-8795-10d9-badfa9c33e1@HIDDEN>
 <87bkqx57do.fsf@HIDDEN>
 <c31acde9-7f81-98f4-121-2ce3b78a5453@HIDDEN>
Date: Wed, 09 Nov 2022 20:28:57 +0800
Message-ID: <87k0445n1y.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.20826
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 1150
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 55836
Cc: 55836 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Tino Calancha <tino.calancha@HIDDEN> writes:

> Both seems to fix the issue in my Wayland session.

Thanks.

I decided to take another look at this today.  What GDK does is a hack
that works for some people: after a window is iconified, it sends a
configure event containing the iconified state to the program.  Upon the
next xdg_toplevel.configure event, it assumes the window has been
deiconified.

That is wrong!  In many situations, it is valid for the compositor to
send yet another toplevel configure event.  For example, the pager
component of the compositor may want the program to resize its toplevel
before it displays a preview of said toplevel to the user.

It is also valid for the compositor to deiconify a frame without
focusing it, or changing any state at all (which would entail sending a
configure event.)

However, with something similar the second change, it seems to work for
at least half of our users, which is better than having iconification
work for nobody at all.  So would you be so kind as to check if the bug
is now fixed on master?

(It may take some time for me to push: savannah seems to be having
problems ATM.)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55836; Package emacs. Full text available.
Forcibly Merged 55836 56833 58424. Request was from Po Lu <luangruo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 55836 <at> debbugs.gnu.org:


Received: (at 55836) by debbugs.gnu.org; 3 Oct 2022 12:28:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 03 08:28:32 2022
Received: from localhost ([127.0.0.1]:49258 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ofKYi-00027a-5x
	for submit <at> debbugs.gnu.org; Mon, 03 Oct 2022 08:28:32 -0400
Received: from mail-wr1-f51.google.com ([209.85.221.51]:38509)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tino.calancha@HIDDEN>) id 1ofKYg-00027L-9t
 for 55836 <at> debbugs.gnu.org; Mon, 03 Oct 2022 08:28:30 -0400
Received: by mail-wr1-f51.google.com with SMTP id j16so4553360wrh.5
 for <55836 <at> debbugs.gnu.org>; Mon, 03 Oct 2022 05:28:30 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:references:message-id:in-reply-to:subject:cc:to:date
 :from:from:to:cc:subject:date;
 bh=DJoG2hHifcMUKnDnM6T3w5ZxbwpwaUki1W5Lz8DK6kE=;
 b=VBBy7yiqReSdEtTOA1TsWu47XyRd4ZhH3oO2DLJtkSH9DWsI3A7YKnAX/rNDJeTQzv
 pvYu4GK3atIq5dik4qqkCRd0W9gEptIqTZ19Bptlj47xRwJ/EmiwaqlG5rSzGMOcqcAc
 X2cSCv3a8gyNaK4+/1qkvo1ilxJCfwNdSisvOKKGtxr5OC9lpwbeyKIezdOTtg9PAfFa
 zBdCPoQAfV9BlUa8I7fsLkVCRr7fToJT96FRd0klUCJCtRnVGfBSwNtJs3I94wHru//X
 7OvODm90wOXehPUoRClSjFgdUjAFtgbBurHA/soRCkDwZpS0y2I/QejUEPmYaVOfRp+8
 IdiA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=mime-version:references:message-id:in-reply-to:subject:cc:to:date
 :from:x-gm-message-state:from:to:cc:subject:date;
 bh=DJoG2hHifcMUKnDnM6T3w5ZxbwpwaUki1W5Lz8DK6kE=;
 b=7ftWx5B2RMuzkfFwJ7niTQ/4aMCgiHdAVyCM9qQ3t2l5ugkVpTYit5sQRVFrJP3BI+
 e8x1sbEVojtlL0wgEMU4XKpYc8V5pUCEcWjGZNFxeXMsC8Z8TENeOJPwotNUfwn/yyae
 h9UEefHCy3/rv/tn2q4qJh7zP8XRZdPqWnqtJS+wRTfiCYI1GX21FJnxhT+IGGQPFzjZ
 8T+69EydOAVk/NFdr01yfrduSvPab04QTdM9mZ8P0UCyROmBhI/oi8qNqciOXHQ/fgLx
 eCY2hRuwdIVFqk/LSzU00687A6wpDfu5iQvKZoXZyH9qCAdMX/OrmNpUgNOoLc0mcdSi
 LmLQ==
X-Gm-Message-State: ACrzQf0XCvHqhwM10mywCNUh2VX0YNKDh5XPlbooGPSkRK0BeP6GM4ht
 q+7wekx7OwZFQlecbf6KV2U=
X-Google-Smtp-Source: AMsMyM64aYuvGzmaekHRVSDVyujA0CHdEPmilSgwKETbpUYdpZJCiMsVVbig0sF8ScgmKzzv7z+ZYA==
X-Received: by 2002:a5d:6741:0:b0:22e:2c5c:d611 with SMTP id
 l1-20020a5d6741000000b0022e2c5cd611mr6822257wrw.210.1664800103331; 
 Mon, 03 Oct 2022 05:28:23 -0700 (PDT)
Received: from tcalanch.remote.csb ([193.118.249.171])
 by smtp.gmail.com with ESMTPSA id
 u12-20020adfc64c000000b00225307f43fbsm10456104wrg.44.2022.10.03.05.28.21
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 03 Oct 2022 05:28:22 -0700 (PDT)
From: Tino Calancha <tino.calancha@HIDDEN>
X-Google-Original-From: Tino Calancha <tcalanch@HIDDEN>
Date: Mon, 3 Oct 2022 14:28:11 +0200 (CEST)
To: Po Lu <luangruo@HIDDEN>
Subject: Re: bug#55836: 29.0.50; (iconify-frame) freezes buffer view under
 Wayland.
In-Reply-To: <87bkqx57do.fsf@HIDDEN>
Message-ID: <c31acde9-7f81-98f4-121-2ce3b78a5453@HIDDEN>
References: <c49677c5-8fe8-6038-7776-f42b5fba91e4@HIDDEN>
 <871qrzbqv3.fsf@HIDDEN> <b5a17ec6-345-9df5-f5d3-1f1c803d6e8c@HIDDEN>
 <87wn9rab1g.fsf@HIDDEN> <d3757b8e-8699-fe39-3534-f01789bedaf@HIDDEN>
 <87sfkf9ej5.fsf@HIDDEN>
 <c128677a-64b0-ba6f-4a6-df9a3e02b61@HIDDEN> <87a66lacjv.fsf@HIDDEN>
 <f3a593e6-9b9b-cb5e-fcde-866db26b5e89@HIDDEN> <874jwr6ndk.fsf@HIDDEN>
 <cbbf0dd-d4fa-8795-10d9-badfa9c33e1@HIDDEN> <87bkqx57do.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset=US-ASCII
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 55836
Cc: 55836 <at> debbugs.gnu.org, Tino Calancha <tino.calancha@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)



On Fri, 30 Sep 2022, Po Lu wrote:

>> 1. The breakpoint at gdk_wayland_window_handle_configure is never reached.
>>     I have tried with both patches discussed above, and the master branch
>>     with no success: such breakpoint is not reached.

It turned out I was missing some debugging symbols.
Once iinstalled all the debugging symbols the breakpoint is reached as 
expected.


>>> Could you install debug info for GDK, put breakpoints on both
>>> window_state_event (in pgtkterm.c) and
>>> gdk_wayland_window_handle_configure (in gdkwindow-wayland.c)?
>>
>>> Please see whether the former is called after the latter, and in doing
>>> so clears the iconified flag?

The iconified flag is cleared, but I cannot tell you where this happens.
Of course, that prevents us to enter in the `if` branch at line 5472:
if (FRAME_ICONIFIED_P (f))


My two fixes point to the `else` branch at line 5505:

```
   if (new_state & GDK_WINDOW_STATE_ICONIFIED)
     SET_FRAME_ICONIFIED (f, true);
   else
     {
       FRAME_X_OUTPUT (f)->has_been_visible = true;
       inev.ie.kind = DEICONIFY_EVENT;
       XSETFRAME (inev.ie.frame_or_window, f);
       SET_FRAME_ICONIFIED (f, false);
     }
```

1. The first one "extends" this branch by adding this line:

SET_FRAME_VISIBLE (f, 1);

2. The second one just removes that `else` branch.

Both seems to fix the issue in my Wayland session.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55836; Package emacs. Full text available.

Message received at 55836 <at> debbugs.gnu.org:


Received: (at 55836) by debbugs.gnu.org; 30 Sep 2022 13:17:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 30 09:17:45 2022
Received: from localhost ([127.0.0.1]:40810 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oeFte-0006mh-U3
	for submit <at> debbugs.gnu.org; Fri, 30 Sep 2022 09:17:45 -0400
Received: from sonic312-23.consmr.mail.ne1.yahoo.com ([66.163.191.204]:44558)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1oeFta-0006mP-2C
 for 55836 <at> debbugs.gnu.org; Fri, 30 Sep 2022 09:17:40 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1664543851; bh=aYjZV3fRyZi+taofOpNZxmLtHikHVywbeHdOmg5tJmQ=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=S9vgGNfQIDeKsRqqHaBfzav3W0P2VE+pQ+P55tf+UD0wbj55qc6YJT89PCZUKw4zUcrqoC09mCiFQ6QRWLQcKjrCI6NTF8cIo4pPMIV2VUZV1ZWEHTsEILopLAvQpVva1ET5yeqJ0mR30X23cKndB2qb3lvHk7K4o6RMh99uMw1deCz9WYWNoRejf1sTUY2mBFnj54eSmiOAWH2QMChrqlG1F2k23SJm+u4cjmmmZLS4IQ7HAHBfeyrVroaEzQIkOyrluG5luUhD/iUdH2XdEgEb0Q12msyvEhxMdQ9OkdLZPccvcKbJ1WbdhVMFLQ2FmFUOmg3mU/QmMlqNusGlXw==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1664543851; bh=TQTcPUy+p3CUr7dvsd8NL6Ne822CfU20GAHT+bNM3o5=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=WvvGz28ykXzUCFIY6ynUuBN5YXxEnAZdZQxg/tu6wqLor4z0PkQYvhCAETkOtd02eY65cKwweo8hHJwSG7POkzTIj8HThPyg0dXqsmwTnbbNtLECVDyyZRAIdOXmWqmzkdbT31MojrBlqFOfptLsvSkFkpCBrX63vUsTEgjNrOO6mjgtqleMqqyBv9piaRNEhGb0c5IOlk/TMkfh0fPkqEDDVJAIM4wD0Z5chNSjCS3NiAo+3v9tsRKtWt3K0651f8v0bFJlTDPNVF3SD+ghJXxSSSLRAu0Zf4p3t9V8u0JLEqnKEWu4xDqjloRYNH6b5K6+osBvH0eKq7Xa2Gl/Yw==
X-YMail-OSG: jzRR.3wVM1nvTAuJOw_7Am3gzMkLqfejOzvvOGqs7OPX0J3s3jDMaBa2gyhvYkE
 k703DGlHVud.ksNJ_xJfPalEL8P61wZOh5lRvh.ry.KL1On.fMMhcG6bmOzEGlNNBNv7K81TK1SR
 3YkpSkiHYQmBExd4KzsXzVkpxAvRdMUzn4_sGFndnhQohUugdNtqhjkfHfnL07lbmRi981W6vptO
 SvKxshBXvHOz3xfGNm5ihSi8ch6tFx8qDbqCCShaD99TbpuGXUikVlUWb5nJe0.EqzsPOyttHe2d
 qnvUtoMVfSZsHJur_qzhS4rvpvA7YmUmW1pTDBzHpKEGJpX2N4D20m443MQszRmOAsC4UBzud8t.
 ztIDUDoNraf1uXg19GpBjjb.G.rX.HRtSXuz.wazVuIHB6QfM8kiZ2433dtuYt8XUjYOWr3zfZxW
 1Gmi6OnpzVThT787ilGhZ1GpOZ9D_2mjCcD.sgFfyrNWDDKaZoZcHI0wUjJ5MTqQWumJiUCT9MC4
 hzHq0.6HnoJw9yJVVjXtJHiWRwmso7ZpjWvJwul7FxCBTqG6WCmHsrJziB5U_CimUbhUEygiUAnL
 hWhwkakEbYDv3nf7ZKhnTVVwCFaxO3zjU_QBYBEn1f76.zDD2kav3zNsr0xbS0WkJF4_suDRQjne
 ykxymwY.hxFwuuOxzhqMSjGf1DFlUOeVzZ.pqYEC6AEq6omGo.68lWdW6.x2O3yOcL4NV.8Ul76Z
 y8zjJcUJfPCtq1CC6BsJkN5ipMCcnu_OtT6H.zTpRC00stW9B._tohq9FOOfTDfitBAlwJOQidjO
 obdpjFRk5OKjK4FDsxtlMRvMU1uvuFcUUZKPqUqyWQ_wFQ1ivWl36PwIi85jiflwY0J8yEt3jbuq
 XV7Mo.ASc.NCAr8GeDbMs84v3RDe3s6aVGKGlJO.rCeOnQTXF9_RSIoqJwG_4a4Vkv8zj93RRLNA
 pvG6FzoaaSfcajkkaJWrY6r49hMvuHUVM5a1D97tdYD4pc6Gk__Sq8m0UlfSA4juyNP.5lHLvSzq
 _8X2kXTX3.CKsvV.Evr6y7eEpHp1zKjggKG.0iQ0s9lTdZRdlVIEfXrIPhG77J4HWaV06XvzUKJc
 cReLXmTbjmPaD48MUX0ACNVP0x1fhdmdTkAbi8YMkViu2tojUky251IQtb0Cpb.hxG0q1Jl_ZOI7
 jhcSg0z1WTyOTbqnrxULXTgfWOUVStjKGIIgcDVCBgn.KGGAHdLouq83HxKh9mcn83h0qNYQ9Ocb
 s5FWUXuFcNhZFYCdLitv7sIHK9B.ChbbMeF4a_7nh8.O9TCE_7VoS7RWf0vbXa5VxbaDsiohCPFH
 f9VKBlBstSS0MjtFTXEEuag.hufWQooVq3lYD9l2hgeL91NU_7PCtzlEB__QsuL5YQAK5dKyBQpj
 NSRMhwLwL.SucJwMb9CYUyOGz_i3NFq2EB4b58aAGCamnX45gNwI3RRPqv7c4kggcvKSESWWqTYQ
 a8vjOrE7dSGT.glFg1AkcfzSuVdIlyquF_pCV2BoAKe0wfs5BR3Kqdo0Kl3MzeMBomBR_sVJe7kC
 3hAXWdId8rzEpYNIjFoviJ1RGPt0_tnbvyHWP3Y.wckVyq2H0OdhNmEec3ToMT6m0FOSht.yOHyp
 IZLpnLArrwoaInQUpihGQ2avLEzFl4AKlxTgIJKEfsNm_7iqCdrzuZAkaVgk9uMSHvJjVBnT2J4O
 Y4uVu4dvFdXyITVriTkVdopXaBkycAB9IoMvNHvQqJnsyALyVP.jaPS5peAzMv5bUYix9fah2NAp
 sGbXM_Df5FNSQSOMJ7Mcf6ZAcWohhfbUkzFpf7EVjfhrXQkGKn6ZiLNpYD4Qrpmq4dDWXIrHIUVm
 ZqxwDtZzRDeoRwIG3Q16ByIKXArp_5ospRhh5ObQQCDS2MbA8_RPJqq.ipZXykDVyVdh0f3Q_OPU
 xKkI3_HA83exgkV5sO8_kj7H7KDH5P_hKtw7LLNfA8DutcJxCGuRnFKVq.mtGW6PYy3n.rYkbd3k
 dcDVxufwhAj8N3yyY4bZtoCY4ejW3RZdX4iF56hBddVXQPCe8ekFwijb_YRdMB_NTIAkR77PM2Qa
 iATAn3_YWKbvMxLP.dUGnImfy6_xrE6A0x7h2.U.w9ZQD6unQ8PkdzTCuVcuIAFXP9mpwVmjuiHm
 niRsJCZBR2_sGfbx9OHOIoLOagCuZmMzSNwoMxh1sKw--
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic312.consmr.mail.ne1.yahoo.com with HTTP; Fri, 30 Sep 2022 13:17:31 +0000
Received: by hermes--production-sg3-cf9dc7f8d-ss2cs (Yahoo Inc. Hermes SMTP
 Server) with ESMTPA ID 5bb3426437ee98e2bfdbe0d4fddf9d41; 
 Fri, 30 Sep 2022 13:17:28 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Tino Calancha <tino.calancha@HIDDEN>
Subject: Re: bug#55836: 29.0.50; (iconify-frame) freezes buffer view under
 Wayland.
References: <c49677c5-8fe8-6038-7776-f42b5fba91e4@HIDDEN>
 <871qrzbqv3.fsf@HIDDEN>
 <b5a17ec6-345-9df5-f5d3-1f1c803d6e8c@HIDDEN>
 <87wn9rab1g.fsf@HIDDEN>
 <d3757b8e-8699-fe39-3534-f01789bedaf@HIDDEN>
 <87sfkf9ej5.fsf@HIDDEN>
 <c128677a-64b0-ba6f-4a6-df9a3e02b61@HIDDEN>
 <87a66lacjv.fsf@HIDDEN>
 <f3a593e6-9b9b-cb5e-fcde-866db26b5e89@HIDDEN>
 <874jwr6ndk.fsf@HIDDEN>
 <cbbf0dd-d4fa-8795-10d9-badfa9c33e1@HIDDEN>
Date: Fri, 30 Sep 2022 21:17:23 +0800
In-Reply-To: <cbbf0dd-d4fa-8795-10d9-badfa9c33e1@HIDDEN> (Tino Calancha's
 message of "Fri, 30 Sep 2022 14:36:10 +0200 (CEST)")
Message-ID: <87bkqx57do.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.20702
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 1474
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 55836
Cc: 55836 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Tino Calancha <tino.calancha@HIDDEN> writes:

> On Thu, 29 Sep 2022, Po Lu wrote:
>
>> You should simply be able to type "b gdk_wayland_window_handle_configure".
>
> I see, thank you.
>
>> Could you install debug info for GDK, put breakpoints on both
>> window_state_event (in pgtkterm.c) and
>> gdk_wayland_window_handle_configure (in gdkwindow-wayland.c)?
>
>> Please see whether the former is called after the latter, and in doing
>> so clears the iconified flag?
>
> This is what I see:
>
> 1. The breakpoint at gdk_wayland_window_handle_configure is never reached.
>     I have tried with both patches discussed above, and the master branch
>     with no success: such breakpoint is not reached.
>
> 2. I have played with the following patch that also fixes the issue in my
>     machine:
>
> diff --git a/src/pgtkterm.c b/src/pgtkterm.c
> index 491ba33..58456c9 100644
> --- a/src/pgtkterm.c
> +++ b/src/pgtkterm.c
> @@ -5502,13 +5502,6 @@ window_state_event (GtkWidget *widget,
>
>     if (new_state & GDK_WINDOW_STATE_ICONIFIED)
>       SET_FRAME_ICONIFIED (f, true);
> -  else
> -    {
> -      FRAME_X_OUTPUT (f)->has_been_visible = true;
> -      inev.ie.kind = DEICONIFY_EVENT;
> -      XSETFRAME (inev.ie.frame_or_window, f);
> -      SET_FRAME_ICONIFIED (f, false);
> -    }
>
>     if (new_state & GDK_WINDOW_STATE_STICKY)
>       store_frame_param (f, Qsticky, Qt);

That's shocking.  I will look into this further myself (in a Wayland
session.)

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55836; Package emacs. Full text available.

Message received at 55836 <at> debbugs.gnu.org:


Received: (at 55836) by debbugs.gnu.org; 30 Sep 2022 12:36:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 30 08:36:31 2022
Received: from localhost ([127.0.0.1]:40701 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oeFFm-0001Fk-Nl
	for submit <at> debbugs.gnu.org; Fri, 30 Sep 2022 08:36:30 -0400
Received: from mail-wr1-f41.google.com ([209.85.221.41]:35760)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tino.calancha@HIDDEN>) id 1oeFFk-0001FX-MS
 for 55836 <at> debbugs.gnu.org; Fri, 30 Sep 2022 08:36:29 -0400
Received: by mail-wr1-f41.google.com with SMTP id u10so6523148wrq.2
 for <55836 <at> debbugs.gnu.org>; Fri, 30 Sep 2022 05:36:28 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:references:message-id:in-reply-to:subject:cc:to:date
 :from:from:to:cc:subject:date;
 bh=dbt9fOTCdVkMacAAXD/tcYNFVpD4P3RJbTqcLID3oLU=;
 b=lsFuxL3dR5XVYYEBIkmGIiigONZnGgLkJobo+qAuTJYUoNinfh7BYHeGru+PaiKNcY
 o3cQcPMW0CtSTXy6pY+LT1q7c1ru2px4w3sb935qjmCiq1kXnMTGLDjGncwopaQ0K2Uu
 wpD2svkE8xbTl3aLtEz0YCJVLcYZdCMedNb1qgauUXK4dQ2BcCp6rTOTSfWuXYv0Z6lr
 nRTRlMdJOWLW/7CmGpJFvbVKdqvqJxQFr0xwsCUCohz8HQ4vOsQqhmXRon7GphJKH8j1
 zltY5v48GBdP9nAyZZVvcCzm6kQqy4nSLp0ERcWGgwny3JGsR9CfpDoz+h1WXZoLh2P+
 KQsA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=mime-version:references:message-id:in-reply-to:subject:cc:to:date
 :from:x-gm-message-state:from:to:cc:subject:date;
 bh=dbt9fOTCdVkMacAAXD/tcYNFVpD4P3RJbTqcLID3oLU=;
 b=mP2mZGhbqRaoOQ6fcODuUQW8bF3WPRt6z1Loi6pvESp0/tbITrfQKM4UKWLAG4AdF9
 51PCVNkLHCvodK20wbNtmbzTui6VJLW2hh6DwOSQJyp7mSWHHRj4YPezNePPWWXcAhvN
 4KHim/eHSAJx9DUoTfd2Mclhck+P0bXPvn/ywiDdVhv0Uuv0d9SHXgutrq2ni8qo6SQA
 12Vi/LRQZeBl3srVJh1IN3X/g4BXI33R1X7PDgzCan24nY3aUXqNGwEFcQe8h0kNOgOX
 nyKDXYn6xiInqoHzLyAKpjxKMYTbNNoABXaZ2kQoMgM1lXmbG3oqU8PYU8qnwX7cr91g
 tpPg==
X-Gm-Message-State: ACrzQf15QUnSXmrWbVCh7LoOkQjoEDsYOnPNpS6AtcodCln2bkYt/gm3
 3qDucWWLDAX9KOG6+4K8Cu8=
X-Google-Smtp-Source: AMsMyM5txiFC3k6YOvlm0CHfFw6TjH3vr7oj+3iwt+yCEnnvq9UNM4E7oBsp8gglCJ8qA5aLNqjoJw==
X-Received: by 2002:adf:e60d:0:b0:22c:d483:5ee1 with SMTP id
 p13-20020adfe60d000000b0022cd4835ee1mr5443862wrm.641.1664541382754; 
 Fri, 30 Sep 2022 05:36:22 -0700 (PDT)
Received: from tcalanch.remote.csb ([193.118.249.171])
 by smtp.gmail.com with ESMTPSA id
 q13-20020adf9dcd000000b00226dedf1ab7sm1877450wre.76.2022.09.30.05.36.21
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 30 Sep 2022 05:36:21 -0700 (PDT)
From: Tino Calancha <tino.calancha@HIDDEN>
X-Google-Original-From: Tino Calancha <tcalanch@HIDDEN>
Date: Fri, 30 Sep 2022 14:36:10 +0200 (CEST)
To: Po Lu <luangruo@HIDDEN>
Subject: Re: bug#55836: 29.0.50; (iconify-frame) freezes buffer view under
 Wayland.
In-Reply-To: <874jwr6ndk.fsf@HIDDEN>
Message-ID: <cbbf0dd-d4fa-8795-10d9-badfa9c33e1@HIDDEN>
References: <c49677c5-8fe8-6038-7776-f42b5fba91e4@HIDDEN>
 <871qrzbqv3.fsf@HIDDEN> <b5a17ec6-345-9df5-f5d3-1f1c803d6e8c@HIDDEN>
 <87wn9rab1g.fsf@HIDDEN> <d3757b8e-8699-fe39-3534-f01789bedaf@HIDDEN>
 <87sfkf9ej5.fsf@HIDDEN>
 <c128677a-64b0-ba6f-4a6-df9a3e02b61@HIDDEN> <87a66lacjv.fsf@HIDDEN>
 <f3a593e6-9b9b-cb5e-fcde-866db26b5e89@HIDDEN> <874jwr6ndk.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset=US-ASCII
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 55836
Cc: 55836 <at> debbugs.gnu.org, Tino Calancha <tino.calancha@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)



On Thu, 29 Sep 2022, Po Lu wrote:

> You should simply be able to type "b gdk_wayland_window_handle_configure".

I see, thank you.

> Could you install debug info for GDK, put breakpoints on both
> window_state_event (in pgtkterm.c) and
> gdk_wayland_window_handle_configure (in gdkwindow-wayland.c)?

> Please see whether the former is called after the latter, and in doing
> so clears the iconified flag?

This is what I see:

1. The breakpoint at gdk_wayland_window_handle_configure is never reached.
    I have tried with both patches discussed above, and the master branch
    with no success: such breakpoint is not reached.

2. I have played with the following patch that also fixes the issue in my
    machine:

--8<-----------------------------cut here---------------start------------->8---
diff --git a/src/pgtkterm.c b/src/pgtkterm.c
index 491ba33..58456c9 100644
--- a/src/pgtkterm.c
+++ b/src/pgtkterm.c
@@ -5502,13 +5502,6 @@ window_state_event (GtkWidget *widget,

    if (new_state & GDK_WINDOW_STATE_ICONIFIED)
      SET_FRAME_ICONIFIED (f, true);
-  else
-    {
-      FRAME_X_OUTPUT (f)->has_been_visible = true;
-      inev.ie.kind = DEICONIFY_EVENT;
-      XSETFRAME (inev.ie.frame_or_window, f);
-      SET_FRAME_ICONIFIED (f, false);
-    }

    if (new_state & GDK_WINDOW_STATE_STICKY)
      store_frame_param (f, Qsticky, Qt);
--8<-----------------------------cut here---------------end--------------->8---





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55836; Package emacs. Full text available.

Message received at 55836 <at> debbugs.gnu.org:


Received: (at 55836) by debbugs.gnu.org; 29 Sep 2022 00:22:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 28 20:22:17 2022
Received: from localhost ([127.0.0.1]:35239 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1odhJh-0001Ll-C3
	for submit <at> debbugs.gnu.org; Wed, 28 Sep 2022 20:22:17 -0400
Received: from sonic312-25.consmr.mail.ne1.yahoo.com ([66.163.191.206]:38778)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1odhJe-0001LV-BX
 for 55836 <at> debbugs.gnu.org; Wed, 28 Sep 2022 20:22:16 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1664410928; bh=D2Rl2gNAgK7wMNAtG0bgiIWKR9r0Nr43TUlpRZzLMgQ=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=ClmK/xnt+Thkqb5EAKOZ9o5nMaYquUVvFz95J/iBVrTmGxrPPmyJbLzRYENAY7bRhBM2hLgTfU6+HlGSgQuYOb66OvhuUBhzxsuQtkOIrLuZWaPeMuZKi9D/0dhIgI+slRSnMB2hIqtFGjmI2Ej86bpVqULwWcuu6q3y9GEdkCTMeNMQ6z2g/f/2FkrWtAaFfZzmaeZBEWF4eBX8zEV/mYGZKJtgnV2Er6h8TmPFk3KVLTbkWvpUU6tYzVXfMmKIOdBVKaIIoo/h7I0Kkgp1c3mhlEDjGaWZI0hrdTEISERD39VTHaqDoaduaAQDzMIOiZ+KbnVMsBxGHmkWzV6d7Q==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1664410928; bh=uRNFJP2Ess1TqLLic/z7H3wpPHADR/pEnlrdaN5bmHa=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=RjOw+iYWB3AmFyO+QDsvYLNEfoZ2Docq7ufArDMT8gEJIZJslNK03YEjKeYvazfzeX9CCibcsciGZD4sJI7/eRRX/Q4ZRV1Que26VEvLS9TIeFrHTEY58B4LonlHmEYW6vCWXie0zymzQL0OEkgHUnDTQS5rsdct/3HqVoJVTLBHUrSUfH9cd6VvIRNB8N/d/c51GZYojDBB2TiQJdOrArVzS05GaWZP+Vf1005IV3jRoBt2HNra1QvH82vSCIy8JTEcqMTZ1V1nZrBQc3JaRSq9Npd6tHUi2caFo8m1sxI2gc17i06qhXif0lLzfxFwjJS+AYLqKzDJfK51t8PbMQ==
X-YMail-OSG: DAazEXoVM1m.clUV4Rjj4lt3862ZtgCglQ16ENausMLMzBcgAiBPZ3YzCTi.454
 h9BV7JF18LX4LoNNJPzsdzeeLSP954DqqNhEs1czGto4jUrNovOagKApL04sEEkhy7cszUduZl.0
 a8JRWl.tibwZSTnpZC4JefnQichWueN3ox9nT04fP9IZGx4t0rzStTzid5_Bp1Mpratydj.btQUr
 2uOFszRYPJkPWrst2y5EuEd4n9lyW_9Os0ydBM5LHO05C.lRTY7YTmTXFbXuUvexyUICznjjDxYL
 XAqG56ZEpR2WgnuyzrlHib4tzKPMEbBwqp.q5HvK6SwmrLlW4WFbm_DpOZ680Flz4GTJ2qGXVchm
 7AKJJ8uvK8TwmCtgROyNMNTMWV8BbsdOW4kxqt_E4g1u_Vrf_bc.0lBemk9.UJPas8vQd3INpuKF
 IN8.kYQd_5psUmc48HBSYcbWP99UV9_90ImE2F3k34D7NCPhmXUx_on.Vt9oOr68L11EGwM29qc_
 xzROgopXSxkejKDVmxOyiG_CoikJdI8bVNrkMtcIyjEsEPktq4z3Ceqix.3pz5GXxklZXDlUh_VW
 7EwBQRCpNoGyHgZR5RSQzSaMuSBMNg7f2_xihyDBkopNV0Bvil8CROWep6XRkeh3Gdnw0gR4gj6D
 BSz7zEhSAxc0O58EnrA9McC6FyQRu6d_msBvxDO5qSKbbnAqMVjr5LRlwDpi4XacacTuLKs5Qga3
 eiGl41Dqr5C_gEuZ_m3CdpcmFCmYjZWWBgb2U4jexjkHMu9LTXiFeyd4d4iUwSiboWOST4rLUPJE
 Jc1_YcIavycnuGTI.RP7EuP3VQmyRIqz9xEL7FMJExEXxmUwOINYPG9NCJ0RA.qY2UocHr4Zq.IU
 T4waP2EJxEvkgomttKNOvJtMdBw3I0CJKk8m_ejq7AIz3ykwNhbTUxDKwVredUvg5IF3ReewWtg8
 BYDxwZ14aCVaMIZlc8Rl6zYoWPaG4vjQ490QTriSZVsK90GMIr_Pza14VyjX7f034dduZhVCHkzV
 Z733KOOMQgjRbUnBmWj4SNyBeR7s8vNlNQsy8SjALRPdvo5BaXdJpb1vhuqVt50yxElTmEgrgAEz
 Wj8CsIMXpLVD42uTlj58RR0rmEej_jZmnjVoQ.NBBLZoZbOobgg9PX2j3PHteGn68CJrk_A7uvFM
 kSQ8NEp1GjDTcawqrY4nX.ZsMf78mMKXcTTc0SdjQLuwfM3Od4Fc7Ui0Hl0VZqin6VfddkQ3X3HT
 BPBTE4Hvii5QUKNV2hubJgu5AX08XeqKhxt4lsSjVV0pzZcHlIDi9ic9nLKmwrphAUOqu34JWfdc
 Wbvvv9e9Ng08yTTQ3gMbQhNvzUVOtBhK9Esli_RxiRZRheCFpV_cYrEf1MiNaZsaBlkr5innFC.h
 mOiJ9c4ghUI1PanqZoI5tilZFZro9FRiR7OqovR9GnujpKV_8T2aqbWktYKHvzVf3ksH2XF9wUou
 p1L8_sD2FlcA2cJ_HG9F._ZQuHOSI5drp21AHJ6srGUxD4xucQA5.0CWt4vm8SCG5.xG4.LZ2xgW
 UIdy_ZojgpbQffXJanOG9wCUQHLUCwEVF8cCGKzRwamkr2x3wfF5P.u6njA9rnveyWaZafd2LraR
 hBtj4gqDANh4j3lOowDCebOYkme_zwmMLCoajKLaDNK62IvchLiMEl7gmqkH3KKYvdOkf6Yk6nk5
 9hJdmKQqPMDEdbRse42C3w6..LWuSs4wUqUgIsBzu33r.Q.jkdsUrNQbHQ4Uofzxa7FWfpdnw4vW
 O93X1wqSF24uXdDY1q1Ic38g2_kE4fkvbxeZ.PmRLJPH.ggH.BcIQ5ZpHAzTLKsqelQCIj5Hrp0E
 AGFtSv7FDOkvNV8Gh6y2wW6FVZdng_3R4_yGRbvbB6OGFppg3tVmXx67lfZOC0VqZ_.8jBQLdOEC
 JXTJXqgUqU5vXjCALEO6ouVIgPM3aCsobAfUGL4kbNwK_rzjVC8FbLGTudyv5lR7rcgZ7j7vHrUH
 Qy.KW2qC.TLSW3gNmriHknGmGdjh2EA99Ie3ZUjQ3GdTlYuo9mX7aCgpwRikhIHRySPqDlPjLwq5
 6.dXvHerpR_qBC_mn4GmcTBgVUDz0dfMsUjzLbrARfCzz7yzEUeUyb6KxzpnA2dWzVerHnSdPg1R
 yF2UiaDSRStLpU7ALB.3B1soa.oEBiyvuZKSuC221r3PhuDjTUYGuPNme7.FKUziM5zo7O8SNlEA
 L4IWTKSHeON68W5DMRSXRVL_uinHPwqC.XNGPYkW06fr_GRPIZT01UmTSS9.utHL6MmQR00Fh6AY
 -
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic312.consmr.mail.ne1.yahoo.com with HTTP; Thu, 29 Sep 2022 00:22:08 +0000
Received: by hermes--production-sg3-dfffdfbd4-xfsh4 (Yahoo Inc. Hermes SMTP
 Server) with ESMTPA ID e188e5db41fd7468be8b3a1d8cc6facf; 
 Thu, 29 Sep 2022 00:22:05 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Tino Calancha <tino.calancha@HIDDEN>
Subject: Re: bug#55836: 29.0.50; (iconify-frame) freezes buffer view under
 Wayland.
References: <c49677c5-8fe8-6038-7776-f42b5fba91e4@HIDDEN>
 <871qrzbqv3.fsf@HIDDEN>
 <b5a17ec6-345-9df5-f5d3-1f1c803d6e8c@HIDDEN>
 <87wn9rab1g.fsf@HIDDEN>
 <d3757b8e-8699-fe39-3534-f01789bedaf@HIDDEN>
 <87sfkf9ej5.fsf@HIDDEN>
 <c128677a-64b0-ba6f-4a6-df9a3e02b61@HIDDEN>
 <87a66lacjv.fsf@HIDDEN>
 <f3a593e6-9b9b-cb5e-fcde-866db26b5e89@HIDDEN>
Date: Thu, 29 Sep 2022 08:21:59 +0800
In-Reply-To: <f3a593e6-9b9b-cb5e-fcde-866db26b5e89@HIDDEN> (Tino Calancha's
 message of "Wed, 28 Sep 2022 17:06:36 +0200 (CEST)")
Message-ID: <874jwr6ndk.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.20702
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 1067
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 55836
Cc: 55836 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Tino Calancha <tino.calancha@HIDDEN> writes:

> On Tue, 27 Sep 2022, Po Lu wrote:
>
>> Could you install debug info for GDK, put breakpoints on both
>> window_state_event (in pgtkterm.c) and
>> gdk_wayland_window_handle_configure (in gdkwindow-wayland.c)?
>
> I don't know how to set the second breakpoint :-|
>
> This is what I have done:
>
> 1. Installed packages gtk3-debugsource, gtk3-devel-debuginfo, libgtk-3-0-debuginfo
>
> After that, I can see the file at:
> /usr/src/debug/gtk3-3.24.31-150400.1.11.x86_64/gdk/wayland/gdkwindow-wayland.c
>
> 2.
> M-x: gdb RET
>
> (gdb) b pgtkterm.c:5458
> Breakpoint 2 at 0x752a69: file pgtkterm.c, line 5458.
> (gdb) b /usr/src/debug/gtk3-3.24.31-150400.1.11.x86_64/gdk/wayland/gdkwindow-wayland.c:1657
> No source file named /usr/src/debug/gtk3-3.24.31-150400.1.11.x86_64/gdk/wayland/gdkwindow-wayland.c.
> Breakpoint 3 (/usr/src/debug/gtk3-3.24.31-150400.1.11.x86_64/gdk/wayland/gdkwindow-wayland.c:1657) pending.
> (gdb)

You should simply be able to type "b gdk_wayland_window_handle_configure".

Thanks in advance.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55836; Package emacs. Full text available.

Message received at 55836 <at> debbugs.gnu.org:


Received: (at 55836) by debbugs.gnu.org; 28 Sep 2022 15:07:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 28 11:07:10 2022
Received: from localhost ([127.0.0.1]:34194 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1odYeU-0002Xr-9V
	for submit <at> debbugs.gnu.org; Wed, 28 Sep 2022 11:07:10 -0400
Received: from mail-wm1-f49.google.com ([209.85.128.49]:35516)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tino.calancha@HIDDEN>) id 1odYeQ-0002XJ-1z
 for 55836 <at> debbugs.gnu.org; Wed, 28 Sep 2022 11:07:09 -0400
Received: by mail-wm1-f49.google.com with SMTP id
 130-20020a1c0288000000b003b494ffc00bso913447wmc.0
 for <55836 <at> debbugs.gnu.org>; Wed, 28 Sep 2022 08:07:06 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:references:message-id:in-reply-to:subject:cc:to:date
 :from:from:to:cc:subject:date;
 bh=D4hFjVaRbVsfGDBrzM6FAkp9PpaRX4hRhgZGSeNgIRk=;
 b=ioOhIvlSHBAKoFmBll+XHOrAod/+EsfWlyxJwqwNWOoZ5eRxV73/FFAHadNGzA7fR3
 0Ombsp1Aa7L8QIz1D+GneH5HQd9DcVVKmzzWcNNF8pFIA+o//PMQdoWsiHDl/SDCIjvR
 B+2gTty8FXKc0lUOAFbe81Dkf+/7UsRp+wXRGjsVBQxUOJMRBmqo8lrydY1zQX2w/LBn
 ZfIsjHErRyVA4B1tjdVMyYg6mPS6UecfvcLl8JFyiL0iMFWP5HhXChQzpSD/cypO62p8
 yuvQF7K44V5CFmrXak5gkIW3350jotnYmAC6ePbzacnOYHxwVZKeW0qAU6MPHsNghpz1
 xuVQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=mime-version:references:message-id:in-reply-to:subject:cc:to:date
 :from:x-gm-message-state:from:to:cc:subject:date;
 bh=D4hFjVaRbVsfGDBrzM6FAkp9PpaRX4hRhgZGSeNgIRk=;
 b=poOKag+DRX9PX0g9sWFJq/5NQ1UlHXq0kjwLgUSjhAoE761N6YaJMpC2SlW7qiyFr9
 Fj44UJ9FBBDg0t1vD+uqrZJY3+DyGXjUtnH1G0nTUWDJKgI7Wq3x/3uUc+tNWO+w34Y8
 y63h2J5ZkkaUfVr+T3qe8MtX5tJCJO3t9Wh3see+DQisHH6FjaIkFSCh5KL65bL7A3NM
 kcPZDuleqt12Eo5KdgCJ3i0BiP6iUJ3jN/C6QTTdTn0m94ie8guGkfRnBbqYAu4Sh5Po
 8sGfyCGGbpMYYebswVQ5f1nU66dHahy/lMOh0HKXiO2WV5oQxXLFCI2NBJ0tSx7VRAHr
 hApA==
X-Gm-Message-State: ACrzQf3ruSpvRerBi/YRJ9pi75/rlJH2l9d+jf2Zr8FkbL76egqrVif0
 439zH3W1QVCMR+hDLyckmZ8=
X-Google-Smtp-Source: AMsMyM7Y0qg4b7dFSf+hOm2ZJui70Or8Sl2AM0sC93H6ytyUEFxKjcS5WmXTspOOcK6VU7WFuU26og==
X-Received: by 2002:a05:600c:510e:b0:3b5:1ab:fa5 with SMTP id
 o14-20020a05600c510e00b003b501ab0fa5mr7207806wms.204.1664377620043; 
 Wed, 28 Sep 2022 08:07:00 -0700 (PDT)
Received: from tcalanch.remote.csb ([193.118.249.171])
 by smtp.gmail.com with ESMTPSA id
 n16-20020adffe10000000b0022b014fb0b7sm4339347wrr.110.2022.09.28.08.06.57
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 28 Sep 2022 08:06:58 -0700 (PDT)
From: Tino Calancha <tino.calancha@HIDDEN>
X-Google-Original-From: Tino Calancha <tcalanch@HIDDEN>
Date: Wed, 28 Sep 2022 17:06:36 +0200 (CEST)
To: Po Lu <luangruo@HIDDEN>
Subject: Re: bug#55836: 29.0.50; (iconify-frame) freezes buffer view under
 Wayland.
In-Reply-To: <87a66lacjv.fsf@HIDDEN>
Message-ID: <f3a593e6-9b9b-cb5e-fcde-866db26b5e89@HIDDEN>
References: <c49677c5-8fe8-6038-7776-f42b5fba91e4@HIDDEN>
 <871qrzbqv3.fsf@HIDDEN> <b5a17ec6-345-9df5-f5d3-1f1c803d6e8c@HIDDEN>
 <87wn9rab1g.fsf@HIDDEN> <d3757b8e-8699-fe39-3534-f01789bedaf@HIDDEN>
 <87sfkf9ej5.fsf@HIDDEN>
 <c128677a-64b0-ba6f-4a6-df9a3e02b61@HIDDEN> <87a66lacjv.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset=US-ASCII
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 55836
Cc: 55836 <at> debbugs.gnu.org, Tino Calancha <tino.calancha@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)



On Tue, 27 Sep 2022, Po Lu wrote:

> Could you install debug info for GDK, put breakpoints on both
> window_state_event (in pgtkterm.c) and
> gdk_wayland_window_handle_configure (in gdkwindow-wayland.c)?

I don't know how to set the second breakpoint :-|

This is what I have done:

1. Installed packages gtk3-debugsource, gtk3-devel-debuginfo, libgtk-3-0-debuginfo

After that, I can see the file at:
/usr/src/debug/gtk3-3.24.31-150400.1.11.x86_64/gdk/wayland/gdkwindow-wayland.c

2.
M-x: gdb RET

(gdb) b pgtkterm.c:5458
Breakpoint 2 at 0x752a69: file pgtkterm.c, line 5458.
(gdb) b /usr/src/debug/gtk3-3.24.31-150400.1.11.x86_64/gdk/wayland/gdkwindow-wayland.c:1657
No source file named /usr/src/debug/gtk3-3.24.31-150400.1.11.x86_64/gdk/wayland/gdkwindow-wayland.c.
Breakpoint 3 (/usr/src/debug/gtk3-3.24.31-150400.1.11.x86_64/gdk/wayland/gdkwindow-wayland.c:1657) pending.
(gdb)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55836; Package emacs. Full text available.

Message received at 55836 <at> debbugs.gnu.org:


Received: (at 55836) by debbugs.gnu.org; 27 Sep 2022 00:25:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 26 20:25:46 2022
Received: from localhost ([127.0.0.1]:52016 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ocyPx-0006TB-VK
	for submit <at> debbugs.gnu.org; Mon, 26 Sep 2022 20:25:46 -0400
Received: from sonic315-21.consmr.mail.ne1.yahoo.com ([66.163.190.147]:44822)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1ocyPu-0006Su-1D
 for 55836 <at> debbugs.gnu.org; Mon, 26 Sep 2022 20:25:44 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1664238335; bh=uU5AOXpvYBOMGdDrPrb7h4X630m9kzsFTcO2wPGkASw=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=Qz+2mSCDEkQmPnF2Gp8jOm5oRV5fIJ0PEmOdX7q0yBCRHUwtmQhIcZMhpw1Dgv6zuXoDRZCr9n44aAcZAkieKtLbfMICxFF6T24zYeBjZyANdTpu3R18cuRbtPhfFDUrtiEttWSRe188svx1FRKNJ2JsiLlYBQt4J/QTtN45IbyMr6vtjfFob37qwEMx9SPqQyQrT+nb5wo3goTWNXGSPj72HDjfwtxw9ST88YBPElQtejrrlrCehI7OmGYkntbiv3t7LjOxw+dn5OL318jSBeJwISfZJyj9YGAAjQmTpgWIWGCGU804CtFBnPRQvl2+y6WbDIIJ7ZxQrC1TEYSTqQ==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1664238335; bh=C3+JyOC8BXqovduYfDs55py25D0If4bI9umA+eTq2CM=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=uHoascfMo0KGjpJajx9wqJNrEByE9z50mq/dGvZLpypZt14CVgbC8Z2hfu4UjvTfoDiykPz525tl5o2PLYiB1OnwiZu2jOfMFs3ncGjaY8GhBouumu5y8UItLecKzjAfxLd05Y5zn45uPn0UxCgyQZt7vfyaH1aHjsKXCU5MYioXWyrbGAO2S8459gygMwM/lJDXSd4MesGh4Sy581yhL+Y6lYS+pUUnF3tE4YWV3DskWp71QdKOtf/1ki0WiRVMWyyxFPQsZRmEUDK5GTzIVls3blmENZupbOSPQb40OwVkjLkcLprRZ5Jy5nFl9QtPyz0PybtSnC6H1enFAhkigw==
X-YMail-OSG: IvAEo5wVM1nu87xN9Ctx7C2KN6n0RfPQUIfBGytrPSgUXD8PJqhp_0y8_6RjGyr
 g1Ad5UHRkwbz6M3jWAafgweQ35hr2hA4D6x4gZkjqn8z03OAZhACR4Q6x.vGE0hXt71hn3dLsMQA
 QFjk_UHzoM6DnnNwH61Z_ZhyBf9TZCElUKol1ubP1RROx10gJnZZ50YLtraPUrQqeyRR0.CQak0F
 H1x0kaEvOplaoYq7h3iWCJmtRwY2E5rdhBQY5FQ80uZ.b45enPF1phSrrho_SbfD98lsbvQLvEpC
 V.A5c.8mEU28VqIgyu0fqghsfQBfnKoR20H4Jxq0zymOZuTLU9w4jZy_uKO.kKZm9UgyO4JuqQ9s
 y_ApVwJGo..XLfEdGcXpk9e3k5Rwt9NIz9pGlpT9IKqdn1ZSBdmlZHUjZSEpd0TD.DXhbt_wUSS1
 7_JyytzbQsj3mFFvMpE4ldP.L2QGYeXkydXQPt0qDs4NsYT2_VtkKjCwLRf7h0DSFyaaneJqNI6h
 00fdC4fX1y.x4qULDPkKwWBzadYqCnfJ2_YxHaNRZhoz_QaEiEB4N44n_tDO8UWd4lD.nZwEq7R4
 GFBA4RGnFaLIQALL4k4BHlhw2iNllThc8tki4sRnQf3CUNTGnkkxo9XJciUU9viZz8xFwMjevp8Y
 7CD_5zsEseWP3wNkzOZ_XaftGPw_SsRhlRoagDOIuw2Bd7M7zbm6OJrOEBXfpW5irxjSWVt_o9ag
 a1EHjxdDqLpZ8HAsgx4Rw3jSdL38xZZCuOeQ2oEtHhEpVo4N9TJgXONrGSn5af9rJpE5z5wRlcSH
 fT1svuv3e42VfY6.afe_4V7h4R.HKVNe.vzzdz8sTwEpGH1MacGod40gN.Uq9lFk1kEtEyPa4lxS
 OKFGZ8Z5nsHwG6JSPChNrKYR3r_SIusSO2kII9PL1DN.wZhLIMm4ZkefqQHxDdca5Cf.PX5L2Uno
 OYeXlYNvhDADLpDeGQxON8v8EGFg1Uh3Xw5tViv7okRmDkI.gyTFk.EY_aXqb0LGXiTsD5umZasY
 FHqgYUfMUtyztIYuf2S5PYVDSPrUIiNPMfADrzKll8ybO8qqGvUnCPUzIXuSGMMf1J0hbHhbSk6Z
 tsjerBIKVF9hZsQIJfwPD2egI8KdP11m9x3COD4kwpe_3iVS.G4bxR7d6kC71sA0PqFjA18YHPIa
 K38bPhPV4LRzTB9iZNpH0cqMlNdy7A09k11vPVM2xjNcFGorko7dOPMJfmZIPt2Dp7e_ufqGd8fQ
 vAjP9G1NnMhII.XEdDbREpKT4dv9n5xummVE6QQK46wM9CfYsMNPuPzl1a42rcZtIiKasbV81DkQ
 C7kolSna93YHKbsBPTyVzzY2p6PZLiS8mFnf6yBeTX_H90z1KbfCq1Z6PoSDs3c9d_MOttS_7eJp
 theiHrzkAtkDJ1F_7U5C58PhGIpVPMKiJW1HqsH_xq_qhtDCIauabagmKZZ2mxpVs1o88UjU8NRU
 M88bhy1XxC_RR3HOdCjLPfXRwFsnRoS45EsGdsEFWWhk02lyV0iMwMF.cNFxd7FYTgGptAt59clc
 LjV4RkPXk6cohiFEWZOuKFOfDSw1S6K3bbQqEwV75k672zLQrjlBHpm74WRQc6tkwRx22J6E7AQx
 vtCGbdBzfTca5BNynf02Ik69aMxpQ3hhpBeR.ulFwEQrxMnL9NxQup3ZCyWij__bLOQwEl.UnXFh
 NyzRsrcZ5LyHbfSJOlBurGVmnmyzXIqTKez0O1q2G28K2p69NEbAhO9_YfMEyEs0kmelNXaOYThV
 y2FBROk4agwkADZQMYEeUe8pORVZJMNaqJTyoRUkOX3HHhzyilWgmHTtbadSVvQA3LyjIK0odZa4
 cl3GMEecLvwypsmDTXddSxyYQJ.CV8XnWpdfvP5o.Zm8kDTf677vw8MEFJc_auQTV2DaEUhTCkzd
 CF0Ti5eCVdNcJclEUGewFzwaAEunBz6WNkVW3uwifs.WWY3_MTca96pGcmAca2hZ8x49rLLzCGOP
 ZtVhp.qlB06mE.gNm0xoLMfR6VOxFYpevvf8sJGV1wOJ_VgKUJWvKoeUlbGAWvQ_cs7F8e2rrKBx
 xTegZv3Mlq.M2qVnOAaHJNgNCjftyPfQho.Gi6.nugOia1g1kiovORps4V_xZVUhwbls7WNTm9Mc
 yHMbqTH6LtyEKCJk9NTF2D3FNrsXeL7DIOU7JvjThSIL2hmOEmSB2oWe1UiO.eHgaJecQEwcie4d
 mBjLs2ycy9LJoOEbW_FDvPFR0XIsvqhIOgkxDbkZ4wnYGBVmZyHp5MwEEVPfSHGWw4iNDpw--
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic315.consmr.mail.ne1.yahoo.com with HTTP; Tue, 27 Sep 2022 00:25:35 +0000
Received: by hermes--production-sg3-dfffdfbd4-xfsh4 (Yahoo Inc. Hermes SMTP
 Server) with ESMTPA ID 200fe973160ccb0d529944d0356aa59e; 
 Tue, 27 Sep 2022 00:25:29 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Tino Calancha <tino.calancha@HIDDEN>
Subject: Re: bug#55836: 29.0.50; (iconify-frame) freezes buffer view under
 Wayland.
References: <c49677c5-8fe8-6038-7776-f42b5fba91e4@HIDDEN>
 <871qrzbqv3.fsf@HIDDEN>
 <b5a17ec6-345-9df5-f5d3-1f1c803d6e8c@HIDDEN>
 <87wn9rab1g.fsf@HIDDEN>
 <d3757b8e-8699-fe39-3534-f01789bedaf@HIDDEN>
 <87sfkf9ej5.fsf@HIDDEN>
 <c128677a-64b0-ba6f-4a6-df9a3e02b61@HIDDEN>
Date: Tue, 27 Sep 2022 08:25:24 +0800
In-Reply-To: <c128677a-64b0-ba6f-4a6-df9a3e02b61@HIDDEN> (Tino Calancha's
 message of "Mon, 26 Sep 2022 18:29:23 +0200 (CEST)")
Message-ID: <87a66lacjv.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.20702
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 636
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 55836
Cc: 55836 <at> debbugs.gnu.org, Lars Ingebrigtsen <larsi@HIDDEN>,
 =?utf-8?B?UXXDoWNoIE3hu7kgVXnDqm4gTmhp?= <uyennhi.qm@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Tino Calancha <tino.calancha@HIDDEN> writes:

>> What if you use GNOME Shell?  The problem is no window state changes are
>> normally sent by GDK under Wayland, so Emacs doesn't even get to the
>> piece of code that clears FRAME_ICONIFIED_P.
>
> Under Gnome Shell both patches fix the issue in my machine.

That's really odd.  But I think I now know what's going on.

Could you install debug info for GDK, put breakpoints on both
window_state_event (in pgtkterm.c) and
gdk_wayland_window_handle_configure (in gdkwindow-wayland.c)?

Please see whether the former is called after the latter, and in doing
so clears the iconified flag?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55836; Package emacs. Full text available.
Removed tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 55836 <at> debbugs.gnu.org:


Received: (at 55836) by debbugs.gnu.org; 26 Sep 2022 00:16:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 25 20:16:05 2022
Received: from localhost ([127.0.0.1]:48736 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ocbn3-0001IL-9q
	for submit <at> debbugs.gnu.org; Sun, 25 Sep 2022 20:16:05 -0400
Received: from sonic309-22.consmr.mail.ne1.yahoo.com ([66.163.184.148]:34719)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1ocbmz-0001HY-87
 for 55836 <at> debbugs.gnu.org; Sun, 25 Sep 2022 20:16:04 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1664151353; bh=ZzgJQqxhY5D7BvMAcu16GpYakHH4yBVqhaBi9E8uOI8=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=MLitWP95ZYoH2Obd6tDLYgwoxE7msiFDd0JxwWE6M1/05pJOVXVXOaS6fqjavlTtit6ngJKNI2fi+q1kSokpMm/t/8l8Xgvq8opIqWPeJ1ILddXBKlBNyeVboOyKQ1D5UtJvSfrnIHHMzV6P1+fHXJVewg/CiPiaNmby5pcQBmNvD4ey3Fd8ETsUR21xYWPeM5C9mAXigkMVbEQbBn9n+u8c7BLK5UXZ4itGR1galysPXbTXGgzJKZnEUK8y+Dk2vuh5i0UjRMbG6sgzvl2ckuzBYgMlnRvKB932NQJSAJTWXS4VBrbS+hgXFQuCE6/VuiMPx4efBaw0tcKmkCHiYA==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1664151353; bh=w/scYY4+LwMlH3vSMyHInr2VkpMssCyFZge4Uh6yLsx=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=Om99lq/I6a2wNkEYARwh10/JWXdWeQ+jgkid2S05vhxxnNMb6waDZyy9QVusAQ1NHc3UK2uWiDvcf5olnO28pvSaWZ5Lp1nzwlF+mkNNZnlo3HU2A2g/NaS66WIZN4IYm4a6ZaLIUAE5+hQa1OM1EVntfA/6W9srMUnt/rwWKPYbSbAYF0vvr32HOOIerB5xSlQiTEXuNhq7wqcjYcUQ7q6sLxtU+kjN6iBv3EOKczG9WBgLMQbSYMM3Kv41cy14qzlZNViZRD1YEeKbV/0jJevhw2hQRAZ0dxxa+J2YhSYs0v4eI25808tTIxQUR6PV99YJ0twGS1kFjelR361yvw==
X-YMail-OSG: I268oV8VM1kAbtQmtl1Z.cXG5JxmEVqaQDmxmLgRQJ2Mg8Q0tvY34e4XVf29ukX
 0R4nD0ficwyhDMN_qicvwWy2vnzyoEUSxBTiqBsvKwXTI1nCEJQ5FPQm.uvqYgfst2Ag3PLzfWp7
 CRbNYiKl9K9m0U6XNpVr5Ig5IphsWkktqnz254rEyTe2RE70BM1icj1WYUPI98aENQ7H_u21VaaA
 VR09EL4YmdVlWtduwnWPaJTNEsvXDnIbX_MZjayQsSHFk0.S8pPSDRLjP5DP3ga1vyhy2ABIpCm0
 XZUoQ25ejjrZ263a62ewh7yRbKjVhxpdj0r5vG7hYVAKoLHO6knwpDTFdNTqaoZRw.B62zlE0aEk
 7t.Q_8NLQycFIBWqYe5hOORrwPUXEnh0vv1Q3JZxcDAhfTGGbBqTPUhHomVJnDqvny__N7rgLfh7
 B4PjDIgfVfMVsBfVccn3baCQTMkwpk_LmbDKmgul.DTFPXUiyn9PfWzTtN22DQWazgPt6zyrW1eY
 PzQwz4On1cVzKrsP4mc5w2du9tFa9eyFDA9dNSS7.oKQAmscLI.90a3weOPSvlLSmny55Bj4nMvB
 jfI7.whDhJsBZuVjhVGLTwyL2NnVyeBFvfX_TxWp.0h9B1Qy13M8B2vpsrPGi83I93F2ZWefqc20
 paSfi7mVBUqc9O73m0fojYBh4H5GmF.xixmPcdjCOGPlrVdGxz4qS509pkkois8ZZD3nLaqF4lnP
 qzib0iZ4lU_BfCktlSwxkB60ToQhd3VpWf6FhD1DtInU03FoADIAEM.z8NGRug.ezqrNEdD1tIeJ
 ps6GF98c62zjxYq_CN4BZmnY_e7lCEwDFtEg3t5jKDsBZAEGUA6D1qQeY6uOA5pJRoUxjKOmhR.1
 hno2oh48eHMhfdH1TDrcVdLxvAk4cirlt9S6dyh1hY2LfWbRprQ88OTMPmZIOAUEUyxfLgK_X_kW
 uyt._sUiI4InHprxXAQ1vX32xGFbjIB6vTzoKGxVQTF.CcXXnVLyqoUpfRk4.nuMFKOVXIpXidPS
 wOvdgwVSfZw8l3UbJHZkAvtxjw4G3TFWiVaBSemSWka2RBGyAjTNx.czmEUcGulDevEfeu5zjJs1
 JSAFB199mWYkOxFWEq9LwjpXNvufZpX8q6T8J7Rn8OKXZtCShEnQT2Da4ETiD5HBXW8sQKZfksmY
 LKBPRB2D9nFFCH.coB9bUJvrShibJSRM3LObboMetWdsFdIHBmUgM_80aX9JgGCpfwDmtLCIJ7Tl
 MRR9pofPHDuvS8_cRJFJMlxnrBIiSr2TVmEb.Iy1prFRxHVV.jTeKO.HCYG6XJWAivHtU4u0cLRn
 1jxdpKAU9nA40U6x4oyVAuGp.8ULyFgrd8E5r4QIOJSDflZGhU5ZbyEUw_2_SURyeQgcskRPYtTM
 9NdoCWa.50.Hm4..C7.Ap93ouhYyUgNMFFagz8PpEtfOejJvF3ZaCN8JLoaHMhLe8M6jmLwqfd7k
 IXsl2LhNAJY3RnkDoqh.CaHQGFf5GSDBFjtXZX.3cbppi5cs8_173S77GFXHVMMwu_UtQKCHZQ.Z
 7X8jLz1c1ANqXWBmhieloTdWUwQ4qvWqRFPucCbc6u2gJYIZRTy.nFUhGprtRaLbGSM1YkOfvtr9
 snjeLhR59vJSvD_KJyCwXlvu2pxwqLe7wIPKemS_z3pf8JicFCRgj95oF5yd1ECWB4RXOMX0s3QF
 jtkB_8fI7B9.Rnw7j1XadRlWZH.Nd.k_4QIG6l6PxGDrDbNmR3r463O9VBLf5F_ThdvIk._p2Q0K
 85BEVHlblckTrjzHZy3eJAOsz0mDnc6LYTnT9Z7mTPnMWiR2sJ1nNbGlmYSldFioCOoVjBDw_z2g
 SZNE9jn2cRlavJaANkP35D_sWIZh1kWLgaq7KrY3k2l2zPXI.mQLvUt.YUt7i3l5ELVfIap22Ke3
 vvDx0H.DE_hJMAV0iku60xX0ZVYkdLGH7Ggn68CyNrBpc1csHYXpkyxyG1YcKTrUIVec6bSbWCSs
 DG3VEMTYiy8XtQs7uzu8ttSChcpSJzUiXB_YolSoDoRsqAi3DLfXS1rxxLHAY2tORoU5rJxugAgy
 UV3amEQlEd3wV4SziuQ6swgGqukFnXvc7ldfzcI19KxVc5JkyD4JOiv_J5VPGYcPvkvXcjN60bEb
 927OKu.qerrhy_s.4LZSPOPJNtqZTjrIObltjDVvn86hkc1cFvf1ZqPjmJepDhuOISzDnAswwAtP
 .zCddwkNRi8XfTTDM1ME7YHJi_Aoxp9y.lKMGTHC3PFw3eB2EMUWLRK63o2WOUEeS55MOyqit
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic309.consmr.mail.ne1.yahoo.com with HTTP; Mon, 26 Sep 2022 00:15:53 +0000
Received: by hermes--production-sg3-dfffdfbd4-v2h7k (Yahoo Inc. Hermes SMTP
 Server) with ESMTPA ID 3a3dfe1706c2ca257e6c22964b3d1916; 
 Mon, 26 Sep 2022 00:15:47 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Tino Calancha <tino.calancha@HIDDEN>
Subject: Re: bug#55836: 29.0.50; (iconify-frame) freezes buffer view under
 Wayland.
References: <c49677c5-8fe8-6038-7776-f42b5fba91e4@HIDDEN>
 <871qrzbqv3.fsf@HIDDEN>
 <b5a17ec6-345-9df5-f5d3-1f1c803d6e8c@HIDDEN>
 <87wn9rab1g.fsf@HIDDEN>
 <d3757b8e-8699-fe39-3534-f01789bedaf@HIDDEN>
Date: Mon, 26 Sep 2022 08:15:42 +0800
In-Reply-To: <d3757b8e-8699-fe39-3534-f01789bedaf@HIDDEN> (Tino Calancha's
 message of "Sun, 25 Sep 2022 15:46:19 +0200 (CEST)")
Message-ID: <87sfkf9ej5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.20702
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 624
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 55836
Cc: 55836 <at> debbugs.gnu.org, Lars Ingebrigtsen <larsi@HIDDEN>,
 =?utf-8?B?UXXDoWNoIE3hu7kgVXnDqm4gTmhp?= <uyennhi.qm@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Tino Calancha <tino.calancha@HIDDEN> writes:

> I am sorry, I was running on X11:

Yes, that's what I expected.

> $ inxi -Gxx | grep compositor
> Display: x11 server: X.Org 1.20.3 compositor: kwin_x11 driver: loaded: qxl
>
> I have restarted the session, now on Wayland:
> $ inxi -Gxx | grep compositor
>   compositor: kwin_wayland driver: loaded: qxl
>
> Under Wayland:
> - My patch fixes the issue.
> - Your patch doesn't fix it.

What if you use GNOME Shell?  The problem is no window state changes are
normally sent by GDK under Wayland, so Emacs doesn't even get to the
piece of code that clears FRAME_ICONIFIED_P.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55836; Package emacs. Full text available.

Message received at 55836 <at> debbugs.gnu.org:


Received: (at 55836) by debbugs.gnu.org; 25 Sep 2022 12:33:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 25 08:33:51 2022
Received: from localhost ([127.0.0.1]:46088 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ocQpT-0005pE-AP
	for submit <at> debbugs.gnu.org; Sun, 25 Sep 2022 08:33:51 -0400
Received: from sonic302-21.consmr.mail.ne1.yahoo.com ([66.163.186.147]:34171)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1ocQpQ-0005oy-I2
 for 55836 <at> debbugs.gnu.org; Sun, 25 Sep 2022 08:33:49 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1664109221; bh=mOvpRB8h9nAOQkL6G5gCN5rNrX4wq8piOxKHK25JGzU=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=thJZ9q2pdctAspmh0ScQVn5BOm0pFtegudR7uxWgwDHoUTP+fY7/wVvbSBFNM58Zq1wfBa3PMiR01D30BliAsyzJpord8fxTBqChFMBz+mJ/QIngByVGDfL9QmcoA9P5dTQs5hJgbCfmXv23ccPdibMYvEtlVkTeds84lI/RBsItR6TKYjCPzWKfuoe8L7WAfT5/RCJ8wWROaJm87ZtUCossagHYF1Bn/g9S2qK0ZMAQEannnLiATzEjbOYfSbFjLSAaMWqgJP2aBfXdz+4BHl2wYvP+rIu6Pb0HR1hmcVg2WjfpevabMjF90Rq378+OODGPOjABnl1XPBfFr5mKcA==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1664109221; bh=1f3bIL3goW7vFm0+AvFkWoqb8QGObhgo8SC6d6k2YAF=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=kARvVtfXz0VChgEfUq05accJpEirGqmMC2OpH7yFEjNGJeDn/7QTGbU9FwogrKy6ksMYhOVEsdAC/1A7IimSLpMtl+kLfxlKBUn0WkAgLgsNDpcquEfjsEipT2Enuv2FqLlvyCLlBWhY8DfYN6mOATuTKVLW7RwWaoAXafQUVnZobEY+BpTlS/wlkrgarSOlY5OLB7jf8HQKO0dcNZqB8APmdvVaVnQuFvXAKKqNu5UJ8hqvVCVei97iEn//JiGYHEUpgpb/Tost6tfdXCJ9EA1V0yctlFVIS8MnjT8Ij2EgLLo9p6qRpwaiKhiZ+P5xmcAzjd5UYn28g8s8WshwXw==
X-YMail-OSG: l6QJhiQVM1mcltCWuhhNgj0Hm9awO3.0u.w4it_FDhIIktk1JcoSnGDZZe2jd5G
 1dEosOiCpqBNuVoWWARNjPdy3a4KBlC_uYnSUfJx5q0CobI3x75TGW1e1bql3PTqJ0TyZSOIgmX3
 3Rqi5IsLuRMTmLn7L4QdVniiUmzJFvvzoUfFhClzFHo0d3qS0GCAbZafT6MMAXu0EoJjS7rrRy88
 kUM3Cu6l4N7he64H9cQvSHLhX1gl2m.MwB7ASDm2DeiV495gvuyzDaa1Wr4e.uqg8RanMsTJYGnv
 kGWornNDrY4c3hl4Fp_puG4aSRni.s5yiLBY7NC.tcbM7BDMzuvNPknDezU.TnPrryrlDJ57e1sv
 0n2MQ0Thm69tODysiLg1U6KCBoZrl1x0ns.W31rD1mup8__34BUkYpLyBPRYLtKe6JK6k0DIcOAP
 .bNz7jg.3inRSNo7bUKJExInirXRb9CiIVG42gUVd3TUX83Wpr78jyEUMZc63Y_WdqXLO14ys1_Z
 tqIjT7AcI2yhx38Jzofz_be23bBClGtUQ6ikcLAgpuHFcau5fRfWeoMDuHjEYJb.kM2L6eBNzqKs
 Pzd0L.YAmt5necfc.MSPU.jFyf3vVcyAzrfeLnZEdgk5MrOiwm7fE6T5DjckASBc4U9mOrvTU8iL
 LMoNWngTlwOEvCJGrXdUNiMBSydNAPRA419iW908BDjIRa9fgE0xwRhQJGbOu7neLYaIgzQX_m7z
 AtSe28qq5mQBTetpKlywKJ.bneonPddXpPy18AZY1VP1.qJBMfdJ9I9LNcq3SlSbmFijQtP.iMQW
 J.txJVujy1Q_ybiY4fdg7eqLUoj6vQqaEEWcUx1CRBihgzvNfOvsfG0dGA5cHpgXSnGvn0Qo1rw9
 AFtIqaM8bGIpnJgRuZr21bc5z1EX54PaW7HYJjsfQ3Z5b9Jux47QfDK.8jBaaegTYjnTHDpyklRE
 ShyDL0AjS8z8fJ8f5z7R8U4N5ef9pvM8WnVfpZVJ3.88OJALgO5LXVbDHlU9cRB4XSvzTn4OKgQ8
 VP_r1VipQGINAyBCyHFrKF.mD6C57FN20RG5g2k1EAUt_6kLV_KeLKFc40DkJL4gRAJDq296VUGV
 FG1X_wFCidtNMgsyJJJ6BKPXAgp_KsttAaB5jPWrpuUK8CbFw6ELmFUnNY8Qm4qDqNyA5mQ2RJCT
 5nyuzdvY.PuFTEVA5_pBbkJOKQK3cFELxR_bXD0wCykCaHSrgtd.P.vyJ0vCDTFk1iYDSg6FLzXT
 rVBF.LqmHc6JeJJ5YL79nzABVHP4WhRJqz2JtKcNfxl9ujyAYT31DlRf4IRT2FNS.ul30EScHBIX
 Z1VHbgMcv4Hf2jN2HFKu_EsTjG0MIn9aWUZylEpp_KFYR40WCC2E_760NQ__6dNXsMv9.mQob.fO
 S0cu6XLJ0tc56aSL8lcOsrdTsC2qrY2j8QZVcVPreMypQGwd39QTHeVcrIqhCVSMjIKefrjR2NK7
 Dag7LETA2kANr7TpelQsiqFbKYCz7juwritCEzv41H_gPAECVN4608hqfk9qjT970.Q1aNSnexkQ
 0w7VI9ypvJjYdKFXxNTZH7a37PzJgxMXyzf7zPIS8XK_Oy9FbvgZb4fM5aPJwvMvfYApvgXd7z2b
 WJ2qEClzd.hu4JH0RGWcH3NLL2ysEtj6oNtoD4F5j8WeBn17JbCh_OvtN_aFWeqiMHgnJu8oK3Ye
 1O6lbra4TwGvVWepNlWJiQ_Dt1r8VeakA9Yp65qXUMmad8Ghx.4FDZ1H2mPxAbWfN_VgrigarNJ0
 iFU9rQ.sB0me1cowIbLr001cD9LtouwGQVYrm8HsILUF3neJJt9ZScOVWTqoSouTQl5tMTpGWwI0
 q6pQFqkgBGbVhJhznFXN6BAccI60Npm7ShMAkVtwa2yPH5g3k79Vl_34ma2bfQ1FcTGORtXAm0C6
 3dJmPq7wGWGW4nOJm3AG1__FVzxJnVaSMLW0o2Zv700NfMrS5QTNxkVO71cWBMLIkuLzOHdO5XrD
 3h8qv6CuK5SjqfbcJGXcxA3WHBhR.Dzt0Oji4o3Am4mFrwHxZQ.VF_uRFaJOzNAGRwG0vAAtkoIL
 MQRzSmdBVLx2iJcvHFlb61NSm4IDajumixyWSsJ6tEV9SoiDWLQDCccYxcvcNoc02eXGLmzNQcD9
 PEbPw_LMYr4PPLMwTJU1WikLdH5Vj1pPIOsobLQPksdaRm6_rtJ1xuVM6xL9RzIl8kf2KGFtD4of
 5HVdVEzw1SLHUDQu_LxEWWEs6sTuiezUNebCldjcGWEpp3gxXZ7yy3a3MHj5Wbre_qCyCJGM7
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic302.consmr.mail.ne1.yahoo.com with HTTP; Sun, 25 Sep 2022 12:33:41 +0000
Received: by hermes--production-sg3-dfffdfbd4-v2h7k (Yahoo Inc. Hermes SMTP
 Server) with ESMTPA ID d61dd288dcafaf759e456246babc11d3; 
 Sun, 25 Sep 2022 12:33:36 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Tino Calancha <tino.calancha@HIDDEN>
Subject: Re: bug#55836: 29.0.50; (iconify-frame) freezes buffer view under
 Wayland.
References: <c49677c5-8fe8-6038-7776-f42b5fba91e4@HIDDEN>
 <871qrzbqv3.fsf@HIDDEN>
 <b5a17ec6-345-9df5-f5d3-1f1c803d6e8c@HIDDEN>
Date: Sun, 25 Sep 2022 20:33:31 +0800
In-Reply-To: <b5a17ec6-345-9df5-f5d3-1f1c803d6e8c@HIDDEN> (Tino Calancha's
 message of "Sun, 25 Sep 2022 14:30:48 +0200 (CEST)")
Message-ID: <87wn9rab1g.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.20702
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 288
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 55836
Cc: 55836 <at> debbugs.gnu.org, Lars Ingebrigtsen <larsi@HIDDEN>,
 =?utf-8?B?UXXDoWNoIE3hu7kgVXnDqm4gTmhp?= <uyennhi.qm@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Tino Calancha <tino.calancha@HIDDEN> writes:

> Your patch fixes the issue as well.

It'd be interesting to see why GDK sends map events in that case.

Before I install that change, I'd like to ask you what Wayland
compositor you are using, and how you deiconified the frame.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55836; Package emacs. Full text available.

Message received at 55836 <at> debbugs.gnu.org:


Received: (at 55836) by debbugs.gnu.org; 25 Sep 2022 12:06:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 25 08:06:44 2022
Received: from localhost ([127.0.0.1]:46062 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ocQPE-00058C-0Y
	for submit <at> debbugs.gnu.org; Sun, 25 Sep 2022 08:06:44 -0400
Received: from sonic307-56.consmr.mail.ne1.yahoo.com ([66.163.190.31]:43093)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1ocQPC-00057w-8E
 for 55836 <at> debbugs.gnu.org; Sun, 25 Sep 2022 08:06:43 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1664107595; bh=UxQoy31LwTcr6/KllgOlnb/pUYaH1eX7Z+LAjvsBK/g=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=UEGM/fUqitFJnGsmjDKpxREijP+2Co3ibQwzaEb5WOQdiCsPsU5pU9hHQYT2qvAIQcUBRW6y6zuRPJi2gHIwZ52HsjS/ugtNYRQhO0V+wg35iw++jXpGPoJtx1sTxUHp+9cgoiDK1FUihcIo9HpnXXx52isyh4J/Aw6pcyDNjwouNS59Hjp5UxWfCmwEM875v9sS20xTJ7S15kdLmesz66yM6/36fbdI1k3WuePIOHny6S4DCxVDlFv/cQJTiW4TKZ/NNxTZbSnzH08mD5m5F+sO/Mb7B1cgIXfHFwGnXwO3eOtwTBZ1W1DSplwtHvQk4++gkIzX1RGHPck2blcxQg==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1664107595; bh=WisjE1UDP1fodyTWYTH5ZEdrfksHaznA4rwyMFtBmgO=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=pugxOW3lYGF5eQgQJ8QkyVx/OxJ/MgbLytszeiqnhXOABAq+mc/AgBQCbRLQ3ZNuyelCBqnjCkWQVO6od8noLjURUg0nXWP7cMBow5eWS8aALq5cWgVeEbkwI4fQJ1hBDAmFQwWWXHQETfpQt3Z6qTUwUAtHtigBHx2yy7NjiXDJwrBwYTJdcl/2ca6RQd3GZE/Yxkxj+MCMOS94Qjmg6Vb7ytV4lNu2xpu8dwOlmRzYo2Ae46fjCp1SdLIfV4jd+dbyZxn3ZAJUiOTF59fmCClXaOGPVaQVyrqENw3eCPGSXFePCu4WYTSgRg86oQosJ3v3yAC4ANwYe8+1m+k/Mw==
X-YMail-OSG: VTEddfUVM1nNWZ_cv2bZMuKzsPUyQGZL9rGdMFhy9FA4bBBkAP_2TQ.30JwU72c
 5p3roriDtnz5QVMbPYvBD1AV03rRaYo8v4cZZfQ_1cIHhYtuHkbeF_P3mfOMaYLXqHXFBiCtwtPb
 KHWfolDxbvERMBsCJRDGsDdR7WbiFdZes8mOJPRTEWjQKJZxDHNgFYLJVPbSs19b.EK6HzAHpwMq
 ypXJPnbLKEXI5ektFW7_uJ78rDjmiy.PIeNuZl1rffjWspX.ELQqPRIh7imyip6yIQ5AHsIYiu4l
 XJNgjf0xAc5YS1LCajlb7q8tyn0iuOoLU8f0xxqkpIJv9IbcuGNo149mWzB67pXxk_6.ruq4lkO3
 .P0PMzF7DpisoHJfjTH37JEWJehTHxH.Dauw29GHMFg1wqoOf_qbpOlWD3Nj_CLkZWKkGhywlJtr
 HmBIcMt_1z4FQZZTTc86W.8FfE3djJdGrlTEQHJaBQYzNOad2waiJwjslDcGSbZxUoKB_Iv9VH.a
 vbtx.sKFgGyuePNqhA_IDTGhEtAKR8VUZ7hhZN0Kmx6EN1CTqiAxxwvEp.Rq3MKVL9PE9VO_khNI
 HUqFrA16hAN4zyHqWDxCv8nvfcJJ2bUpycsAJmDczHSd1Wkkqz1iwIeReNc56F8pa4oDnpDhsx5G
 dm2Sw5m7hd.KbHb2deCd4Tzcjex0U7SCPjmjcTz_8oSFjI5iBwhlPz5nDZTbwjt.Z57RXghTNiiu
 AM0fDph7q2PU8o6NJNxDuypK_zwrYKLgOMV75tThExIEi9Fg.bKZAgKtxItjlpIl1qxYk2JZX3Na
 S38hs_nmp1PteohgJZSQUWdUGvr6cChXQnMpv2YOXybxMKhUuDKziqwC2Dv8WnYVbX6QxZ4HmmEm
 ZnXi7cDvUV9IjBQYeJa9C4SZNY7J65rvqpblRQcQiB9aI5Xe_mTOo_TY0h_.eAmpc.KSKBkEwQIL
 4JRnAU3S1BVZOkBKA0eEio_gM6lZR_h5Ul7mWbe570_EfDpAu4Y7yLETzp02l.Os6N4WWPQ5ZkPI
 S_gjbqSXrtGTG_zK3hivA_fw_iA43zbiDR8yWtd29_n9NoktCSKZN9h8BRljdGFWUGdzFTiSlFEV
 838rzmeMM6cqquL32z9shcxDrgqpMdwhYFeq0lSwmsVyibnOfg2vNLs3UwLPbewQA64DGPAFRJz4
 1VsyYeoNynWxYJrARFh_isnvjTCm1xqgOsta_WaoqI5FtNXghWvmTMrtO8mbnL1vkQUsWLjYV8MS
 rQF3ksIycvTc8xxGereTrzwGzhbdPU6nlTG2ek2xZpW0gcQv2V2xX.P0Lymhe0MFWo98M2uvKYBg
 Z_I60zE5Qg4ZExyaxhJY1BOtb6ZobG.Yi6EO2TDqaZGseHoP.d_GRUB2Yilp2p_T.rynbSOfaMeW
 fx5mJ4d0f0GNCbDY7E3vfTTgnCLft7VRQQhpwymbu_ljmYD.SwKp5FmpETP94SGcKBJ2_azOxuji
 aLlbAvAY8GxItg14FudjqSSXPSgc_fxXdiZnDIAvv5N7aWxokiLvTg5QL4nYuW7MYOHKadZabrIs
 66vlGOirNq9WS2aF00e0zm9eulb90H93dNxA_C383kY2EUAFrdsy8HHF6BJN9skGJNkq37KEyprS
 6Js66AzY_YSxZTjJmBE_FB.CAbhvy9pRzfw5GWzpmQgNA8LYrRBh9JNlTWG5YXpLMzkb1zPdpOyu
 i7UNLSwLcJ6wg2cZOiD3nGOPhqq1cXzKtCcWLia76lrw_hqtI.PGDxMtdtih5P8CV9fn0Sg8b8SO
 nHloHNyac.7s9kqP3jOJSs01kV1is.zy.l2BPEk.3BU8gAoZSL5oTn8CF6tojZQlIlkCerF78K4s
 deqKkBgtNVjqEeoJkMHBRnVbQHr4MRN.lr3ZSOyc0atwN_GMldLOJn8quu398CEelpd.qd52MIhx
 MJXfwv0jski5GIBGtsV7EyMrkmtYNIYBcRSeGO_ljKLkZuQBjJPxsnq1zhtmhlnlGKBcS_.ST69h
 fWpDI3hGLi2AtkPedxmgBld7mAkrYlCqqhYsvVXdxSrpPOvajwEDQ4NNrI5_2e6cYwZNYi8QBlWO
 SJGDdPlU0PuyXpJGO.fs9fnnNGJIbGYUqwbGgufpkxJU74hZdnU1jJvSJ0LiLlk0MfAjm68zmut1
 vG2KKyPm6OCRjsa_qCGxVE4VK7U1b2ZTHnrN6rad3sWpjQJzVdnsoTtCBUwEE0z5FZpjYs2L9K_M
 t94SlAqTIdBREjL0C7A5rr2yZz5s6dpi14bGXisMa8mvR3iJDQBdPqqnV0bQjUeh9_skWPLWK
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic307.consmr.mail.ne1.yahoo.com with HTTP; Sun, 25 Sep 2022 12:06:35 +0000
Received: by hermes--production-sg3-dfffdfbd4-pmzdf (Yahoo Inc. Hermes SMTP
 Server) with ESMTPA ID ab239de8ccecdf2d92429d566e62c652; 
 Sun, 25 Sep 2022 12:06:30 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Tino Calancha <tino.calancha@HIDDEN>
Subject: Re: bug#55836: 29.0.50; (iconify-frame) freezes buffer view under
 Wayland.
References: <c49677c5-8fe8-6038-7776-f42b5fba91e4@HIDDEN>
Date: Sun, 25 Sep 2022 20:06:24 +0800
In-Reply-To: <c49677c5-8fe8-6038-7776-f42b5fba91e4@HIDDEN> (Tino Calancha's
 message of "Sun, 25 Sep 2022 13:03:07 +0200 (CEST)")
Message-ID: <871qrzbqv3.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.20702
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 1701
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 55836
Cc: 55836 <at> debbugs.gnu.org, Lars Ingebrigtsen <larsi@HIDDEN>,
 =?utf-8?B?UXXDoWNoIE3hu7kgVXnDqm4gTmhp?= <uyennhi.qm@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Tino Calancha <tino.calancha@HIDDEN> writes:

> We can reproduce the issue in our machine [1].
> The following patch works for us:
>
> commit 3f4aec4692b2e87bf69856b6d5870be46fd61f1e
>      Fix Bug#55836
>
>      * src/pgtkterm.c (window_state_event):
>      Always set the frame visible when deiconifying it (Bug#55836).
>
> diff --git a/src/pgtkterm.c b/src/pgtkterm.c
> index 491ba33882..4a62ca0e41 100644
> --- a/src/pgtkterm.c
> +++ b/src/pgtkterm.c
> @@ -5508,6 +5508,7 @@ window_state_event (GtkWidget *widget,
>         inev.ie.kind = DEICONIFY_EVENT;
>         XSETFRAME (inev.ie.frame_or_window, f);
>         SET_FRAME_ICONIFIED (f, false);
>
> +      SET_FRAME_VISIBLE (f, 1); /* Bug#55836 */
>       }
>
>     if (new_state & GDK_WINDOW_STATE_STICKY)

Is that on Wayland or X?

Note that the PGTK build does not support X anyway, but please try this:

diff --git a/src/pgtkterm.c b/src/pgtkterm.c
index 491ba33882..cb4351616e 100644
--- a/src/pgtkterm.c
+++ b/src/pgtkterm.c
@@ -6424,10 +6424,12 @@ pgtk_set_event_handler (struct frame *f)
 			G_CALLBACK (pgtk_handle_event), NULL);
       g_signal_connect (G_OBJECT (FRAME_GTK_OUTER_WIDGET (f)), "configure-event",
 			G_CALLBACK (configure_event), NULL);
+
+      /* The map event always comes from the toplevel window.  */
+      g_signal_connect (G_OBJECT (FRAME_GTK_OUTER_WIDGET (f)), "map-event",
+			G_CALLBACK (map_event), NULL);
     }
 
-  g_signal_connect (G_OBJECT (FRAME_GTK_WIDGET (f)), "map-event",
-		    G_CALLBACK (map_event), NULL);
   g_signal_connect (G_OBJECT (FRAME_GTK_WIDGET (f)), "size-allocate",
 		    G_CALLBACK (size_allocate), f);
   g_signal_connect (G_OBJECT (FRAME_GTK_WIDGET (f)), "key-press-event",




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55836; Package emacs. Full text available.

Message received at 55836 <at> debbugs.gnu.org:


Received: (at 55836) by debbugs.gnu.org; 5 Sep 2022 14:08:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 05 10:08:56 2022
Received: from localhost ([127.0.0.1]:48558 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVCmW-0006L3-BF
	for submit <at> debbugs.gnu.org; Mon, 05 Sep 2022 10:08:56 -0400
Received: from sonic302-21.consmr.mail.ne1.yahoo.com ([66.163.186.147]:36301)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1oVCmT-0006Kn-HQ
 for 55836 <at> debbugs.gnu.org; Mon, 05 Sep 2022 10:08:54 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1662386925; bh=6Y+SpB1ShoU95t9E/WcDQgvUDxk4qWUAcvCI7jcyk0Q=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=MlA1NoviID01/JHTLsWGmMIoUXY5GPlLrPU66EyGcgMuxoXoB2BEM+AUlNyaJPji7925abuW8aU2f7XyRsBkn/I/ZOLwCduCv2/kjwwXXsjhdcW5BWoy3pY2CqnVlS3lhLaHpWP8HIGRGv0QTdu06KMNwM4OVTYISxYpxrXORBcMLpDIuXrSwK20eQNUDQd+yQmTkZQbnmKQCfu58iRKE4SuuGHiyslWeDJRgSjOIldSqPwT+1sP/QYRrpBc6qBBycVxFX3J209sOt4Zi4DBCn7qECyxVpM00V+zWcodfmcyBej0apqPszqB6bAupyynRYdcMEkb4sh2chzmeBs3zg==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1662386925; bh=k77wTXsha4bRrqNNlwbk3zCqv0WjnA2sXZ6RkX1EDsC=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=mpIYtfpWmoCap4wJ4AYwh6idNzz0BrwGRmjHQF+GetM4spgYTsx38zmiIVIGUd1svLXpUNqyUZMFEB5YNjFq0NRVBPghkzUI37AFfRVaENGyNfAr2fIlR+q64C091UG96A+od/fK/QQUsNBPphSCgfA02lPbaipnMzy7m9Hv/b7xpZw8bXtexmHESfwuEVAgrMN50O5XJeWZKZ9tkqnychhsPobM5SGS7uVc4JG6n7+bai9pw7jXZ3got7x3LanHoawMlx9HxOH9++y/q8Aqx15J6lHgcrLZM7bgKfdlmX3CFVag3DsCW+TbJm4UAKSOd00ay+TsMnGqVicsAAGYRQ==
X-YMail-OSG: angOJYUVM1nFNqHtoQ4UnTbCzkamB8OxW_OTSgMM1IruLBz8DLuOotn0Ip6Z1hC
 k4G7WxxSzmSdMgrBlbz2dEgciYlJIupIN8Rl.YHbvSdrb0AxiYXztG8FqhHzQuRes4YzVuI1z595
 bv1.TQ22WkYfkFSiA4jCAmwcmsAj2LPPLNFE095uJnfrJZGb_EgVQGYozAy29Gd4nvD2Wa94olxk
 3Trfctv25ROLgA3g..ffI4TQz0xiMuJepj5lU8eKLGQdPrduMtz8libH9zRA8atziusjU13cvOcf
 ERRe7f0kM31.hTA9edrdAHxIC2DuA627uYJNdNsaMHR3sl.HeOZxbRgP8iJ5SUw_CQ0Sv2gLcUdQ
 PyqvWzIMXf6j7KUmHLMfyX9GKoMXoPp7T7ia6XaOKlgO60jl0.2K0XuefHx640NuTY5B.wPGcqXa
 uSR4a7h0qw31puH2Y2v7vNewFv9J35tIOTKf7f3SiERAyGFUu3OcSP.7RhI1duzMpWzp.BkOx6xE
 qeFcO4yEjGqWlvBA4ER_wC3g.WP78_1_W.eJc.A_C6ucYSRf.6wF2_9CfR.G5DkBQSr5U8XyUz48
 Hsleo5nrF0QzKiOrLhvVoG3MVHjchIPEYaXDLHK5MxmEJRXjX.jDGQe0BQbX.ECa2hL9RDRo.yGz
 7POyV8rjeTV6efa1dbjNXwmfACJho5tNDaUC.wlHwa6r8xsu69P7BEggWiDjmtstRKXJpHenoAyB
 eVxyvFMkbml.kiMd3JxfRvfwgrJMjM4i.8JS7zo_ktxDIj3.2RslRJTX4JmBUgtTWc3RKZdBZgEF
 lYdsXQ5bR6L2QpRejFw4pfmP68kwhYsrTf_ta.p3WGf4ylyzwpxOkZhn93kCepPZ44udaqWMLhFb
 cRyKRhwPvcF6k.U3dDPftg6iBckYPFDZI0N7V5kEySs5eb6BbwhVg.0anVebnqIewWVLuYmqo88n
 XG3REy8BiY8HmlunEvpucSMPmz3u31BJYjELo4lbquK8nps9EvabJewdMgjN.zDwdgiWc5Qr2OgD
 MLcERynbhn1W.kn38VFgxJRiVHEhlJsRr2TxBtmrx1ACASyvTQlZpx3Kw1.ORdif1YVjeXaHvjP4
 .GkkkteEL7dxvIz5va9l7e_vLbDm7PaO_G0ioFxJmJyibXeCuUfdZ5RSGXW1tLvrCFxjzNrpkUb8
 9_pyJ4Kz_MiNzhkagz6HtbiWwIPxq4b74rEfuE9qmHZ5I0q4DeHnKH6ekDhg.8gYrXoSNxQ4I643
 4Yx26avo6LwqhpI2uLopJSmpecv4i9E0OK9uJaHMAhgmR4ixYXyC0xiVhmXHABbR8_s9FFLdMRiS
 .RX2eikWy8zVZdLFKtRwR8XR1kWGrKUCJnJQCAp6b7wJi73tQ1EIwWY1q3OXYN6Oq6_XT7Dh7NWi
 1oO8nuaF0qgZ5YI_9dtJHp3Gi1pFdN0b5K7cXAvwmjNXnhHgXWRmkLzWTrSmOiXEW0ol6O5Ace2F
 f_vEsdY9.LpbiHh5_cEcU9dLFuDzZnX.D0.lcPZjPaYSmJx.gHaC2QFgAHsMl9Gz3tuxVI6WXkLX
 70FLj63xEw8Z44D22K5absYXqGAEDvkUtZywD94x3wmURXFjMkOI1rIR7g1_J17x.r1HjLJlx0la
 NKyb3rqspUX06fRdsLfK4OsLlW3nfy5.0W1Xv0saEqjkfi48M2_ytiT8TrMw6f7DsspmfxG2Y4hU
 JQl6xYLR_NT3xL8DQYcFrd.4yS6FPeXQ83oUJg_H_Oxj4I3M3uk4CEKgLbnKcpYCPOecVCtbUpVi
 hLtgGUskyqf5AQIKHGbGeFms0E1WOptubJ9t8A_Q7kUbp_0itiJ9zUpUXxGDsggzRGd4vj7gfeNP
 pqt3P_EULkztnH4eQtLmUWfRjNu1hkeYxOPuoFVTpQ4OLiCbUOdBdHv.3gv2bJ49fNIoI_7qqiF_
 x6WE_4SOuuTHsrcW6sRmxCnYg6vLy5GXqgjyojRCFszJSoeMEJHD1ZM.FhUAt.sJN7_0rsrP0nN5
 NFzf.5C0XlGpPu89maHaqvYgucKDaJzvoiNHNOZ6N.fhAgmogu7Ioh_DSAtZ5GBj6DitgJEf8LaT
 EORCStYKZ8Sv2ZOcW1r_iRz4IjvKRWcTG10OHHxcFbTkOjV4..66NBcqtHHEtR7kSZM3rzhrRVOr
 HnbICh9eZqlcGDr4PThmqgQ70LSDmSPTdvtC2tQ0HG0qi__HiSlxcXjDOFgUQolJj.0IimSzcsne
 mcqjGQHBPpGVw6WJrv7FdurRRvNYV5dNqDLyeFQrATTzJTUFKq4fj86Qb_KfPQIehaFV6wK_QFOy
 TZriG
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic302.consmr.mail.ne1.yahoo.com with HTTP; Mon, 5 Sep 2022 14:08:45 +0000
Received: by hermes--canary-production-sg3-6bb8946c47-n9zqw (Yahoo Inc. Hermes
 SMTP Server) with ESMTPA ID 794eeed04f29f3f6e95f1fbd779d200b; 
 Mon, 05 Sep 2022 14:08:38 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: =?utf-8?B?5aSc5Z2C6ZuF?= <shadowrz@HIDDEN>
Subject: Re: bug#55836: 29.0.50; (iconify-frame) freezes buffer view under
 Wayland.
References: <ME3P282MB1939D8A1A13245EEC55260CAB4A59@HIDDEN>
 <87wndsro4z.fsf@HIDDEN>
 <ME3P282MB1939A4CCACA0A1855442FEC6B4B19@HIDDEN>
 <87r13kxim1.fsf@HIDDEN> <87a690z0fu.fsf@HIDDEN>
 <877d2ne3nn.fsf@HIDDEN> <8735daktqt.fsf@HIDDEN>
 <87h71pqd3v.fsf@HIDDEN> <87pmgdhx0o.fsf@HIDDEN>
 <166219690756.47038.8534222496369366592@localhost>
 <87edwrz9lq.fsf@HIDDEN> <87czcbcnhp.fsf@HIDDEN>
 <874jxm87p5.fsf@HIDDEN>
Date: Mon, 05 Sep 2022 22:08:33 +0800
In-Reply-To: <874jxm87p5.fsf@HIDDEN> (=?utf-8?B?IuWknOWdgumbhSIncw==?=
 message of "Mon, 05 Sep 2022 17:57:26 +0800")
Message-ID: <87sfl5c3ry.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Mailer: WebService/1.1.20595
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 347
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55836
Cc: whainte@HIDDEN, Lars Ingebrigtsen <larsi@HIDDEN>,
 55836 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

=E5=A4=9C=E5=9D=82=E9=9B=85 <shadowrz@HIDDEN> writes:

> The bug can still happen, which means even commenting every call to
> SET_FRAME_ICONIFIED, Emacs is still unable to update frame when
> iconified using C-z.

I'm stumped.  Does anyone know if other code (outside *term.c) also does
SET_FRAME_ICONIFIED?  I can't find anything.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55836; Package emacs. Full text available.

Message received at 55836 <at> debbugs.gnu.org:


Received: (at 55836) by debbugs.gnu.org; 5 Sep 2022 09:57:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 05 05:57:43 2022
Received: from localhost ([127.0.0.1]:46486 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oV8rP-0007aH-Ab
	for submit <at> debbugs.gnu.org; Mon, 05 Sep 2022 05:57:43 -0400
Received: from knopi.disroot.org ([178.21.23.139]:48010)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <shadowrz@HIDDEN>) id 1oV8rN-0007a8-5C
 for 55836 <at> debbugs.gnu.org; Mon, 05 Sep 2022 05:57:42 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 5F2A449FAA;
 Mon,  5 Sep 2022 11:57:39 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id cjbh--dUfnvr; Mon,  5 Sep 2022 11:57:38 +0200 (CEST)
From: =?utf-8?B?5aSc5Z2C6ZuF?= <shadowrz@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1662371858; bh=Vj6OZ4WY0mnKsctXCjK5uC3nUkq+k7aO14AC+mDjbs8=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date;
 b=fM3tPbkvzBLl1d7kUI0PxC1jU4ygFYrklvNSbb9fCbdeHDSu5dhvULPAz5cMmrl6F
 Nrw45zDmtglKktS2ZKQRD4ndLfYpHETCo/m3i+n83KJM7M9Jpez1HQ2L2D8xMR/TED
 NeRP0KaIqHL8iBXbaZ8nb5KaGHmtHbNa6YiaQ4+h/cCJ2KLBK3WXf4JFXwnIBwLptx
 APU2UAVuA5S7+XAlIGl6MATSnZ1amtzB+nnjCfhCtAYQFZZnGeICIIAB4ghMrR38Hq
 5bl9ua5cFrlZrKUYu9IscL4QQTTH9Bv2K2+xQwqtjZ3GITKpNkks94WcRBSFrx/2aq
 GrfW4cehSl62Q==
To: Po Lu <luangruo@HIDDEN>
Subject: Re: bug#55836: 29.0.50; (iconify-frame) freezes buffer view under
 Wayland.
In-Reply-To: <87czcbcnhp.fsf@HIDDEN>
References: <ME3P282MB1939D8A1A13245EEC55260CAB4A59@HIDDEN>
 <87wndsro4z.fsf@HIDDEN>
 <ME3P282MB1939A4CCACA0A1855442FEC6B4B19@HIDDEN>
 <87r13kxim1.fsf@HIDDEN> <87a690z0fu.fsf@HIDDEN>
 <877d2ne3nn.fsf@HIDDEN> <8735daktqt.fsf@HIDDEN>
 <87h71pqd3v.fsf@HIDDEN> <87pmgdhx0o.fsf@HIDDEN>
 <166219690756.47038.8534222496369366592@localhost>
 <87edwrz9lq.fsf@HIDDEN> <87czcbcnhp.fsf@HIDDEN>
Date: Mon, 05 Sep 2022 17:57:26 +0800
Message-ID: <874jxm87p5.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55836
Cc: whainte@HIDDEN, Lars Ingebrigtsen <larsi@HIDDEN>,
 55836 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Po Lu <luangruo@HIDDEN> writes:

> That's to be expected.  It turns out that programmatically deiconifying
> a window isn't supported by the Wayland protocol (see here:
> https://wayland.app/protocols/xdg-shell#xdg_toplevel is missing a
> function corresponding to "SetMinimized" to disable the minimized
> state), so GDK and Emacs don't support it either.

=F0=9F=98=85

>>> But when I apply your patch, running
>>>
>>> $ emacsclient -e '(iconify-or-deiconify-frame)'
>>>
>>> and deiconify it using taskbar, the bug happens.
>
> I'm not sure what you mean by that.

1. Apply your said patch and build Emacs.
2. Run emacs and M-x server-start.
3. Run emacsclient -e '(iconify-or-deiconify-frame)' to iconify it.
4. Deiconify it. This window won't refresh when I try to run Emacs
tutorial from the menu bar.

> What happens if you comment out every call to `SET_FRAME_ICONIFIED' in pg=
tkterm.c?

The bug can still happen, which means even commenting every call to
SET_FRAME_ICONIFIED, Emacs is still unable to update frame when
iconified using C-z.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55836; Package emacs. Full text available.

Message received at 55836 <at> debbugs.gnu.org:


Received: (at 55836) by debbugs.gnu.org; 4 Sep 2022 12:50:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 04 08:50:44 2022
Received: from localhost ([127.0.0.1]:43676 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oUp5I-0008Dy-BC
	for submit <at> debbugs.gnu.org; Sun, 04 Sep 2022 08:50:44 -0400
Received: from sonic309-20.consmr.mail.ne1.yahoo.com ([66.163.184.146]:36219)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1oUp5F-0008Dh-JT
 for 55836 <at> debbugs.gnu.org; Sun, 04 Sep 2022 08:50:42 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1662295834; bh=Ff9CbpBrX+XhWdnxHeNOVvUYGTiM0x2zVbEw7A+8BmA=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=B859cQncPy5vaX4OtUqJtB5nBiuGBm7ne5WTmUMcpZPP0ahr6Db7EnIUzvgrhEYfGitUhngrHEFDuH92E79D+RVFxGCC3ovcOtyoCejeVg/upWjTeAHWKBL3v8wXs1G1BCwYWNu6mlcH8kwLYjXwU3rkhnjhgFLYsKmaamyCcyTlzm6s8WZhrWHADSB4yc8Hk0TEmmRFK73KYciF07vsf2msO88VASN1DQb6YMNwb0/wavuHNYcewvA/HgdxVdO+ueKRVC5cWhm8iS/Z0Gl+xcN9vq+mtcEFJg0xHWqckC9vNF8ZDKW4q3rpKLBYuFpydslPGB2DWxvycIOgFUqEAg==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1662295834; bh=635HrOksk0ZhQXdh9h84kK4zBNsuQjUbkPI8fEyeBWu=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=V5jm03MJZhBWEwbboW6IGEGfcSxACMvyciVoNHGlkdl4gjsFNyIN5fclyrkRy9KQ1vV4Y+0XXgJ07mh+o9BVr/k6ecfzHFR/XS1HRRLg+sP449Z1EergSbK0/xWpnlWLSrJIF020Ci9FQGIugHomhGd9prgAw5m3BU54GjjAqzANvQZb8PvmS0FsxjfGh/fZrl1YgD7b252dXei7vhNyE2XbzpPFvhTuu8xV3HJG5Np+yUgaIuuInaOppsDcPokWHhlwz2mGkDHm2dqM8mSJJ0yWpqWCaW3SqlIwti7jZBCOhNRI5X7mAxkTJQemrQClbWqSHyRhBPSxwTRT8GqkbQ==
X-YMail-OSG: mxieDmYVM1lPY3WVwZ_2DKITP6nwe8_qDEdKbr4SRehBq8Q77Zl96EdECf2SVJB
 _WQwVjbAS2vnSnVE8zZA25Lrpaa0qFPbzRIvaVmo3JdC.eh6JyfbixzeSu6yCZ2aaEH_2rm4pjS8
 F2E_lHcpAB7E528NpVSK0Jk4d7T.cGMP0CbE8T2zAGr6GQsJ_iICyyJeWbWZ8psUj1AL9bKSirR7
 J1ef7_yiTQJR_z9h309DX.upBEB2IRJuCgbA.dU_WyGrcenrCO_G6IUgROu41L5WBdZCmz87BS4n
 QLiPGKtZNSBWm1kLakenxHg71FDbobSFp7e5Ofy4ZYdQ.Me5AfRqlSAsYh_rnVmUZdYMh9u9OHiG
 YVIlYo0dklfPatWMWx124_cIyBgBoANex3z4gFXcE0rJMhbhAbeKrpYQAxbXeBI3b6cvWbszDIGy
 1ApuhcLKRuf38efxP77TLmzq.vjCBjUP9rSpsp6vfhmWVXMOIebcKEW_7S4pM7ZsAZRjjP1dyjdG
 Asn5yMI9hx3hl6npIKgYy5KtkhR.ZwiluY1mPjj5f4WjYIs_rVbINyp7vXrFg0srtmCBqvXPykJu
 R.f3dkKYQs8x.IOhrbkCxTmhT_C1imRaGiDfDKS2LgLJbVbK1wLRbKR4VjZD59cmiId.RiY2g_Ws
 P5Abgsj4IgTPFKfiXihYIprwy6_6FPFT4UmvzqoNRkSlh2NHLpJujLDq7z1LnknQPRxLe1Dzo65N
 ayh6_88geuHVk6JmL50KYuHqbX37mOv7MdsTfmo9LrAXLLAgk94I9bZ6MmchmH0k7LFkxZ_VCBTp
 WBqWyh39yz5K9xPPVmcnPFlmkY2ELiHRGRaANSvpIvx6aKo9.8EbHSDxcgqr74dn45AjcWvK_83I
 dA2ZA4fPWpp76mv0FMbeqSqlHY0vSdWYxPeGxoC.l4YApgzrj6QJZC3oJJx6fs1h20hLHuswXG6p
 U4a5dBnASv3QoOJZ5Tc1ga77AtF6AJZ94pE8kJpEHAn1q8CDmiSrPHNMA2YsLuDOO_acXYCSpYLR
 CXyF7yPAzJ_4yM8ccMDOS4NDt6vzKPnKUMuULFLgXhi6MZfInsbuQDvHfh2ZCLKWALETC1CcM_6x
 4cQJoFUMgalzQdicmplRbtT6XqSr8jIrIhZ0a0OHGWGWxQtR..z3EI3ruA3FtOshB8jyehEmqkni
 BPC7GCpDHDivLiB9dUlPrM7cJn1Sqg25LKPwASLmHNRf292QGI03aWRmtr54IW6Gs5k66uN98fe6
 YVbLhBDP.uD6WfcOfzsb349m9EMG3O2UoKPy.pTV2A2tTUP.1XEL4sNoZ.5s4dNBSUF5Yhs7rn_C
 mQFE4ReSIxDLK7CBK4cQOTsEzRZP6VCfGYbMPtdRTJhehE2G2qVLx8I7bq75fqhuEJsQKDkK5dPz
 Bgj2teqeoQt6.KORXax3dr2VYQ3WehPS6vabApQ88NDy5yx61o3THYUmPBygaNRElg1jfAWqRMul
 wFcu.e.2riUZmxBm0v6ncdkONLhXtZR4RrddctKPWqWE08_.f1tov5rfu.9hlWBkZg8EAJydZVOR
 BUkGGkA4S46N63DRyLPjeo78AoLXGdHdQciCcdKBSo0HKCCF_U.858y2rt_ty2QIMHXOXv51cfbG
 uNqyAZEhUwpnPcFwlwSiKGmhZauW3TjIyHYMi.uHY2ctWUnJ0NxdoA67C18qxfOwvcGR9kr28VyJ
 PBmVi9_LcsKizVjuHCm9hzzs8AmQ7vJvL.j9GApJ5c8MQSdlF4QFCdfu1Yid1A_i7UpBBBQKY9Gw
 kB4XMsDsy9KJWhzQid5DhEegmNWpvbmaFnzxvvKOKDPdMm9Aalo40fA4L3Guv0pspGwWs_VrVk5m
 JTG171XEEx3IoL7xr1JeDjV06pPScK7ug9cg.z1vuHG04HMsujWZZU5F9jKcBNVXGQ1tNC_7sg26
 hlvKb6MFDRB7Xp6ZSnts6cEPLBkiiOVVE1MUXpgthR.9cpz4qSKiWKsVuqudZswqgdTSbQGXm9GY
 MoP6T2uXENMMD4io6yXed277tYIpMIT_HO3i57eNah8GuxbVcCtVehyU3c_sMlzPDI2YqoxAFj_O
 x3.nmuOMlY.eHz0uUuUSgYAcILbt.mK9s_952JcWq0UipBAU1I0GDsv_iGu0kPsfZK0BTeBdwJqL
 853twcGGrJAzOqbt0FhNbYz8_uXSOQOs4WbvKxI0ZTucE69HG.kF8uX98mLkuFdglEdEZW5FfxhZ
 sVI6h2TN7EgKePiHpFc9Wr1RZsmOj4qC_HXCKk_3BVmctAnDKWCvS55ncm5EHnCgN2WCligt9r2K
 O8uoFgw--
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic309.consmr.mail.ne1.yahoo.com with HTTP; Sun, 4 Sep 2022 12:50:34 +0000
Received: by hermes--canary-production-sg3-6bb8946c47-nbhdn (Yahoo Inc. Hermes
 SMTP Server) with ESMTPA ID b26ac64e259b2c4ba0c60aa5bbd1dd5f; 
 Sun, 04 Sep 2022 12:50:31 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: =?utf-8?B?5aSc5Z2C6ZuF?= <shadowrz@HIDDEN>
Subject: Re: bug#55836: 29.0.50; (iconify-frame) freezes buffer view under
 Wayland.
References: <ME3P282MB1939D8A1A13245EEC55260CAB4A59@HIDDEN>
 <87wndsro4z.fsf@HIDDEN>
 <ME3P282MB1939A4CCACA0A1855442FEC6B4B19@HIDDEN>
 <87r13kxim1.fsf@HIDDEN> <87a690z0fu.fsf@HIDDEN>
 <877d2ne3nn.fsf@HIDDEN> <8735daktqt.fsf@HIDDEN>
 <87h71pqd3v.fsf@HIDDEN> <87pmgdhx0o.fsf@HIDDEN>
 <166219690756.47038.8534222496369366592@localhost>
 <87edwrz9lq.fsf@HIDDEN>
Date: Sun, 04 Sep 2022 20:50:26 +0800
In-Reply-To: <87edwrz9lq.fsf@HIDDEN> (=?utf-8?B?IuWknOWdgumbhSIncw==?=
 message of "Sun, 04 Sep 2022 19:01:53 +0800")
Message-ID: <87czcbcnhp.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Mailer: WebService/1.1.20595
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 1037
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55836
Cc: whainte@HIDDEN, Lars Ingebrigtsen <larsi@HIDDEN>,
 55836 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

=E5=A4=9C=E5=9D=82=E9=9B=85 <shadowrz@HIDDEN> writes:

>> Another thing I found interesting: I also used M-x server-start so
>> emacsclient can control this Emacs. Without your patch,
>> When I iconify Emacs via emacsclient by running:
>>
>> $ emacsclient -e '(iconify-or-deiconify-frame)'
>>
>> I can't deiconify it using the same command. But I can deiconify it
>> using the taskbar (I use Latte Dock's taskbar), and the bug doesn't
>> happen.

That's to be expected.  It turns out that programmatically deiconifying
a window isn't supported by the Wayland protocol (see here:
https://wayland.app/protocols/xdg-shell#xdg_toplevel is missing a
function corresponding to "SetMinimized" to disable the minimized
state), so GDK and Emacs don't support it either.

>> But when I apply your patch, running
>>
>> $ emacsclient -e '(iconify-or-deiconify-frame)'
>>
>> and deiconify it using taskbar, the bug happens.

I'm not sure what you mean by that.  What happens if you comment out
every call to `SET_FRAME_ICONIFIED' in pgtkterm.c?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55836; Package emacs. Full text available.

Message received at 55836 <at> debbugs.gnu.org:


Received: (at 55836) by debbugs.gnu.org; 4 Sep 2022 11:02:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 04 07:02:16 2022
Received: from localhost ([127.0.0.1]:43519 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oUnOJ-0007Mk-Rj
	for submit <at> debbugs.gnu.org; Sun, 04 Sep 2022 07:02:16 -0400
Received: from knopi.disroot.org ([178.21.23.139]:58588)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <shadowrz@HIDDEN>) id 1oUnOH-0007MZ-1D
 for 55836 <at> debbugs.gnu.org; Sun, 04 Sep 2022 07:02:13 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 83B9A40112;
 Sun,  4 Sep 2022 13:02:11 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with UTF8SMTP id gKa3IUUa-L9p; Sun,  4 Sep 2022 13:02:10 +0200 (CEST)
From: =?utf-8?B?5aSc5Z2C6ZuF?= <shadowrz@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1662289322; bh=Zc6bsus1wiXBN6SgmQcSddWK424fTuNfrLuWIYNkJTA=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date;
 b=gG8/7azs+0xZZAcHYuJy/KtE4MD5eySAYhLP702GoNJs8Xa0nhw6pxj48SqU6+Flv
 cDNQdUqzK8M3F3AMLztc/tzNK2IdeznrVQQ26Piky2kcwZ3qnH9vbwmqLhGk5u3Q+2
 +LGoLkRtcaNkfTj3BQOfTtTggKdSdjXIGK232lteWAj3B3VFzhYVwQVmiYvVo/52IJ
 AHEET7uMVc6i3Ka+qAKJxofXfELlm4F2s23TjUMd92fAouUS+6BFEM+iZD6cAv4DO/
 UWcN8+r23IA4e34Xw1fyYCVM6PAblBeggzzPDim+orF7JkKK/IQgqNCJ0xCGz+RAwH
 CEkiiqIW3UDNg==
To: Po Lu <luangruo@HIDDEN>
Subject: Re: bug#55836: 29.0.50; (iconify-frame) freezes buffer view under
 Wayland.
In-Reply-To: <166219690756.47038.8534222496369366592@localhost>
References: <ME3P282MB1939D8A1A13245EEC55260CAB4A59@HIDDEN>
 <87wndsro4z.fsf@HIDDEN>
 <ME3P282MB1939A4CCACA0A1855442FEC6B4B19@HIDDEN>
 <87r13kxim1.fsf@HIDDEN> <87a690z0fu.fsf@HIDDEN>
 <877d2ne3nn.fsf@HIDDEN> <8735daktqt.fsf@HIDDEN>
 <87h71pqd3v.fsf@HIDDEN> <87pmgdhx0o.fsf@HIDDEN>
 <166219690756.47038.8534222496369366592@localhost>
Date: Sun, 04 Sep 2022 19:01:53 +0800
Message-ID: <87edwrz9lq.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55836
Cc: whainte@HIDDEN, Lars Ingebrigtsen <larsi@HIDDEN>,
 55836 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

=E5=A4=9C=E5=9D=82=E9=9B=85 <shadowrz@HIDDEN> writes:

> Quoting Po Lu (2022-09-03 13:01:11)
>> Does the bug still happen with this patch applied?  It does mean that
>> iconification will no longer be reported correctly, but GDK simply
>> doesn't report iconification state to programs on Wayland.
>
> This bug can still happen with your patch applied.
>
> Another thing I found interesting: I also used M-x server-start so
> emacsclient can control this Emacs. Without your patch,
> When I iconify Emacs via emacsclient by running:
>
> $ emacsclient -e '(iconify-or-deiconify-frame)'
>
> I can't deiconify it using the same command. But I can deiconify it
> using the taskbar (I use Latte Dock's taskbar), and the bug doesn't
> happen.
>
> But when I apply your patch, running
>
> $ emacsclient -e '(iconify-or-deiconify-frame)'
>
> and deiconify it using taskbar, the bug happens.

Sorry, for whatever reason the mail was lost and not found in debbugs so
I have to resend it again.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55836; Package emacs. Full text available.

Message received at 55836 <at> debbugs.gnu.org:


Received: (at 55836) by debbugs.gnu.org; 3 Sep 2022 05:01:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 03 01:01:34 2022
Received: from localhost ([127.0.0.1]:40760 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oULHi-0001sJ-6W
	for submit <at> debbugs.gnu.org; Sat, 03 Sep 2022 01:01:34 -0400
Received: from sonic301-30.consmr.mail.ne1.yahoo.com ([66.163.184.199]:33968)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1oULHe-0001s3-Vf
 for 55836 <at> debbugs.gnu.org; Sat, 03 Sep 2022 01:01:32 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1662181283; bh=uyZ3kxIFUhxGWN7dwJ7AOGM5wrE4yMX3DxyTLgPjpA8=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=DG04UDXuLt+VTLZMXonOK2p3/XlkE3HHrlRRmSgZN/iSmlP5Qp92sHlQcgjI7FBWrFRH1144c5LxDIDLi0NUPXB4/P+wbe3c5qO/huc3CZLVfMERuYmY4nS+NV4GGW8NveoVuU60jPfHj55XJY12HA4Z6D6di2Z6o9rkGP8oMCZ6JSi7vap1Z6/1YOGCRgXu3Dtcg1czp3JqmJR3hrWISqeyo2l2hWjkFScAsYbf+HMedoPoCqvrA/zDrQtNInBYaDPOTXrLanJQZi1sxm1Vu4gDg/DIAngXwqpoGaDiqgrBlnP8ThoOjn2mME2hwVlaX5A1wPeAl4pbBRCMGRqmsQ==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1662181283; bh=9+43XHtV9mYePfZFlqPa+2aN6FNk/z23JXOmfnoBXXn=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=CR9mtVY0Nl/oSDuiu6PCo6qBojFoT8zfsC3QgKaVAEsirJBCs38CKAHjWPGeoyDdw2uSNZnlGqS+zp1DoXwJhLgv/6ta3bkP/o3s74+SOzmtLpyWWnCe0Y0MYFRTFEcLEXTB0qyBWLSBOplPnORm/cvFk0GJHgPrsnmetcpG7I1nXo/ieJs0mo+6ZJ7yHjF/0T3UVLJwKRlrEQDTkZSOzX3iHaIoa2a/MpUGUP75+/xtPXjde18GstL+9SVV/+q00SNY8BP5A/u37hjNezd0VKySaSZp/3judA/Xl/DU6h6Svf2R9zsz+tO3/9Fsa705XiKwK2mE8PPAvCxB3aQXwA==
X-YMail-OSG: hcU8niIVM1nssgEbwmuplPKK4miwWpejG80Q8Kju75w0aeviUEHOdtXTlAasUH1
 UL5FHMHQ7_eBEDuCxkZF2lMsS_QtV5_yxzN_4lPFlsiFvUynhghsbBrHYWezo.hXlxWEG0dVaHGa
 g2HIE5jGBnGphx3EHDwVgSaCYRZ6lDyz7L4RD94QDlVnw4vUzCpIlQQT6am1UsKatcVffh1voocv
 M5m0jW3Ve9ezvbh_0oA_3w3MJ4ZPhTf_9brTyFyggkueY.hUs.CTnR_eS_0F3oh5za1ZUy4ldjgR
 avg8dX1mF_w7PUOwZHVLn2B7_BIEMBr.MIzDYXl14dFihjErJkUF.6X4vckJCqoEBrRVzO6fbfF.
 5RkOGrnUvqM9xtlqV9P84R2z8tSj9E.XZP9z2UJFviAqbXvBHALdL2LkeroXdbCYMnIqwnJtFlrl
 J2Abn6WkE6yKCsoVTs4wwn.IT61hGKHUlDe_0vVBhjD2DWzUaK0UBWxwJkS0u._tcheia7wKoQQN
 VeVZn4rd0qezbPN4vHasVXj2Esf60apY2MDbV_hMzuvoxKDCKQRlGy6RzuANs_sa9XDydN6v8soA
 Y6YWjLgB9A0fLITBw1lWCUZFjupA9ya526o0Fuk9URKjNwURMKDd16H7A7i0QXmJKQzntWe5woMn
 B.1yQiC8kVASG7Nam5CUBE.Ek9.cEPBaoequ.AnhJy30d0Vay1UcFz.jkwGx3TU00SVfsmcaLpYD
 mouBk4wiNc3sB0R0p44gne2ItHUYuc4ngG6mYu9JdPucYcsrLZHuyFT4_HvGsAkle9XF0iqu9vaJ
 vtWLvqQlxjt4l9WYy3MriU10QA2oQPfBpauqOdxZ4Uo2WKe7_ttFasQZbTTvQIhgpVV_mLRRpwb_
 WeejKIF4lm5eg8nN1kb1caBR8vFxSnHccdYrgMwHbmj8WnqSvscH0lSS0i4LWWocKOWfS1a4Whkn
 JFe91Wm6hAdklmlsoIdBS1iYy5prkZWmOmJhUHnMkJtXjcxEhu46chB.eLO4gOw1MinW7c4zx6u4
 y914bY3VA5rEDDvUnoX0rPlfTcBcnOi1dwhBr.mVW2X6Rlp2QDQFdRVm79kbk2UXoK860Si8UpMW
 RrR7V_BM7QUmG6rfa4qUt0YGxUSjZ77yhz1yv5ZqwM0elbZqzZkxXY_aVhtQEB9_rvCWsJsxLMDi
 N5_EhXHd7b2pkhIxTu1QxoOYVxA6s0YwDbeAya75QeUNwOWF3SCq9fc0gmKvYaEh5G_N9XiVv4Dn
 91m7cxISHdSOGdDKd4u.LEk8ZrAiq6Po0MhepXSk3kwnBd2t.qIBdOx.atqZNUs2RpYuqM39ntD8
 VxbzPzcWfGw.45WLmzPGdLDUxRzqej3JtZjM2t9zyLFo8yyZVoNzTHNAds6Gf83tfqYT2Gc8V8A4
 0WQ.XMMOR.TeUrlyAS4wIppjpqiUP2E3c5y2msGpeCcT527UvQADga2C9EI4aR.iapLjPpgiPGEx
 hojNrmgEcOtFOrjmEkxs0tC.UXVKeZKpjKhmH0JkncqWhBqFR8zwwXyUUvG83RSlQNwt0uFgXYjd
 2T98r2CMHPeMZg_qzR.MrMvlpk9eXCkviSxwW90VRBX0zvR1BngIWaBuLqfvGTEBlnlg6ta7Ie2b
 Tsz1gpBrBI3ZXsC15w0EeqqijBBppaVl2moctnMkhIVOE_TfRi20vYHg9wuUniBMfPa_OmJ7actj
 CCu1JlP3Mj7CNX.vyoswUGcP4WxFtsfFkHnkK88k8Hcxsahkwzy6ySworKkVlfiU8BkvcoL80MyN
 4k.3_yPFuBS6mzrsi0DD7tGcfEgQ23GC0tmsW6QSthqxva98R3TNv3zYxGmshKyNMymbegwgRA7b
 O9__BiEPvDJmdxLsCLYo_VPeHInPjPqECpme2pYHqOfj9xJZDCePoh2sXsEwi82Z1UcyamJdh9jh
 bnG0oPI8pN5A1Y2oIWeLI4eAMq7sz3eNZsvh5NoKBJLYRVCBRcxp2OLz7_vfSJEc5piozDxZ5Xay
 babFmqlOGZBO95XyaTCOAwFplkHtZ6qgropzF8AyyfM3J1bEvyD5hZgzwG32X8IDfsZHcc0UUI7B
 T7CZ0BDU2qMBMTsJtpCOp.F0bOoy361.P79PY_O_XOPscQzM2ok6_ZJecVeS8dJh56uSs0PqEAdU
 KK7v2Zjb.Gj0AzbmYjrSbdop87SoZ_97GcIcYoPx8reEeL.6_8jTg2wqB0LSv0.pfQgH_O9ARwej
 sB6FtP5MJaW6zYHngH0CJFgaeYLQYiOCxS.zW5NcM5ZR.qdG8ryFDrNnYevydYPNchbdHX8my_8H
 VaZYFQohFRb8G
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic301.consmr.mail.ne1.yahoo.com with HTTP; Sat, 3 Sep 2022 05:01:23 +0000
Received: by hermes--canary-production-sg3-6bb8946c47-n9zqw (Yahoo Inc. Hermes
 SMTP Server) with ESMTPA ID 9a738c94b9ea6b71e6194055af59269d; 
 Sat, 03 Sep 2022 05:01:16 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: =?utf-8?B?5aSc5Z2C6ZuF?= <shadowrz@HIDDEN>
Subject: Re: bug#55836: 29.0.50; (iconify-frame) freezes buffer view under
 Wayland.
References: <ME3P282MB1939D8A1A13245EEC55260CAB4A59@HIDDEN>
 <87wndsro4z.fsf@HIDDEN>
 <ME3P282MB1939A4CCACA0A1855442FEC6B4B19@HIDDEN>
 <87r13kxim1.fsf@HIDDEN> <87a690z0fu.fsf@HIDDEN>
 <877d2ne3nn.fsf@HIDDEN> <8735daktqt.fsf@HIDDEN>
 <87h71pqd3v.fsf@HIDDEN>
Date: Sat, 03 Sep 2022 13:01:11 +0800
In-Reply-To: <87h71pqd3v.fsf@HIDDEN> (=?utf-8?B?IuWknOWdgumbhSIncw==?=
 message of "Sat, 03 Sep 2022 12:46:28 +0800")
Message-ID: <87pmgdhx0o.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Mailer: WebService/1.1.20595
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 1135
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55836
Cc: whainte@HIDDEN, Lars Ingebrigtsen <larsi@HIDDEN>,
 55836 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

=E5=A4=9C=E5=9D=82=E9=9B=85 <shadowrz@HIDDEN> writes:

> I can setup a condition of f->iconified.
>
> So:
>
> 1. Setup GDB to break at the location you said, which (I believe) is src/=
pgtkterm.c:5507
> https://git.savannah.gnu.org/cgit/emacs.git/tree/src/pgtkterm.c#n5507
> 2. Setup a condition of f->iconified on the breakpoint.
> 3. Start Emacs PGTK and iconify it. It'll hit breakpoint. run `continue'
> in GDB.
> 4. Deiconify it. This breakpoint won't be hit.
>
> Feel free to ask me to provide more infomation.

Does the bug still happen with this patch applied?  It does mean that
iconification will no longer be reported correctly, but GDK simply
doesn't report iconification state to programs on Wayland.

diff --git a/src/pgtkterm.c b/src/pgtkterm.c
index b283cef7cd..68365c0887 100644
--- a/src/pgtkterm.c
+++ b/src/pgtkterm.c
@@ -734,7 +734,7 @@ pgtk_iconify_frame (struct frame *f)
=20
       gtk_window_iconify (GTK_WINDOW (FRAME_GTK_OUTER_WIDGET (f)));
       SET_FRAME_VISIBLE (f, 0);
-      SET_FRAME_ICONIFIED (f, true);
+      /* SET_FRAME_ICONIFIED (f, true); */
       unblock_input ();
       return;
     }




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55836; Package emacs. Full text available.

Message received at 55836 <at> debbugs.gnu.org:


Received: (at 55836) by debbugs.gnu.org; 3 Sep 2022 04:47:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 03 00:47:00 2022
Received: from localhost ([127.0.0.1]:40755 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oUL3M-0001T3-SP
	for submit <at> debbugs.gnu.org; Sat, 03 Sep 2022 00:46:59 -0400
Received: from knopi.disroot.org ([178.21.23.139]:45382)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <shadowrz@HIDDEN>) id 1oUL3K-0001Su-Hj
 for 55836 <at> debbugs.gnu.org; Sat, 03 Sep 2022 00:46:43 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id F2A2941E2B;
 Sat,  3 Sep 2022 06:46:40 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id SmYf1WkEm2Cz; Sat,  3 Sep 2022 06:46:39 +0200 (CEST)
From: =?utf-8?B?5aSc5Z2C6ZuF?= <shadowrz@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1662180399; bh=ETYO9bVHysBz6hWAL4gJpkgdTVEzG4Hgr0EQox6kb8Y=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date;
 b=dD9jDAqm8t+r8zcYMX/pyCH+vzMpl42tiIxGNevw5UEez6t54HxFTfbsr3/+gTnrW
 g8gGBdyemSXLwaCGxCXepvd26wVYyNiarEhgYeD+BsTEeNq+hscwmk2oNagzFKchNK
 H6cHXcpSSgiXuaL18m3m2fhk0HLWaMpbC67KOUSCl+0ozYZicWJDUE7z0SPGZDb67b
 EKiMAq5In7TwB5TnOI6wZn6pHLQVm5m4t+hCoKlPLl5EJ8R+IkInC1SLsC2l+OCPvY
 e/0aiXsdKCSwUpeaWVZbnVAf4qKlCmB3v0yMQUrjUvt4+dPNFQoK6kIF22qhvjbp6h
 27RArL7r/WufA==
To: Po Lu <luangruo@HIDDEN>
Subject: Re: bug#55836: 29.0.50; (iconify-frame) freezes buffer view under
 Wayland.
In-Reply-To: <8735daktqt.fsf@HIDDEN>
References: <ME3P282MB1939D8A1A13245EEC55260CAB4A59@HIDDEN>
 <87wndsro4z.fsf@HIDDEN>
 <ME3P282MB1939A4CCACA0A1855442FEC6B4B19@HIDDEN>
 <87r13kxim1.fsf@HIDDEN> <87a690z0fu.fsf@HIDDEN>
 <877d2ne3nn.fsf@HIDDEN> <8735daktqt.fsf@HIDDEN>
Date: Sat, 03 Sep 2022 12:46:28 +0800
Message-ID: <87h71pqd3v.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55836
Cc: whainte@HIDDEN, Lars Ingebrigtsen <larsi@HIDDEN>,
 55836 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Po Lu <luangruo@HIDDEN> writes:

> Hmm, okay, how about "f->iconified == true"?

I can setup a condition of f->iconified.

So:

1. Setup GDB to break at the location you said, which (I believe) is src/pgtkterm.c:5507
https://git.savannah.gnu.org/cgit/emacs.git/tree/src/pgtkterm.c#n5507
2. Setup a condition of f->iconified on the breakpoint.
3. Start Emacs PGTK and iconify it. It'll hit breakpoint. run `continue'
in GDB.
4. Deiconify it. This breakpoint won't be hit.

Feel free to ask me to provide more infomation.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55836; Package emacs. Full text available.

Message received at 55836 <at> debbugs.gnu.org:


Received: (at 55836) by debbugs.gnu.org; 2 Sep 2022 09:31:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 02 05:31:42 2022
Received: from localhost ([127.0.0.1]:44891 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oU31a-0003y6-Lu
	for submit <at> debbugs.gnu.org; Fri, 02 Sep 2022 05:31:42 -0400
Received: from sonic304-20.consmr.mail.ne1.yahoo.com ([66.163.191.146]:32844)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1oU31Y-0003xs-N3
 for 55836 <at> debbugs.gnu.org; Fri, 02 Sep 2022 05:31:41 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1662111093; bh=wQH1x++pSQLqqjFDScOUB7dl+p4yP7AFylZTxYES0oQ=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=Cew9nlwPSOvVO/T3iMKIPQM0bA6oiYEHzolO8zUGiUSlVlUW2MfLiC5mec6SGfR1nWTYR6sj9Is7zHbzQGdQ+tCWeO904bBdn6AWahnuG321fsuznZEgf67ZeNpi2aYL1FrtJZOsQRIeJyaYkMp5Xytbwl16uFA2AaPSi9pu9EB6KJvoS2m3JZm9mnRaQXa2vcphDohyiYytB0oHHxn8c1CXA8Cv1+FgaJxwE1caQdHjZ54DSn0wpN/X56n2fwzEGYbemUatRrrN/vktKAjZeAT6g2ObhNPKuVNDL5CfLY7GiiKsOIrh1BlhR5PerbigOenC6ah0fGtQZnBLgHvnOQ==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1662111093; bh=B50UvtXm1jbqyiADyUmB2rW348qUduEYYU7tRsksD+z=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=MG6U2jQ92xrrNcJO0WHvpHveD6p+nSEM99ShZS/jyPYLYx3TzrwqEXIpKf+pOCrjo0LMRxprwj7Qr8qrPdHzK8Lulvtak+bA6vrT4ziuTKp/2Pojv/EV/ooGBXLWiP+9SP2AJSdMP8KDvjy8U70jwLNVCG9fIF4scJXfuflnZmM8ckawystJhVjPfWiIhy7OTTO1irm2WEvPX88cv6TkgeAswrLu2iJWPWY+P3PpNQwOOXVMQGMQ86kFblJXDdJ1/8rr3V8Jg2UDEpiKkiHr+ly2KL+RAZbwC1BsBGalGwm1pOJKMefrubc0qj48ONDsDHDKpjAfZm76AREK7CgvXQ==
X-YMail-OSG: utCIyc4VM1kQb5yJoExNcjN3h1jzj5tQGKrdqaYrRhB2ug1BSmT8Hpvdd57us_w
 JtQ.yTVu4fNRdWg88Z9hxMIAGisKe1VsZpDvj42OSRWXZPoWv7ZRMaqcmwZ7nG_UUMhsUQXJ02ol
 Zket9T0DFvlr55N5Tk6srj5BnaV1V2FSDv41f9r5WaCJX4mfoMKgOJB1237JsrYaw2HYeiDM_Bwl
 o0r_wXDwHNs.vmdlJpf4LkzIuLb4tnphyP564W4UORX3RJaKQ.AN7GPg5G_Mj5AM06nNxcnrIbYn
 jhEdqqccS7_XztL2OBxYcRJQnKlUhZ5K1j4Uf28XsasufCN4hp4et5E.r1cqX01wALiAJe.MvOC8
 n1VYHy.mlLHgTw3Qj4Vi5qdImcnM_hvS2FecCfQKUDd3JVQ3R5wcpEEqSHqhoN84cPVRbb9C9GWr
 sopdyU9n7Z5HJoOLF4quV6itHU8EZGD5OK523f9zMpnUjluOpjX6AX.bMstTxJYmPM5AGd6teiKK
 eqREy0Idng6cDh6KoQnqdK3y1LD09rDSTKh.gLIL23jrLZs5NcoXu5ah2qbhCV41x6GVuCKehLX3
 HveQevc1LynH66kKeqCJAGYRFKU2DuLKLKMbIN6qtTeQv_bSInKgTHG0g5BLhjy0IqfmDUgm2yc1
 1lOGsSzTGYEJ9LPbOXapUZuDeak01e0sx_itTB6ZsCHXMxfEukauRSrrEpDovPpbDRcZt2PdI.Cf
 rBsrbAtj0CPyxbU.4qpTXFwaZM0VC_hpeAzz8rCxMMmbmqxdG7K3i_HLY1tPcBrRy6.yui3O7J7p
 Cz8LOyErmWxd.RiOlDj1.S7WkinRPWfINI23oRIsU_wbCcRwPtaa5TPI2dj_YzO2d2cXjlKB0zml
 OTN4STzcoXPucY_7KJ0SXlbNqqwJ4rEBXiJ48x2p5ZzjdN3CSviy8cnkUoWPSP.NfrxbO5A5t651
 b11.orL33WXc_8BKcCQjvu6oYgP2.j7U_h9X0OXPhOmMhX2KIrb8mMz5duEioEnifgS2Yshkhrxd
 IQb.hFPoXTQ88VBwMhbylX4ctwxFM0cT7msBQfygiwLxMfAmdvHJZH1m9NQgiuR.WcXho8rd76OV
 hp9.A5rEddcjOGjVZF.Y4latpWlqhsfan7OxkCxd7K71RuL5N4tXQcx7o4I.K1uMd2B9CMyTRib3
 r7WC9FQWAqOzJx3MJTkNd0Hyeu8IXhGuwvD.kP5YCOs.2KjoNrAMXaVWY_4HRSeGOhOPO.yv2Oc2
 OSdFHnBNWkoLsnkvReX3VmsNoTDkwbeEhTwWG110PsVxGqEW_U6xa1FVzP2ZapYa9Hz4pNa7uFnD
 HMQOqIZuiE1EhlP8cfTMoj_GntnxrRO_LmmkXx6aY_Slbcvgtr89FAWM5PhAZnAf8HHeXMsQR1p6
 9IoUNScHGeVndbjToB68P.y32bFpW6VKU0Q.mI7Dr3hn.OshwseCeXIUG6Ld5ucpihWtiiq1z9sZ
 wkMq8sdjFaJFAVNysYpQzXI79kJQQJ2OEWHo.HthFOvWRm0J.MUze6VpFcdoukEFWP0gZmIJas3S
 18Yaqa11ywr1lipf7t4We__MSh9kH4CZbo6hauwReBC_BOp5n6yFxVmv8KtpuP5nPqffXNk4B6PQ
 aw5v.auQyiDLPB9i8_6KzGh4VV8XdHiocsEdHaIVFxlVmURJT2AuCb0yZZs.TFbQxCTj8ewFKENs
 3YF.dh3LhhIlEWX6iPspqAFKjlTRUW8rIllSbED4dbeE0Fr7rq9mmzQXMKkzdrDbTYlq9sfAQQt5
 z5ATNLyLUYmj1vQfVYQ0cEQY67StI4s9ctyUzmlbBRXTO8Nc3rpCimndbruGpDMGLL4ONON7rKmB
 NywgH6dw4LYb.WgA46elHEofXhViS9ovrWR7qrpWw6oe1p8CKQKVVEK6z9grc5VfAqBYamjgdElD
 s1O49PoT2F4h.4FvYTgvLRov7CVds_EQpPeASo9nlSgYA0wikT6scbr2k1qOIjhEGlKNn4UWb.k9
 63biWnZusYktJ0jARwGXLjBqp701FZDK.WuvOLdqHmRFjQuhX5OoWHN0HvyqGSe9heFBSmWLXbo6
 Hr8gPhovgAOQkM90zGJ5y.puGTZ2D9SS5pp3t6wYVN6sESdvVy7UQpLFQvqkhLCqNyq8lwD_Twpu
 ltWLaI.pGMmsItiAFC5RGYriQJtqo9ims_1whfdcqHoRD2AeGoQ3OWLiQnMaFz95J1ZpbavidxPh
 qMAxXh8q1ffqMeZmPWvAjggo7WxlXqZjRjTGU7Zslb36cLvmbDKZYSq0MM4uDtQlIO8RJea314Hg
 tgJ2dB1czeG4-
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic304.consmr.mail.ne1.yahoo.com with HTTP; Fri, 2 Sep 2022 09:31:33 +0000
Received: by hermes--canary-production-sg3-6bb8946c47-7d254 (Yahoo Inc. Hermes
 SMTP Server) with ESMTPA ID 91b7f3fcf38b34a02a62e044cef27b59; 
 Fri, 02 Sep 2022 09:31:26 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: =?utf-8?B?5aSc5Z2C6ZuF?= <shadowrz@HIDDEN>
Subject: Re: bug#55836: 29.0.50; (iconify-frame) freezes buffer view under
 Wayland.
References: <ME3P282MB1939D8A1A13245EEC55260CAB4A59@HIDDEN>
 <87wndsro4z.fsf@HIDDEN>
 <ME3P282MB1939A4CCACA0A1855442FEC6B4B19@HIDDEN>
 <87r13kxim1.fsf@HIDDEN> <87a690z0fu.fsf@HIDDEN>
 <877d2ne3nn.fsf@HIDDEN>
Date: Fri, 02 Sep 2022 17:31:22 +0800
In-Reply-To: <877d2ne3nn.fsf@HIDDEN> (=?utf-8?B?IuWknOWdgumbhSIncw==?=
 message of "Thu, 01 Sep 2022 19:26:52 +0800")
Message-ID: <8735daktqt.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Mailer: WebService/1.1.20595
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 218
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 55836
Cc: whainte@HIDDEN, Lars Ingebrigtsen <larsi@HIDDEN>,
 55836 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

=E5=A4=9C=E5=9D=82=E9=9B=85 <shadowrz@HIDDEN> writes:

> I tried, but GDB failed to setup this condition with:
> No symbol "FRAME_ICONIFIED_P" in current context.

Hmm, okay, how about "f->iconified =3D=3D true"?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55836; Package emacs. Full text available.

Message received at 55836 <at> debbugs.gnu.org:


Received: (at 55836) by debbugs.gnu.org; 1 Sep 2022 15:34:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 01 11:34:41 2022
Received: from localhost ([127.0.0.1]:43880 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oTmDJ-0004v8-5A
	for submit <at> debbugs.gnu.org; Thu, 01 Sep 2022 11:34:41 -0400
Received: from knopi.disroot.org ([178.21.23.139]:39980)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <shadowrz@HIDDEN>) id 1oTiLg-00062J-Bp
 for 55836 <at> debbugs.gnu.org; Thu, 01 Sep 2022 07:27:05 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 18A2E40039;
 Thu,  1 Sep 2022 13:27:03 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id uKW5-F1W12XX; Thu,  1 Sep 2022 13:27:02 +0200 (CEST)
From: =?utf-8?B?5aSc5Z2C6ZuF?= <shadowrz@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1662031622; bh=3PohJjxsOOJC6hjVnf6UJUzA9f7u5D9k4xEBAfiycBU=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date;
 b=SluBhnkUWXV4KhvfwG5TEfOCKlyE5El5rmwLK3OZc62iFVO6E5vL832qSct4/ck+O
 E4T2Aq2emZ/0Hx5RnW/zqbo5lBo9fIr4biJ1R7w4rEezQ9lWJIb6gh238vo/8TmCti
 YaXJVbnq6CDWiEKybPEfZtdKN7wWRHOPec9PBwyeKm+fjlKMmodbF/zzJdxOAai9BH
 Dc6Lgl+uJlRjWSjXOWfT4X4QobgIoEWjqfpIfTE98Nij+lRJm9TkSUdGEy96VSeXZy
 QNS9fXfbVW2Ke5NK8GfLDsteDgBoUQaT4l4XwJufEdwiJLDXJG4Q7ZyelzJWTYQVWg
 lRZIzS0IjKjAA==
To: Lars Ingebrigtsen <larsi@HIDDEN>, Po Lu <luangruo@HIDDEN>
Subject: Re: bug#55836: 29.0.50; (iconify-frame) freezes buffer view under
 Wayland.
In-Reply-To: <87a690z0fu.fsf@HIDDEN>
References: <ME3P282MB1939D8A1A13245EEC55260CAB4A59@HIDDEN>
 <87wndsro4z.fsf@HIDDEN>
 <ME3P282MB1939A4CCACA0A1855442FEC6B4B19@HIDDEN>
 <87r13kxim1.fsf@HIDDEN> <87a690z0fu.fsf@HIDDEN>
Date: Thu, 01 Sep 2022 19:26:52 +0800
Message-ID: <877d2ne3nn.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 55836
X-Mailman-Approved-At: Thu, 01 Sep 2022 11:34:39 -0400
Cc: whainte@HIDDEN, 55836 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

I have tried to reproduce this but failed.

> Po Lu <luangruo@HIDDEN> writes:
>
>>> This breakpoint actually hits whenever the emacs frame gets focus, and
>>> makes debugging quite annoying.

Yes.

>>> Here's the strange thing: when a breakpoint is set there, the issue is
>>> not present; when the breakpoint
>>> is deleted and the procedure repeated, the issue reappears.

I tried:
1. In GDB, setup the breakpoint.
2. When the emacs got focus, switch to GDB prompt and run `continue'.
3. Switch back to the Emacs window, it should now stuck. Hit C-z, then
switch to GDB prompt and run `continue'.
4. Emacs should iconify itself. Deiconify it. It'll hit breakpoint
again. switch to GDB prompt and run `continue'.
5. Select Help in the menu bar. It'll hit breakpoint. switch to GDB
prompt and run `continue'.
6. The menu should pop up. run the Emacs tutorial.
7. Scroll in the Emacs window.

The Emacs tutorial can be scrolled.
However when I disable the breakpoint, When I deiconified the Emacs
window, it doesn't update even I tried to launch Emacs tutorial.

>> I didn't understand what you said, but I guess you should make the
>> breakpoint conditional on "FRAME_ICONIFIED_P (f)".

I tried, but GDB failed to setup this condition with:
No symbol "FRAME_ICONIFIED_P" in current context.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55836; Package emacs. Full text available.
Forcibly Merged 55836 56833. Request was from Po Lu <luangruo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 55836 <at> debbugs.gnu.org:


Received: (at 55836) by debbugs.gnu.org; 23 Jul 2022 08:40:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 23 04:40:48 2022
Received: from localhost ([127.0.0.1]:43327 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oFAgp-0007mB-PA
	for submit <at> debbugs.gnu.org; Sat, 23 Jul 2022 04:40:48 -0400
Received: from quimby.gnus.org ([95.216.78.240]:48876)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oFAgo-0007lw-10
 for 55836 <at> debbugs.gnu.org; Sat, 23 Jul 2022 04:40:46 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=eyAsaZHdgLrYKATND/qKu6xJmDjwVeIsBd3FFXVQCfk=; b=Dg4FxoDZgteIuodm1fORRsrBmD
 xZvmtAiOpNYanKXkss88y//7RgRGzdiY8+P+YRR5rAUdkLyUH0+6HJXxkQCkuiiCDCEs/qKH2gQne
 s8LSd+CdKQukfWYI2TKvX8f+kJyEd5TPylGcL1ymHmovGfcxLyLdHL9fQAbfz3Hu2pyY=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oFAgf-0000WT-MF; Sat, 23 Jul 2022 10:40:39 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
Subject: Re: bug#55836: 29.0.50; (iconify-frame) freezes buffer view under
 Wayland.
In-Reply-To: <87r13kxim1.fsf@HIDDEN> (Po Lu's message of "Mon, 20 Jun 2022
 08:51:18 +0800")
References: <ME3P282MB1939D8A1A13245EEC55260CAB4A59@HIDDEN>
 <87wndsro4z.fsf@HIDDEN>
 <ME3P282MB1939A4CCACA0A1855442FEC6B4B19@HIDDEN>
 <87r13kxim1.fsf@HIDDEN>
X-Now-Playing: Mia Doi Todd's _Music Life_: "Music Life (feat. Jeff Parker &
 Money Mark)"
Date: Sat, 23 Jul 2022 10:40:37 +0200
Message-ID: <87a690z0fu.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Po Lu <luangruo@HIDDEN> writes: >> This breakpoint
 actually hits whenever the emacs frame gets focus,
 and >> makes debugging quite annoying.
 >> However, by inputting M-x + <tab> during the breakpoint and using the
 >> mouse when the [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55836
Cc: whainte@HIDDEN, 55836 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Po Lu <luangruo@HIDDEN> writes:

>> This breakpoint actually hits whenever the emacs frame gets focus, and
>> makes debugging quite annoying.
>> However, by inputting M-x + <tab> during the breakpoint and using the
>> mouse when the frame does not
>> have focus, it is possible to execute (iconify-frame) interactively
>> after triggering the breakpoint.
>>
>> Here's the strange thing: when a breakpoint is set there, the issue is
>> not present; when the breakpoint
>> is deleted and the procedure repeated, the issue reappears.
>>
>> I would conjecture that this has to do with the state of the frame at
>> the moment of (de-)/iconification,
>> since when the breakpoint IS present, I would have to be looking at
>> gdb, cycling through 'continue's.
>
> I didn't understand what you said, but I guess you should make the
> breakpoint conditional on "FRAME_ICONIFIED_P (f)".

I didn't quite understand the text here, either.  whainte, are you still
seeing this problem, and if so, can you try Po's suggestion?





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55836; Package emacs. Full text available.

Message received at 55836 <at> debbugs.gnu.org:


Received: (at 55836) by debbugs.gnu.org; 20 Jun 2022 00:51:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 19 20:51:35 2022
Received: from localhost ([127.0.0.1]:53531 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o35df-0003KZ-Ef
	for submit <at> debbugs.gnu.org; Sun, 19 Jun 2022 20:51:35 -0400
Received: from sonic309-22.consmr.mail.ne1.yahoo.com ([66.163.184.148]:46717)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1o35dd-0003KJ-0U
 for 55836 <at> debbugs.gnu.org; Sun, 19 Jun 2022 20:51:33 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1655686286; bh=X/Xa4oywCGoMtnVjAVpVeg2eVw3PjxY9FPr2wW2AeSs=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=PC4zUJZfYFAcYLCRNYqPOxxHNAb13wRs88sOe8LrfXA2N+U/fIMREFHlXE8iRsqQxokTKyKoYKLZKM5xixgB98vXzai18FSRZ2YynfJYpkF8cT7Rt1y0wnFeky/9avdtmNquDOwWz9mtye4NiFcrAg9iohwyqEdLdJ9u3XIYFam8F0FyDid3eCY+w4Azt4WLdx2SG015ana9f44Kzab3mYmi6V1WnV3rf3rtQh5lsbp5zIdeaaABC+pknOBoDDzokaLNn5NpIebksycqTByzvnGMy2+/xqmsspQBjij+s76EWqYsCQYVpjp1XLbTXZ3ma02f3aUwV6LpNt4FaSK+8Q==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1655686286; bh=RT55ZMdtx1/S9sijgchMw5rJWU1AyiMr3NV+N2dpMYB=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=bLY9NtWNH7tSp/NKXoSh/9MCV3vOOaZ6yvR4FxlGj+rCpAgS3iERPkahsF3nPlvurzETCJLorKToqYEeeq7I13594fQTVBxxsAAYXoAzlTkgMCdZKeN8OOJgwJaP9csTq4u+FiJIO2jgHXHOdkuqHbHHtdZyHflRgQkhrmp1BCaSXBuvQeXCE15P/cGX2Igucq4e262jb3QD122EfMPyIz1IabWfabmE0moBNkW+ybcc2s0tjQm+qgVljqtRRFtpKN2Ro7pGD268ps2dhMsYTRs0NyDAWBVshUyUA7zmFPLedjhyfXemzPFgOIGufCd7Qh7JHCghrAraI3YwHJs1pg==
X-YMail-OSG: qOMWG0oVM1msl1ke3_I.JLauY6sLIZOVXNAcUi1dmhngV8xo_SAlcxsWC08XdQn
 mdglTgKtPU8dE.fUwpTxPy6nvUbrCPzF_HQNwPzQEYgoRqF9FBQS7i15mt.bb9tLxfYPtEDRNZON
 YKAZrGMYdHLYrbBHmm4URbuUFW.5hFJPLEGnmPEFlEz2qWotmsMLl4A3oCgd021rKFkjLzEM1fI3
 8fwfvCFmiwX2qrB1ddolw5CUboKnjPqM5vZQc9p1jGC23cl31KMCil7W7G7Qui.H53YJuvByVvJV
 E0NcwISLxOyr0K7dcO3CLv8jyi3JohDfoMZVfRN9F.wlzof52gkSbqryOx_en1XTt2hrUXFf1fAj
 IOC7IZHWevNuRaSwq.xe5zMXw7CNnwRRN_6QiHZokWnndPO7ODJyr.ghpWXSzjJW8guf75N98tvy
 FOso12CRGBCqGNyGdHrF3vq7noEcet19T4h.4pEKaZ_pE3vEiTyKR3LhZ7gkSTk5UpKLIFYZ654J
 h6Rqqlj_N0Kzwbgul3TcO355AG7_P3ikA5lhQ0Lef5TFTTkaI8_eQQXYfs2z0qQBWEpDihfzUAsb
 HooICcYgl_aIOOs5N5Dv39fJl7.57nL4c4WwUfsvos5cKVci3nXFJ8EiLxPzJPVmuAHsXOc1aPhN
 Y_KpuF24.fnDkosIFceZYJ1TpfpUS.bOeGXDJsRImJt4bn0dJGAYO8tToq_ZYHEIDk6d1PUurP69
 .Vuktn2svS7DYaB0P2dpc3ER1YHzqulQTOtlKDK_U.Y03rz_Y_MWhRfu0flX3kaAhbiQtqr.E.nT
 MB0_WoR3._mZg7gLVNBvVayXA3UIN8W9N0_Bini09kJmj41hPH4BKmg8obknBM3Pl1t6cu7oeBPW
 gkQMuiw.3NuZIH0zMXVFzuoeRQPNV_OSaNQGBASFB4T.mDx8fN_MBkYZU81vf90qI8ZfzWDlxdJo
 mHr_86U.aXiA21_jf.WUt3J.CNw5iQX8kPcmtfJmsb8Qtnm6Wyy3Mg02Vvp.rpeIM1JWVQh7vGjw
 IklJZwTslVOYFNOOu81KoXZkC0hIECR0VlNJ4UXCGaxORL4qSOZmabeQjaf1_CxfxxkVl9mo65Rr
 WQzUAkm9bhKziMvZ.B3HnR7RKxA9EdmNZDdTsjieieFN5.iR5FLN9qn.PGfScZ6V1Fc1VmwGOneB
 c6KcvsQrcydH3uzmR9qflfz4aqVi74HAVXrtNIesLRXD1ZSZizvdI7kvm4VX2Pi6jSTSx6Ru0sCW
 u5nQQ0bs9InKlPGz0LqR3Kvvz2zAwme0.9gnHVQkU_yBAOzHEs2zVaV.cHDEy_X89lFMpYM4HSu4
 wXOyCaT5r_l81Z58clYc3kJudvVli0jOZFxzGmCZytZzhELpnqk3K958p17htAzg8hBYK_szYU5_
 vyWlw.eI2RBaNB4D7k_Sw9iBzBs_YmZkNFhGZ6GvnnpMH0PO6sB6xSQgndldguiJV_mSkEy_a3ua
 3BjJUb6R8lpRZlXAlGBktwQAeCklgAYePQESWzMXrHctz7gWeP2QvIP9YVU.xuwWS_ckt7jSkRLo
 qWmiqV.sVcCRV0HcOSYrCO760JLze1rsF.BCZb4v3Sfvn3LL8PGCdwog0Fu5rk5zazLdPpHSPyim
 1sRlkCRMRnfhGfVxiD6sswIGdF48Jz0.ScSzaH2BTRzofsYXz71Akr4GVmq__u_tKVIAR2AfoCvV
 KI4VWk7z390MvGxi9l44iq.hWNKfMv1tqTUZN4yAoFqlsEezFP5IJlRM9WaWzvgtdVqkPUKP8M5h
 qvVSzg6QdKL.fezvlVSfJMNuPJXCe5okNJgDhw5nJSmu_0dcgO9gjHihwn_chRC9mLVI0ZNuP_HH
 1G643hyPjvX0xxBpJulVZ0733kOJOdL56_nxkSq00CrGa8V7VQU4QEOS5wFutCW347s4ViQdhJ3e
 QCUtVMYr_09zUT4c7Rlycw7T097_fpIMyJHhY8AjrP_FOhOoe.qUtw.upk23VSgHkKHHFn96PPCs
 ZPClKb3tsBHY7E4pxDQhoMaUviClJ6kGeqlyHTcCuI_EUME2ssyhGiGNElFsaxEh7LCepy82XQMG
 VP6qM3W1CsmZ4I7y4BZWe6ab7OWJ2i3i0wn0CsrT6Dg91ksrfL2ltpy_ZqUBeCG4Z3N1cs9WqyFK
 ihcBJI1HNcp0MtQTuDQ6LNkkVTS6GGAhiINRymdwrmMiYLCVRsR4BNkdbbXKT8NvdRhiH49iNnE4
 82SwP_AwmCtUfV_jxmJCeXb.4_64AqF9K3_CTmORY6eN2osLQMPxkvAlYQOlpvvs-
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic309.consmr.mail.ne1.yahoo.com with HTTP; Mon, 20 Jun 2022 00:51:26 +0000
Received: by hermes--canary-production-sg3-559fcd5995-5cxt2 (Yahoo Inc. Hermes
 SMTP Server) with ESMTPA ID f572122fa5f36997efc5b531f9ed710a; 
 Mon, 20 Jun 2022 00:51:23 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: whainte@HIDDEN
Subject: Re: bug#55836: 29.0.50; (iconify-frame) freezes buffer view under
 Wayland.
References: <ME3P282MB1939D8A1A13245EEC55260CAB4A59@HIDDEN>
 <87wndsro4z.fsf@HIDDEN>
 <ME3P282MB1939A4CCACA0A1855442FEC6B4B19@HIDDEN>
Date: Mon, 20 Jun 2022 08:51:18 +0800
In-Reply-To: <ME3P282MB1939A4CCACA0A1855442FEC6B4B19@HIDDEN>
 (whainte@HIDDEN's message of "Mon, 20 Jun 2022 00:09:37 +0200")
Message-ID: <87r13kxim1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.20280
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 1201
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55836
Cc: 55836 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

whainte@HIDDEN writes:

>>    if (event->window_state.new_window_state
>>        & GDK_WINDOW_STATE_ICONIFIED)
>>      SET_FRAME_ICONIFIED (f, true);
>>    else
>>      {
>> -->   FRAME_X_OUTPUT (f)->has_been_visible = true;
>>        inev.ie.kind = DEICONIFY_EVENT;
>>        XSETFRAME (inev.ie.frame_or_window, f);
>>        SET_FRAME_ICONIFIED (f, false);
>>      }
>>
> This breakpoint actually hits whenever the emacs frame gets focus, and
> makes debugging quite annoying.
> However, by inputting M-x + <tab> during the breakpoint and using the
> mouse when the frame does not
> have focus, it is possible to execute (iconify-frame) interactively
> after triggering the breakpoint.
>
> Here's the strange thing: when a breakpoint is set there, the issue is
> not present; when the breakpoint
> is deleted and the procedure repeated, the issue reappears.
>
> I would conjecture that this has to do with the state of the frame at
> the moment of (de-)/iconification,
> since when the breakpoint IS present, I would have to be looking at
> gdb, cycling through 'continue's.

I didn't understand what you said, but I guess you should make the
breakpoint conditional on "FRAME_ICONIFIED_P (f)".




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55836; Package emacs. Full text available.

Message received at 55836 <at> debbugs.gnu.org:


Received: (at 55836) by debbugs.gnu.org; 19 Jun 2022 23:29:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 19 19:29:08 2022
Received: from localhost ([127.0.0.1]:53445 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o34Lr-00014J-L8
	for submit <at> debbugs.gnu.org; Sun, 19 Jun 2022 19:29:07 -0400
Received: from mail-sy4aus01olkn2150.outbound.protection.outlook.com
 ([40.92.62.150]:50243 helo=AUS01-SY4-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <whainte@HIDDEN>) id 1o337C-0003Cb-AW
 for 55836 <at> debbugs.gnu.org; Sun, 19 Jun 2022 18:09:56 -0400
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=DQ4w/mfmRJ+m9NZi20ASKafX5YlN0/nqUscpC+Yw6/v/NGLUjFrxyxeqL0jnjFLf6Lg5hrU9yVuYlnekv31+ARynsP+9SWjB3iNJD5OIj3V4kLRm22a0W+0zO5s8hc+yHbHpxNVEziXi70bS7PaWKAN126Qe3rENBA3xCEtxDjpkmTn5qQhNkMGdQNUVwmDPLKRbOwWQZ/MEdTIO179fiBpl4pbuB4FhjIYiAyKTEmfuIrAGm1XiyMQ6LGp3RGMvPLQQtTXMMsn3TRoV17ZS3sPAvBheHgtNePOgCYa53ahHFtnxs15hXkvHqR9V0cTyVpBVMPQewPfX5Z2Pe2I6wA==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=WqBbijp7Sa+yl5QSVM+CkwlbGwDRBnEDOhDL8ITgJQ8=;
 b=hmxW6w/YJ9q8ytq/j8gHMY5tHzqDhsRgspSAfp7BYETIgh4HiWLiy4b1SbUq7tVuRbCCt35ert/fus4pta3nUKX01IbWqDFgMZRN2+bryt8Oemk2Io7lB+23EI8mldIMUkzJvSrlI77qNaw4X/mw5tnSyyggciaVNmoF/9caRewvmDGnB9GVmpX936yqNawMCKYXV1KlQ1gagU8UAseQoUrI1AFNSoVmcrb7D4JOVi8/eV9dG+KRJ8onPAhkyrg1ijsyaYtvzQ3acEMtMko+JOB467yf7yL66sSfxcqtEauKNtSZ8IqEpaNkEkxnKRCA8+wWHL+ObHr9Se4eC4mNfg==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=outlook.com;
 s=selector1;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=WqBbijp7Sa+yl5QSVM+CkwlbGwDRBnEDOhDL8ITgJQ8=;
 b=YLH292IoOpxooHqjHVXU+WUiwS9IsEPqaxb64nVknMOCxWtX9u5xF4oV4mpXxoJ1eHVgVX6BF+Pyn0bLzCEGbOVtFcheQppLWwowEsdvmHVbi3EGcJYTKBzLvgs9CrxrAEigz5SAUkfEMPr5qtx+ZeHG1ufQKi46lLNINqAX89+CjuqvuDQwt/dpTvM85q0R9UywEfBhyOeYO/PxLjlbCd2NZAKi8ybLxQP67ULFKhLDWDZfSpkz7w6G9Sk+QcdVGFknb19RvcGYMGkfPKJ8Rril2FsrPMkqadatwNd2miYmSLY5VMQNI/OvzWVBQup2UqyBIo8/NlZh0D7xe364tA==
Received: from ME3P282MB1939.AUSP282.PROD.OUTLOOK.COM (2603:10c6:220:b2::8) by
 SY4P282MB2886.AUSP282.PROD.OUTLOOK.COM (2603:10c6:10:15d::12) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.5353.15; Sun, 19 Jun 2022 22:09:46 +0000
Received: from ME3P282MB1939.AUSP282.PROD.OUTLOOK.COM
 ([fe80::4c20:eaad:5d00:7b39]) by ME3P282MB1939.AUSP282.PROD.OUTLOOK.COM
 ([fe80::4c20:eaad:5d00:7b39%8]) with mapi id 15.20.5353.022; Sun, 19 Jun 2022
 22:09:46 +0000
Message-ID: <ME3P282MB1939A4CCACA0A1855442FEC6B4B19@HIDDEN>
Date: Mon, 20 Jun 2022 00:09:37 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:91.0) Gecko/20100101
 Thunderbird/91.10.0
Subject: Re: bug#55836: 29.0.50; (iconify-frame) freezes buffer view under
 Wayland.
Content-Language: en-US
To: Po Lu <luangruo@HIDDEN>
References: <ME3P282MB1939D8A1A13245EEC55260CAB4A59@HIDDEN>
 <87wndsro4z.fsf@HIDDEN>
From: whainte@HIDDEN
In-Reply-To: <87wndsro4z.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-TMN: [49OmySYL+J6AUN1DUV5QCzmfApjEsCFwrheTzxWpGVPwS6qXxc6t6JZ7sB04gUbb]
X-ClientProxiedBy: AM0PR08CA0005.eurprd08.prod.outlook.com
 (2603:10a6:208:d2::18) To ME3P282MB1939.AUSP282.PROD.OUTLOOK.COM
 (2603:10c6:220:b2::8)
X-Microsoft-Original-Message-ID: <154fec07-3694-ca3c-09ba-416130a86e55@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-Office365-Filtering-Correlation-Id: 6eafc636-8ede-4f79-7023-08da52406b64
X-MS-TrafficTypeDiagnostic: SY4P282MB2886:EE_
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: pJSfrKuth0OZ2RrL6hKM+zYANTC3VRQBs1ixHn5zwygu8PmMeNQC/Re07cDdS0WOmY7BLuVpH1P4AaIEMfoVor8L6UauN8nd6ST3anyNJFqCvrJ6sJcswmdNWUtLkX+8ugnCewYs3oVKuHnNR7FjQ1YeWFZ1z8U1mC5vnIL8xFVOh+oQh6rbf3XF3VYl+rmIP0X1W6cZcUdlp4qM5RmRFu5kNIujeQeW4Xza8/Jc5SZHVWJ0vZlob5tltv66ACOs7Hrzvuk4uicf0y1JoP8OKuX1lA4e92hw1oJjmEXnDn1u88fAI81fSjiwr+ZJBrzWeRguRIjU7J8Pw0ljy2GbY+gcQk7+1DNNR/EXWmXnR7b9bVv6rDWX0X56u71nHb3EhoBjSIH3kwTBc5tk/1g8HPccN3SSJV4B17L0/M6+aOKdxf6kdYKlrWjSLlTneoIXMMBh0zXSR7pl1FqrnuuGiDfnPm5aeADFRIOFMnWy7ivdoRRF7uaAfse70EykCyyMMFL/Z5xXelFhdHXIHQ6gVxKpRGMFh57EtqcYL0Pfu3P0+/VfDQqE9VQ+C1xrbEYvbX8u32CDVjIkBVqR2JK35g==
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?utf-8?B?Y2F1T2VUM3FpVVhWY1JtTFkyUCtGMjJBSGJEQkFyY2llbVo1SUZrN3lHVktX?=
 =?utf-8?B?OUErQzVyUVoyRmJKZkNTRFFKamM2bXNUek1UUjRMU1IvSjBCc21LNUQ4Z1Ro?=
 =?utf-8?B?RC83VXNlVVV5VURrRWhvbnBBTUZnTzFHLytQUDcweWI5OG1zUTYwRG4venlD?=
 =?utf-8?B?T3lUMlZlZCtTbVM4NFk3ZEZhVlVCQk51VDBoT1puUkwzUm5kWmsxYXBXRlN1?=
 =?utf-8?B?Z2Z6TTNxRnErNVdhckI1WE1UUHBwR0VlQXIyS2RuRkxndk9iQWVwZzRPZHV0?=
 =?utf-8?B?ZWFQVDdMbGZ2T25ybXYzL1RDY2hqS1RpaTVuZEJDLy9JTXpXQ0o3cXFBQ2V0?=
 =?utf-8?B?SHNDOUNySEVlcm1jcld6SXlTOFNoUHQvRU5OMzE4RnJSbHBRd1dBWWZJM1Fw?=
 =?utf-8?B?aS9DcUlSajR6M2pMcFhuQ2c3NFVTdERkbWRkSWhKeGhJNkVMcndWNnRDZHYw?=
 =?utf-8?B?ODBoNGFsWW5UbU5xN1kvQVZMOHZWQ2kzMWpDdGlvZDA1a1k3MTBqVmp1dVlo?=
 =?utf-8?B?VS9oMEV4NGdRQ2NTQmY3WTRERytndmtOTFhvTi8xTTNqd05XbGk5bWs4SFZL?=
 =?utf-8?B?Y2hLbVg1dzhKcHBpeS90L244WWxTOHhMZDd1UDZCcTUzcHM5MExCN01sUTRu?=
 =?utf-8?B?M3BrQUVqQXRBNzJDZ2czZWxpK1MxbUpLcWl5ejNCMlJTL08rMllMS3JPMUs1?=
 =?utf-8?B?cTNBSWJ1ejVDS0JzWWduR3dSV0RwK1VLb2RZWmZ1R28xQ21UTWJmZFRabmU2?=
 =?utf-8?B?QTVwUlczMFBMYzRjR1ViVHNjT1NXVGx0VGowT0RsSVJPZ2JnSWdmN1Z5M2Zj?=
 =?utf-8?B?aFF2bmhVdGlTVzkvUEVQa2lNN1lEQ3M2S2VZbHRmcVRuODlNQXpzclRlYVFp?=
 =?utf-8?B?aVRFYW5HMnYvQ3NIT1ZJanRPeHJ2aHhXRG01YnQ5cGpMaWVrVXEvVlFxNDVJ?=
 =?utf-8?B?MTg0T2REdjFJSHpiTlpoYkZRSUdzK0N1KzQ1dnhnalJRQW1CcEM5Y3RmQVBG?=
 =?utf-8?B?NmZMVTJsL0pqSmJlNisrQ3kwR2lEMGpQdWl1VU40NEJiK3VBMVFjWUtBMnFN?=
 =?utf-8?B?Z0dPVUp6ZDV6OGtlTGU2ZERwaG1jV2JGdU5RT0VlZWVQK1lZUE9OTmxldGpo?=
 =?utf-8?B?WGRPa29sL1JsRXFmSnkvdWdOUGJJVllPQ0xZQUdnVkVSRGVGTUJMWjl4eWpL?=
 =?utf-8?B?cC9kbERhSEp3VmxtZjlZSituVUxBVkJOMG5uUldFd0J2Vkw2ZXRkMXJqRGhq?=
 =?utf-8?B?NFRrMVUwZlBZMTRFQ282ejV4QTY1cWZCWnFGeEt2Y3c2VURQYThtNGtXVnJG?=
 =?utf-8?B?a0ZQMkpLcHBSNDBreTR1WnNjWE1oUnBlVlNKaDc4SjhhT2ZqSXNMRGFjTkZv?=
 =?utf-8?B?NTViVHN3THYrRk5obHJ2NU45NGorRzE0L3M1WmxPVFhjTnpTTXBGVDhPSCtX?=
 =?utf-8?B?RzJPbDNHRWtabHFrM0t0c0FUeG9md0xSRUw3bXB1SmJNNzZ4U1pnVW81bk9p?=
 =?utf-8?B?bU1ZN1pSbmxGZkxWbzRsZGZZaVJGalA0cEpzUzlQYnYyM2o3aHZRVDVDUER6?=
 =?utf-8?B?NU5DSnZlYnBKUkZVNkx3ajV4VTYzaGlVdkl1MklqbjlDL093RktIUk9iTURJ?=
 =?utf-8?B?dWNmRVZWYmhHUEhjeUpWNXM2bzFuMmh2UGVHajlyTktLYkMveDZ3cVJDTGRl?=
 =?utf-8?B?RnU4UjJxTUR1dFZzSWY0c3hWSk9xZmcxSDMxK2wwM29YYkFWN0NGVUJXR2tY?=
 =?utf-8?B?ODZ4aDhYVGo5U1h5UHpNV1ZZejE0TlIyY3d1VHZXRUhUVDM3UFB2VEFHdjRm?=
 =?utf-8?B?cnBNZVBkWExaczQ4VlRxMGNYNm1DN1NMRzh5RU55SERyaUpXVXJHNisrR1Q2?=
 =?utf-8?B?U0RQdTljakdWTzV5R0MwRXlLdUUrVXhZWWc1dlk3WCtHYkFDam9vWUxjYS9V?=
 =?utf-8?B?anNBdmV2R1JWTTRaV0xKbGVreCt1YXBRSUtqVmRRVTh3K0o5WGJ1YkhEemlS?=
 =?utf-8?Q?1M0/+gQTrEsB+aaAz4TeTIJQfIp13w=3D?=
X-OriginatorOrg: outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: 6eafc636-8ede-4f79-7023-08da52406b64
X-MS-Exchange-CrossTenant-AuthSource: ME3P282MB1939.AUSP282.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 19 Jun 2022 22:09:46.4641 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: SY4P282MB2886
X-Spam-Score: 1.6 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On 6/8/22 02:32, Po Lu wrote: > Can you set a breakpoint here
 (in pgtkterm.c), and see if it is ever hit > when you deiconify Emacs? >
 > if (event->window_state.new_window_state > & GDK_WINDOW_STATE_ICONIFIED)
 > SET_FRAME_ICONIFIE [...] 
 Content analysis details:   (1.6 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [40.92.62.150 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (whainte[at]outlook.com)
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
 -0.0 NICE_REPLY_A           Looks like a legit reply (A)
 1.6 FORGED_MUA_MOZILLA     Forged mail pretending to be from Mozilla
X-Debbugs-Envelope-To: 55836
X-Mailman-Approved-At: Sun, 19 Jun 2022 19:29:06 -0400
Cc: 55836 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.6 (/)

On 6/8/22 02:32, Po Lu wrote:

> Can you set a breakpoint here (in pgtkterm.c), and see if it is ever hit
> when you deiconify Emacs?
>
>    if (event->window_state.new_window_state
>        & GDK_WINDOW_STATE_ICONIFIED)
>      SET_FRAME_ICONIFIED (f, true);
>    else
>      {
> -->   FRAME_X_OUTPUT (f)->has_been_visible = true;
>        inev.ie.kind = DEICONIFY_EVENT;
>        XSETFRAME (inev.ie.frame_or_window, f);
>        SET_FRAME_ICONIFIED (f, false);
>      }
>
This breakpoint actually hits whenever the emacs frame gets focus, and 
makes debugging quite annoying.
However, by inputting M-x + <tab> during the breakpoint and using the 
mouse when the frame does not
have focus, it is possible to execute (iconify-frame) interactively 
after triggering the breakpoint.

Here's the strange thing: when a breakpoint is set there, the issue is 
not present; when the breakpoint
is deleted and the procedure repeated, the issue reappears.

I would conjecture that this has to do with the state of the frame at 
the moment of (de-)/iconification,
since when the breakpoint IS present, I would have to be looking at gdb, 
cycling through 'continue's.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55836; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 55836 <at> debbugs.gnu.org:


Received: (at 55836) by debbugs.gnu.org; 8 Jun 2022 00:32:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 07 20:32:33 2022
Received: from localhost ([127.0.0.1]:41928 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nyjcf-0008RG-1N
	for submit <at> debbugs.gnu.org; Tue, 07 Jun 2022 20:32:33 -0400
Received: from sonic312-25.consmr.mail.ne1.yahoo.com ([66.163.191.206]:44895)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1nyjcc-0008R1-NC
 for 55836 <at> debbugs.gnu.org; Tue, 07 Jun 2022 20:32:31 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1654648344; bh=2FDdxEOFL+VikctjP814fuhibF0W/lIxMYp61XTWOwg=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=Z/D36VBHWpuoktIer/MMtywcYRvOfFPoi8MlRR0UJdoHO/EqNlw3GK39vvCXbCn+n2MG7dj3RwD/ywVjF5JM8se/xgyoBjtAicxUCuGLSrMY7Zkhalscbe7BCzh5fTyhXqwv/HXqJcjNvtlsW+nHt5VEkZZdXLzMaUsPSNuM9D+iQN7UrkNbY+RqEkM3G+6YtXLp5YHIGwnmXVBqjGeTrdB3FHgeldpl9jqCcqTx/rVelvR/XWeUmLtmYM8LGEK3406nyOa8mT39wJ1Xt1zRzcVNusJefVg929PEFO/UVqJ+2KfIddKcyY+fr2jdsebbftvOc/FvkD7rMtMExf4/xA==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1654648344; bh=XwVMPQb/vzCPLaMiZl2LdGHMNCKd8/PlSNmKD59DRg7=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=jwkHqPCZwwuhxEh5f4LPgdZ6J6rvC4GVsroW/obktwxpaCFjLhrh/rIgIkwUHOot4UjZ6AI2d7J/yl+BY3p/ClNeJQq1hoe1zY1jGsMgGYgLHV0irnQSqjUK3O+aauVKgaSydbKsH0uw6MNyEy8euwzK4ckjKL4DnSMzP1TMRQINVNiKY80znHS1QZ2y3Ze4VQJUrDODuEUWjag1z10HUgpwoErlWXr9acZMuKWVyGWhsHsyumf8QxtVFUpGGUEKQskQjEbP0RBKRf+S5B9RWUta+FW5FUGQGj7IWkAQn0LB+jmS08fWZ44dFHV3cybh4zl9ekDvNve9Fw1E3CWvyw==
X-YMail-OSG: IQ5_xm4VM1liy65XAs2647oObUtdoIWOHc3vyp_WxBoyOo6_7pmPU2szyQzS_DH
 EIbmJrBt2DSXibDFNrYqXMX6Oe4exHfKxc2XBXvqayXkss7b_cZ4mywwY1G2hru_I5jiSTOpozen
 Z59WoN4PQVo6PrHQkYRVLM3_PGKgbV63._RiMFsEbEZQmXDoojClTPA8AxO2gI8ppD.RERY9LcYZ
 zrDHlZZkfNhsdpod_Igfc3xri9PEVu66JQVBxI4hBsza5vW7klQTAsKLFt1bTudJdGR98lRRf0hD
 3X8mD5zqXhDG6YOu.JicnG1pLii90UlJgI6uAmfMb8d3VjE0AGrszaSans9glkhszJJYITgodDZN
 Pw03nE3aCY5q0MN_rUvAELJfyb32QqP8FRfd.lX2o2drhgQuwgQiJlyHl2fFAstgnXGFqx34he_l
 ar8iwZ4Fzso8HFBGvjPGQ8KkcvHCwPVknpuOfJMPMeNqfB9ExLxaEn4PjyGp.34wlGLedkAu.Htq
 fBiIi14.V0U0YwGnWFV_0sCIgJFitBdjAc311Atxla.ybTFmmq5tY8D0p3WljMF8znY1aLsQXD5Q
 2JTEZMo04Di6HblPaopVpMp2.ArJumpHcHtcrpONSznyJfWHiIWZBo8yoesHlaehHeceRNt0SgbB
 ZgeyZZVxARj4PjkL9dT9LXYVkKikpM6C245BnfmI1qZXXxPjfXw4XutNFbM81oR_DjhM7ZfXfBoM
 eQItkhjFvr5wWvsjCsTC__cl.fqcCzAsKq4y2hUyhxMJzXSciqiTfStBN1dM6jMKsvS_J1rQ.M58
 zJhHLKwmQagceBLD7Lpsp8qM71hX_QWkJt84fIQKSReYRetp96qF0tEdF.e9Fd.lQ6.mMKEZA1cG
 uOYYCXrcN5A1KaRDB7RA7Ea2y9pexgVRN3fxPvZWqibAKVnJW7mrZdrzKPoawxHqhUQydp_kCJvS
 gqTEgmNJXVn.FQdQ.jrlJiMUeYQg90xY2WKYG0RAPe5JLdYVVJWgXoxcVVC2frF5tRLtnEtTPpg5
 A6shaGgCn.NobLLw5iFj4XKiDPt6zxZrebJWUTbcAOA9vMjOAFMUQ9R0D0Yya2.etLKKHYu35P8X
 sTFuaYOleMwRZw5txPlJnIX4HcwqECmRTgfYeNoWUaPbFnpfpzXqJZCVcRzismJpMuQLJGkXgHix
 Jmj3cvBqe8gvFFA5yxBFdFpltZ5uWAPS7QEwFpxhi6nUHScibALi65HcexbLXyiQ4BWwTfSqc36t
 oCtZqQztF3fO8C6FxdthIfvN21UaMFBXqfrQd2ZYkUiPKIk6HwNcc1kGhkavye8qPiIvdZ2pg5Rj
 2OlS7lNHgn2DioBSKQ4xa6uICIPfah0ftMIbBpdcGKXzSjMbzRbZ5hC9BSBVMvfDS1sjATpBOW7j
 aimV5gMLHFFa0ujPln6yPzH.gRMpI0HPFKaPbhRRf_lmkVLFGlwgMQlpsiiU3BRB5A_D9WCk1DAs
 UliCziDvL1b.FiaXD7y4x9mwKezAzWwyvf.JBRSTDxZykfv8Si700TTKbzkkq4bRlptzev14EVu6
 liYTEbDUu3noUTeDP_Q.PNBSmnky4tDfcg4n_XlUnRq.D0HMjvLsGeyuLjmPMUUfUjxs5DckOF0M
 crlH0sIjaMWsyQEYenHDwb92Bkk6zuytdM8S_CBwwLO5el6kFleZXZTnFV0bZpJdtyxZRp362.l_
 k3k15dnUyO4b9aFVzJ91N_t_rxnOLs1DPs30L.b3UHM5N3f5FF79Ubjp8VnsMNwId9mu5lpiK7CO
 YvpOf1RihIfhmUrR_rqlGgFodXBZq6hm4I4B9M5ljGQjwOlY3FvDfuFfUudKrjz2L4x90JjqUUpk
 DA0EjFA3qHYyILuG2QbcCMIJgWvKu.ihqVkwcRo02Z1gAScZ1EwMxISYK8NoSWSHOawFqkPxmpkV
 BU5DLz1n30.EFl6LSnlneyeg9Xy4m3KrmzyNu9UJkIT4b6RyuHVNNAWTcywGWIG0dqdduIwT9XPY
 RLT3RtMBVzAMHv3NQiheGHqC0qdocshTfZmlVxHlMz97ZJx38szrIkKtA88648YtqjNzZhoJetbT
 04Zi_wLRFhvGFdcFyoik6c2c2U2cPqoXv7e0nih.DrZ234MGqDrbHRf6le7dH3F5mu8bwP8j5f8k
 Ba28vVUHKD6zbkTgRnuO6CI2JYbOlu1X6SxdCXW8VOSsfjAruYsJ_v8s0yjWa8XNwAQKZssYIyHX
 e3YewxOnMTd5PByOGtFxNOGMjmrcmQqDtuoOXk9zKcg9dvH8Y.UJ.7ZPu
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic312.consmr.mail.ne1.yahoo.com with HTTP; Wed, 8 Jun 2022 00:32:24 +0000
Received: by hermes--canary-production-sg3-5f7658c994-bv4wk (Yahoo Inc. Hermes
 SMTP Server) with ESMTPA ID 96b7cec6043bc0003ef705b91802a07e; 
 Wed, 08 Jun 2022 00:32:17 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: "koaaa.outlook" <whainte@HIDDEN>
Subject: Re: bug#55836: 29.0.50; (iconify-frame) freezes buffer view under
 Wayland.
References: <ME3P282MB1939D8A1A13245EEC55260CAB4A59@HIDDEN>
Date: Wed, 08 Jun 2022 08:32:12 +0800
In-Reply-To: <ME3P282MB1939D8A1A13245EEC55260CAB4A59@HIDDEN>
 (koaaa outlook's message of "Tue, 7 Jun 2022 20:06:49 +0200")
Message-ID: <87wndsro4z.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Mailer: WebService/1.1.20280
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 1393
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55836
Cc: 55836 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

"koaaa.outlook" <whainte@HIDDEN> writes:

> * (iconify-frame) freezes buffer view under Wayland.=C2=A0 *
> This issue is not present under X11 sessions.
>
> Steps to reproduce:
> 1. Run 'emacs -Q' within a (e.g. KDE Plasma) Wayland session.
> 2. Input 'M-x iconify-frame C-m'.
> 3. Maximize emacs again.
>
> Expected Behavior: Buffer area keeps on updating itself.
>
> Observed Behavior: Buffer area freezes at the moment where
> 'C-m' is put in. The menu bar updates as normal.
> Emacs responds to user input without redrawing the buffer area.
>
> In GNU Emacs 29.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version
> 3.24.34, cairo version 1.17.6)
> of 2022-06-06 built on soomakan
> Repository revision: dc9337aacd682b6346b7918ec9b3067e3a06269b
> Repository branch: master
> System Description: Arch Linux

I think this is a GTK bug, where the developers neglected to maintain
the iconification state on Wayland after GNOME removed the minimize
button from window title bars.

Can you set a breakpoint here (in pgtkterm.c), and see if it is ever hit
when you deiconify Emacs?

  if (event->window_state.new_window_state
      & GDK_WINDOW_STATE_ICONIFIED)
    SET_FRAME_ICONIFIED (f, true);
  else
    {
-->   FRAME_X_OUTPUT (f)->has_been_visible =3D true;
      inev.ie.kind =3D DEICONIFY_EVENT;
      XSETFRAME (inev.ie.frame_or_window, f);
      SET_FRAME_ICONIFIED (f, false);
    }





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55836; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 7 Jun 2022 20:24:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 07 16:24:55 2022
Received: from localhost ([127.0.0.1]:41638 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nyfky-0004KD-NE
	for submit <at> debbugs.gnu.org; Tue, 07 Jun 2022 16:24:55 -0400
Received: from lists.gnu.org ([209.51.188.17]:50870)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <whainte@HIDDEN>) id 1nydgX-0005Al-6Y
 for submit <at> debbugs.gnu.org; Tue, 07 Jun 2022 14:12:10 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:52086)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <whainte@HIDDEN>)
 id 1nydgW-0008VM-3c
 for bug-gnu-emacs@HIDDEN; Tue, 07 Jun 2022 14:12:08 -0400
Received: from mail-sy4aus01olkn2082c.outbound.protection.outlook.com
 ([2a01:111:f403:7005::82c]:6075
 helo=AUS01-SY4-obe.outbound.protection.outlook.com)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <whainte@HIDDEN>)
 id 1nydgT-0008GR-Qz
 for bug-gnu-emacs@HIDDEN; Tue, 07 Jun 2022 14:12:07 -0400
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=cDfdbbq8n3i7DlP/c4JkOR76zhRU4wZfl68+Ih/OKxQWSNbtszdA4ZrxuYLVhIVMEIgpmKJmNmgswAgCR/HBbE4fSC/7yR48N4AcHjuyWQ5mMR/WIRmqBdwVO4VFshqSKx4kUed+iXYYMBD9f+Jq6lZ7LStekho0daGh4qy5oO2qB7TIJ/Qm/KYob3ELhCI0h/XpcyePJjnwqWK368rnGYtFMlSorgC3d85mNbSXW4UbGJ/AetFBnYIyJdDOjkeUFdKYCd5Y5WPs7xsdmddjiSpp/VnSM1B8tcQNcPR5489p1oyAxw5pNEpGDWYswtEeXq9Y57m4BtQ2Q19k8kXhmw==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=IrsGORtb4RMeg0OW1+zd/QGGB3a8LO6ZRU7mWz1Fikk=;
 b=S008BkyO4U2jje2W02RcnMPhIYvPSC8FMnLTmd2hu5Q5Y9bWAwRbtcGcwmy+wPWIKwWk5b3/8Rpw3VvQL9w/qC3GMW5nR2uio46PTFWMxmswnh6wL+W0mx3wymJ40gX71OXXq7viH8uhPgDCqGSjqYrIyPFJnxfMkXLebtA+KyAnRCxLH5wE2TmHkDP/extCweK6up1yHMGuG7n478YNdGXQ6eHAFnO6e49PMDJ8oFHZoRPOvV6fOtQzQaoX0rEgQxoFmz6iXCujWS4q4xJ3VS6WxICQZFEV5T7p8jAXoXC02Jq2naI4//ruwZqZV0UPuDC2gEaqNsmBFsrOyB/cwg==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=outlook.com;
 s=selector1;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=IrsGORtb4RMeg0OW1+zd/QGGB3a8LO6ZRU7mWz1Fikk=;
 b=Nzz7ciBH6LJTkgYgEilNuaXvKygH4xEfMIHx5wqMjJZeHQwxeY4RRaSFP0jVKjqhxlC1LdDkev9hlXPt7ii2eOE/yso5IATCZOIC04COL3D+PFszCSFmfPQQbz6g8cuZgfjkYkGJie9iohp65zwNVr7p/yVLw46pLRM4lCQMvtkZhTp3PLzkoU6+gmmragkv3zcfOaM/kC4d0JnoYRmkM76JQOV7CZ9eI7MWeamTMe//XZ53ctyNWaqCqCQZRhaEwkumL681c9NuS/B6en0W2qO+NHgmw1i5r5BaZMm12+tdMZOQPUt+DpkhshI8dQrnLPHCQWqH/If3Nd6fx+xCKg==
Received: from ME3P282MB1939.AUSP282.PROD.OUTLOOK.COM (2603:10c6:220:b2::8) by
 SYYP282MB1982.AUSP282.PROD.OUTLOOK.COM (2603:10c6:10:7f::10) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.5314.13; Tue, 7 Jun 2022 18:06:58 +0000
Received: from ME3P282MB1939.AUSP282.PROD.OUTLOOK.COM
 ([fe80::4c20:eaad:5d00:7b39]) by ME3P282MB1939.AUSP282.PROD.OUTLOOK.COM
 ([fe80::4c20:eaad:5d00:7b39%8]) with mapi id 15.20.5314.019; Tue, 7 Jun 2022
 18:06:59 +0000
Message-ID: <ME3P282MB1939D8A1A13245EEC55260CAB4A59@HIDDEN>
Date: Tue, 7 Jun 2022 20:06:49 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:91.0) Gecko/20100101
 Thunderbird/91.9.1
To: bug-gnu-emacs@HIDDEN
Subject: 29.0.50; (iconify-frame) freezes buffer view under Wayland.
Content-Language: en-US
From: "koaaa.outlook" <whainte@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 8bit
X-TMN: [OWBl4GkLBpU9f1a4L9J5Ml6hrtsMoegBYWlvFOr/DLx8y0xVceI8ak7p42VuTAw23QwUc2RzHz0=]
X-ClientProxiedBy: AM4PR07CA0022.eurprd07.prod.outlook.com
 (2603:10a6:205:1::35) To ME3P282MB1939.AUSP282.PROD.OUTLOOK.COM
 (2603:10c6:220:b2::8)
X-Microsoft-Original-Message-ID: <bf89db78-8695-56dd-4644-2b034bfacd81@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-Office365-Filtering-Correlation-Id: 7e1d4def-0a10-4a6e-a324-08da48b083c7
X-MS-TrafficTypeDiagnostic: SYYP282MB1982:EE_
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: tEd9sZbgIWIMYcWBc/HzqpnNFjPcMI+7eZls/9dFucwVEMgt0COrEuWavrvcp14/88kG02fagRaBof+SMmyZ/0C8DJif3WP0fLTv2q4PK7m6F2ldDLXJmicKfRBHtN63qyI6RdZj9RplX+iHECeyzP3+aLD5VuNHG/xhDKhJ7Vw3D1zWT5UoeLJMXhBHaqZf6UNSjUVm6C3c3ddfYXPlYoEvQo9X1mkSdMyuh1G4lKEjxfiviP8cWre1lxdJNqHoRi+8d12GStxvP8YI2wFBNLV5Y//JGC5XsNqX+wq4QSJHf5EgPFOugurpwN4aZ72qTKv5ySbPcPPo6Y6qbcGtLRRItPcI1UwGfW7HPPvgP9V+uflBNc+DZpdRZ2taFlEKT3en3nPjVT3NxoY+oiVYjRQg1MieL3eOoITZurO5adYl2YMMDz6Mn8MnbRA+VU2LF/zRxLLH7Pwg3qntwHjeA8ciGrtAdJOguVuvU0If9RtgZv72T1ntAkySHpaTrDdBVLINg5LdmtLJaSv9BYpV47PEKGvpFd1i24/kz3J+as4I51HWjebjy+LfpWyz1yhGoPEt2etnnuNHBpWyqttCTA==
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?utf-8?B?a0dSbXk0cDdQdkhYSmdCRHoyV3EzeVMxMnRSNy9IY2RadnM1QmtMZlNjOTBH?=
 =?utf-8?B?S0hZekV5L0lWVVh3YXZ3bXlJd3lPWVVIa3lJem8zT2tvSGxiT2pWVzlhMVhG?=
 =?utf-8?B?Y1ZVbDRQN2tsNnphczc4NVZ3d1UvT1d3RURYaTQxdUxPUURMMEhkYmVDVUNm?=
 =?utf-8?B?WWVjTE91cWxTWFpSNWVUaldyZ1JUWXFqSWxrS24rV2cvMUs0QUhHY2pvRjV3?=
 =?utf-8?B?UGtzQlhrOWd4YnVTdnVEYUpxVHpyNFZqdDhMSllDUlE0VTZqUjl0TVVQK0Zz?=
 =?utf-8?B?R3RRdnRoWS93Ynl3VUxwWEs4NEI3UStGS2NRaVJvTkhWYzR6OVc1OGNMdjls?=
 =?utf-8?B?NnVKaTFIZXBIRzRxUVByU3JiSlZwQ24vL1hnRjRwUG5XL1lpNkRxV3pxdjZz?=
 =?utf-8?B?eE0xdFhSNS9xNlhtK1FYdzJydjNqMzFwNFpIWXhqcG1KVmh3S2wzazhrYmxE?=
 =?utf-8?B?RW5aeHV1dHgwckVYR2pPaTBQam1BVm5yWTZYVFBEM1F3UFM0YzQwWGJmRWhK?=
 =?utf-8?B?czBoaDVtUUl3VXF0QW5oeVMwKzNnUVdyNFpBd3Q3ZlFiTjh5YUZlS2d5dnlP?=
 =?utf-8?B?cE41OE9uZWVyQ2R3SkpBejJ5UHIzM29mcmlxV3g3NmhHbzBGM2VMYzgyTHdP?=
 =?utf-8?B?WG5Da2Q5cEV5dFlKU0oyb3ErTUxiTzFpUmY4QTVEYlJOeHBVZDZiVUlVRGVx?=
 =?utf-8?B?cDFhcWdzNWpMbkh6Ykl3K2liNHh5ekJ0ZHRDVUZOUXR2RHFFVmxUamhTYTM3?=
 =?utf-8?B?QmNoSWVlN24zRm92WUh3NWlLVGVLeXNNQTZBYmtqbldoQzU5MUhNQWFmQ3JV?=
 =?utf-8?B?aWVjbnAxQ3p4ckpDQ21tNGN4VmtML2hCZ2tsSDNLdkJsTjNaRlNGamFMWTVH?=
 =?utf-8?B?ZXpxNnRIbEMzNWlWSzVtZGVINFZXTlRlM0ZSaHNvVUExRUE0MzkwcHE0cWl0?=
 =?utf-8?B?MjdkKzhTUFhrNzRNalIrMUZ6OFlyM242NDI4eSt3eEd1Y1hmRHA2ZmhCVnZF?=
 =?utf-8?B?OUYwU1YyMkx1RGp3dVdsWkNqYzdJdk9uQjhjcVB3WmFNVEpNU1g3T2k2QlJH?=
 =?utf-8?B?YzVIVWhZV3c2MERBL3lJT0lEK1RldktSSFdHczJtSkF6ZUxQeUh1OU0rMlQy?=
 =?utf-8?B?eS8zcGI2NEtCWFk4eW00cms3bXRJTVI1TzJXNndZbTFwdHlxTGdtNm5yMGZj?=
 =?utf-8?B?ZFpSTzlRYkROemJvQmRXdGd1cy9nQ0hvblF4Z05UU1ZybC94Y0dFTXA3ODdX?=
 =?utf-8?B?Z2RKWkZ6bi9zeXN1THQ3cDlBOG5pWk1HZlVTekZSam5HUWZqaTIxZ1NCRFBu?=
 =?utf-8?B?VkJCbUo0cjdScWU4RXoxSWJPeng1anlLa3JSaVgxcDk4akRVeEVPWHdZaU9z?=
 =?utf-8?B?WkF2MmpPZkZxOFNqdW9TczdHM1lrZzZabTBsUWg0dkFLR0FOQXIxMFRreHVm?=
 =?utf-8?B?MWgwdkpqRjdIOUF1QXM4KzZraEhDNGNaa0prSEVKYzFpUE0vWGg4Tyttb1dl?=
 =?utf-8?B?MkFUbzRoZlRNaWpXRDdsUzZCZEZVRkpoVGs1dUJNeUpEYm1Nem9vTEdyVjh5?=
 =?utf-8?B?U1E3czVTckdGbUlSR3NBZ0FJdW8rcVdKeEJjRi9EZzdjNTM2bzFZYk8rc2I1?=
 =?utf-8?B?RFRhZDdRQWJMWVRzMEF0SytsTDdDQ3FhRXp3ZS83akN1MC9GcGFJc3Y2cnFr?=
 =?utf-8?B?clc0Vm1VQVNmYXh4UzRRZHc2czczVEExMDNHVy9ERllLQngvLzBCb0QyVnhw?=
 =?utf-8?B?VkZVYWUwZU13Z0Q5K1EvbTY2NWM1aFlVRUpwVTNic2w1RDVLc0w0cFpQZUpS?=
 =?utf-8?B?NTExWGNCYzBzeG84eHVkMC9GcHNaQWg1V1VkdmFEVGMvaUpmWTBJRVRBdEtY?=
 =?utf-8?B?N3piUTJDa0xHd2kyeVdHeUV6c3ZBODhEaTJLak53UjhoQlc2bDZJQnVwTGxO?=
 =?utf-8?B?b1pDT3QvMThaczBqei9mWHZuNitka3UwdXErTmZlSVRmanRzbndEK1JUc1dz?=
 =?utf-8?Q?5yde+3v0QBfTgv1I8tFS8JaGAT81nk=3D?=
X-OriginatorOrg: outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: 7e1d4def-0a10-4a6e-a324-08da48b083c7
X-MS-Exchange-CrossTenant-AuthSource: ME3P282MB1939.AUSP282.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 07 Jun 2022 18:06:59.3376 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: SYYP282MB1982
Received-SPF: pass client-ip=2a01:111:f403:7005::82c;
 envelope-from=whainte@HIDDEN;
 helo=AUS01-SY4-obe.outbound.protection.outlook.com
X-Spam_score_int: 2
X-Spam_score: 0.2
X-Spam_bar: /
X-Spam_report: (0.2 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1, DKIM_VALID=-0.1,
 DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FORGED_MUA_MOZILLA=2.309,
 FREEMAIL_FROM=0.001, SPF_HELO_PASS=-0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 1.8 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * (iconify-frame) freezes buffer view under Wayland.  * This
    issue is not present under X11 sessions. Steps to reproduce: 1. Run 'emacs
    -Q' within a (e.g. KDE Plasma) Wayland session. 2. Input 'M-x iconify-frame
    C-m'. 3. Maximize emacs again. 
 
 Content analysis details:   (1.8 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
  1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (whainte[at]outlook.com)
 -2.3 RCVD_IN_DNSWL_MED      RBL: Sender listed at https://www.dnswl.org/,
                             medium trust
                             [209.51.188.17 listed in list.dnswl.org]
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
  1.6 FORGED_MUA_MOZILLA     Forged mail pretending to be from Mozilla
  1.5 SPOOFED_FREEMAIL       No description available.
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 07 Jun 2022 16:24:50 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

* (iconify-frame) freezes buffer view under Wayland.  *
This issue is not present under X11 sessions.

Steps to reproduce:
1. Run 'emacs -Q' within a (e.g. KDE Plasma) Wayland session.
2. Input 'M-x iconify-frame C-m'.
3. Maximize emacs again.

Expected Behavior: Buffer area keeps on updating itself.

Observed Behavior: Buffer area freezes at the moment where
'C-m' is put in. The menu bar updates as normal.
Emacs responds to user input without redrawing the buffer area.

In GNU Emacs 29.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 
3.24.34, cairo version 1.17.6)
of 2022-06-06 built on soomakan
Repository revision: dc9337aacd682b6346b7918ec9b3067e3a06269b
Repository branch: master
System Description: Arch Linux

Configured using:
'configure --prefix=/usr --sysconfdir=/etc --libexecdir=/usr/lib
--localstatedir=/var --mandir=/usr/share/man --with-gameuser=:games
--with-modules --without-libotf --without-m17n-flt --without-gconf
--enable-autodepend --with-native-compilation --with-xinput2
--with-pgtk --without-xaw3d --with-sound=alsa
--without-compress-install --with-json
'--program-transform-name=s/\([ec]tags\)/\1.emacs/'
'CFLAGS=-march=x86-64 -mtune=generic -O2 -pipe -fno-plt -fexceptions
-Wp,-D_FORTIFY_SOURCE=2 -Wformat -Werror=format-security
-fstack-clash-protection -fcf-protection -g
-ffile-prefix-map=/home/koaaa/.cache/yay/emacs-git/src=/usr/src/debug'
LDFLAGS=-Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now'

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG
JSON LCMS2 LIBSYSTEMD LIBXML2 MODULES NATIVE_COMP NOTIFY INOTIFY PDUMPER
PGTK PNG RSVG SECCOMP SOUND SQLITE3 THREADS TIFF TOOLKIT_SCROLL_BARS
WEBP XIM GTK3 ZLIB

Important settings:
value of $LC_MONETARY: C
value of $LC_NUMERIC: C
value of $LC_TIME: C
value of $LANG: en_US.UTF-8
value of $XMODIFIERS: @im=fcitx
locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
tooltip-mode: t
global-eldoc-mode: t
eldoc-mode: t
show-paren-mode: t
electric-indent-mode: t
mouse-wheel-mode: t
tool-bar-mode: t
menu-bar-mode: t
file-name-shadow-mode: t
global-font-lock-mode: t
font-lock-mode: t
blink-cursor-mode: t
line-number-mode: t
indent-tabs-mode: t
transient-mark-mode: t
auto-composition-mode: t
auto-encryption-mode: t
auto-compression-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message mailcap yank-media rmc puny
dired dired-loaddefs rfc822 mml mml-sec password-cache epa derived epg
rfc6068 epg-config gnus-util text-property-search time-date seq gv
subr-x byte-opt bytecomp byte-compile cconv mm-decode mm-bodies
mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader cl-loaddefs
cl-lib sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils
iso-transl tooltip eldoc paren electric uniquify ediff-hook vc-hooks
lisp-float-type elisp-mode mwheel term/pgtk-win pgtk-win term/common-win
tool-bar dnd fontset image regexp-opt fringe tabulated-list replace
newcomment text-mode lisp-mode prog-mode register page tab-bar menu-bar
rfn-eshadow isearch easymenu timer select scroll-bar mouse jit-lock
font-lock syntax font-core term/tty-colors frame minibuffer nadvice
simple cl-generic indonesian philippine cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite emoji-zwj charscript charprop case-table
epa-hook jka-cmpr-hook help abbrev obarray oclosure cl-preloaded button
loaddefs faces cus-face macroexp files window text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget keymap
hashtable-print-readable backquote threads dbusbind inotify
dynamic-setting system-font-setting font-render-setting cairo gtk pgtk
lcms2 multi-tty make-network-process native-compile emacs)

Memory information:
((conses 16 57609 7544)
(symbols 48 5706 0)
(strings 32 16226 1785)
(string-bytes 1 542740)
(vectors 16 12655)
(vector-slots 8 278543 13041)
(floats 8 21 25)
(intervals 56 247 0)
(buffers 992 10))




Acknowledgement sent to "koaaa.outlook" <whainte@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#55836; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 10 Nov 2022 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.